<!---
Please read this!

Before opening a new issue, make sure to search for keywords in the issues
filtered by "bug" label and verify the issue you're about to submit isn't a duplicate.

If you are using LibVLCSharp commercially, please consider purchasing a Commercial License: https://videolabs.io/solutions/libvlcsharp

If this is a question please ask on StackOverflow: https://stackoverflow.com/questions/tagged/libvlcsharp.

Need professional support? Reach out at dotnet@videolabs.io for more info.
--->

### Summary

<!-- Summarize the bug encountered concisely -->

### Minimal project and steps to reproduce

<!-- How one can reproduce the issue - this is very important

Provide a Minimal, Complete, and Verifiable example (https://stackoverflow.com/help/mcve) through a git hosting platform
and post the URL here. Do NOT paste parts of your code in the GitLab issue, share your full (but minimal) code through a git repository.
If you don't provide this, we may not be able to help and may close the issue.

Please also provide the functional steps to reproduce the behavior (if necessary):
1. Go to '...'
2. Click on '....'
3. Scroll down to '....'
4. See error
-->

### What is the current *bug* behavior?

<!-- What actually happens -->

### What is the expected *correct* behavior?

<!-- What you should see instead -->

### Does it work on other plaforms? Does it work with the official VLC apps?

<!-- Paste any relevant logs - please use code blocks (```) to format console output,
logs, and code as it's very hard to read otherwise. -->

### Relevant LibVLC logs and/or screenshots

<!-- Paste any relevant logs from your app and/or from LibVLC (`new LibVLC(enableDebugLogs: true)`).
Please use code blocks (```) to format console output, logs, and code as it's very hard to read otherwise. -->

### Environment

<!-- Please complete the following information. -->
- OS:       <!-- [e.g. iOS] -->
- Version   <!-- [e.g. 22] -->
- Device:   <!-- [e.g. iPhone6] -->
- LibVLC version and architecture <!-- [e.g. 3.0.6, x64] -->
- LibVLCSharp version <!-- [e.g. 0.7.0] -->

### Possible fixes

<!-- If you can, link to the line of code that might be responsible for the problem -->