# MediaPlayerElement

<h3 align="center">
  <img src="/src/assets/media-element.jpg"/>
</h3>

## Getting started

The best way to get started is to use the samples https://code.videolan.org/videolan/LibVLCSharp/-/tree/3.x/samples/Forms/LibVLCSharp.Forms.MediaElement

It already has the fonts (that are needed for icons) and necessary setup for custom renderers.

## What's available out of the box?

- Show/Hide playback controls automatically
- Play/Pause button
- Seekbar
- Volume / Mute
- Tracks selection (Audio and Video) and Closed captions selection
- Lock Screen button
- Aspect ratio button
- Zoom button
- Cast button
- Errors display
- Lifecycle management
- Buttons content dependency properties
- Compact mode
- Keep screen on

## How to customize the control

See this sample https://code.videolan.org/mfkl/libvlcsharp-samples/-/tree/master/MediaElement/MediaElementCustomization

## Platform support

- Uno (UWP, Android, iOS),
- Xamarin.Forms (Android, iOS, macOS, WPF, GTK)

It is currently NOT available on standalone platforms:

- Xamarin.Android,
- Xamarin.iOS,
- Xamarin.tvOS,
- UWP,
- WPF,
- WinForms,
- GTK,
- macOS.

## Bugs and features

For issues and feature tracking, see the `MediaElement` tag on our [gitlab](https://code.videolan.org/videolan/LibVLCSharp/issues?label_name%5B%5D=MediaElement).
