﻿// MIT License
// Copyright (c) 2018 Matthew Robbins
// https://github.com/matthewrdev/fa2cs/
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in all
// copies or substantial portions of the Software.
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
// SOFTWARE.


namespace FontAwesome
{
    /// <summary>
    /// The unicode values for all FontAwesome icons.
    /// <para/>
    /// See https://fontawesome.com/cheatsheet
    /// <para/>
    /// This code was automatically generated by FA2CS (https://github.com/matthewrdev/fa2cs).
    /// </summary>
    internal static partial class FontAwesomeIcons
    {
        /// <summary>
        /// fa-500px unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/500px
        /// </summary>
        public const string FiveHundredPX = "\uf26e";

        /// <summary>
        /// fa-abacus unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/abacus
        /// </summary>
        public const string Abacus = "\uf640";

        /// <summary>
        /// fa-accessible-icon unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/accessible-icon
        /// </summary>
        public const string AccessibleIcon = "\uf368";

        /// <summary>
        /// fa-accusoft unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/accusoft
        /// </summary>
        public const string Accusoft = "\uf369";

        /// <summary>
        /// fa-acorn unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/acorn
        /// </summary>
        public const string Acorn = "\uf6ae";

        /// <summary>
        /// fa-acquisitions-incorporated unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/acquisitions-incorporated
        /// </summary>
        public const string AcquisitionsIncorporated = "\uf6af";

        /// <summary>
        /// fa-ad unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/ad
        /// </summary>
        public const string Ad = "\uf641";

        /// <summary>
        /// fa-address-book unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/address-book
        /// </summary>
        public const string AddressBook = "\uf2b9";

        /// <summary>
        /// fa-address-card unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/address-card
        /// </summary>
        public const string AddressCard = "\uf2bb";

        /// <summary>
        /// fa-adjust unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/adjust
        /// </summary>
        public const string Adjust = "\uf042";

        /// <summary>
        /// fa-adn unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/adn
        /// </summary>
        public const string Adn = "\uf170";

        /// <summary>
        /// fa-adversal unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/adversal
        /// </summary>
        public const string Adversal = "\uf36a";

        /// <summary>
        /// fa-affiliatetheme unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/affiliatetheme
        /// </summary>
        public const string Affiliatetheme = "\uf36b";

        /// <summary>
        /// fa-air-freshener unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/air-freshener
        /// </summary>
        public const string AirFreshener = "\uf5d0";

        /// <summary>
        /// fa-alarm-clock unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/alarm-clock
        /// </summary>
        public const string AlarmClock = "\uf34e";

        /// <summary>
        /// fa-algolia unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/algolia
        /// </summary>
        public const string Algolia = "\uf36c";

        /// <summary>
        /// fa-alicorn unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/alicorn
        /// </summary>
        public const string Alicorn = "\uf6b0";

        /// <summary>
        /// fa-align-center unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/align-center
        /// </summary>
        public const string AlignCenter = "\uf037";

        /// <summary>
        /// fa-align-justify unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/align-justify
        /// </summary>
        public const string AlignJustify = "\uf039";

        /// <summary>
        /// fa-align-left unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/align-left
        /// </summary>
        public const string AlignLeft = "\uf036";

        /// <summary>
        /// fa-align-right unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/align-right
        /// </summary>
        public const string AlignRight = "\uf038";

        /// <summary>
        /// fa-alipay unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/alipay
        /// </summary>
        public const string Alipay = "\uf642";

        /// <summary>
        /// fa-allergies unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/allergies
        /// </summary>
        public const string Allergies = "\uf461";

        /// <summary>
        /// fa-amazon unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/amazon
        /// </summary>
        public const string Amazon = "\uf270";

        /// <summary>
        /// fa-amazon-pay unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/amazon-pay
        /// </summary>
        public const string AmazonPay = "\uf42c";

        /// <summary>
        /// fa-ambulance unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/ambulance
        /// </summary>
        public const string Ambulance = "\uf0f9";

        /// <summary>
        /// fa-american-sign-language-interpreting unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/american-sign-language-interpreting
        /// </summary>
        public const string AmericanSignLanguageInterpreting = "\uf2a3";

        /// <summary>
        /// fa-amilia unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/amilia
        /// </summary>
        public const string Amilia = "\uf36d";

        /// <summary>
        /// fa-analytics unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/analytics
        /// </summary>
        public const string Analytics = "\uf643";

        /// <summary>
        /// fa-anchor unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/anchor
        /// </summary>
        public const string Anchor = "\uf13d";

        /// <summary>
        /// fa-android unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/android
        /// </summary>
        public const string Android = "\uf17b";

        /// <summary>
        /// fa-angellist unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/angellist
        /// </summary>
        public const string Angellist = "\uf209";

        /// <summary>
        /// fa-angle-double-down unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/angle-double-down
        /// </summary>
        public const string AngleDoubleDown = "\uf103";

        /// <summary>
        /// fa-angle-double-left unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/angle-double-left
        /// </summary>
        public const string AngleDoubleLeft = "\uf100";

        /// <summary>
        /// fa-angle-double-right unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/angle-double-right
        /// </summary>
        public const string AngleDoubleRight = "\uf101";

        /// <summary>
        /// fa-angle-double-up unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/angle-double-up
        /// </summary>
        public const string AngleDoubleUp = "\uf102";

        /// <summary>
        /// fa-angle-down unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/angle-down
        /// </summary>
        public const string AngleDown = "\uf107";

        /// <summary>
        /// fa-angle-left unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/angle-left
        /// </summary>
        public const string AngleLeft = "\uf104";

        /// <summary>
        /// fa-angle-right unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/angle-right
        /// </summary>
        public const string AngleRight = "\uf105";

        /// <summary>
        /// fa-angle-up unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/angle-up
        /// </summary>
        public const string AngleUp = "\uf106";

        /// <summary>
        /// fa-angry unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/angry
        /// </summary>
        public const string Angry = "\uf556";

        /// <summary>
        /// fa-angrycreative unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/angrycreative
        /// </summary>
        public const string Angrycreative = "\uf36e";

        /// <summary>
        /// fa-angular unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/angular
        /// </summary>
        public const string Angular = "\uf420";

        /// <summary>
        /// fa-ankh unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/ankh
        /// </summary>
        public const string Ankh = "\uf644";

        /// <summary>
        /// fa-app-store unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/app-store
        /// </summary>
        public const string AppStore = "\uf36f";

        /// <summary>
        /// fa-app-store-ios unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/app-store-ios
        /// </summary>
        public const string AppStoreIos = "\uf370";

        /// <summary>
        /// fa-apper unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/apper
        /// </summary>
        public const string Apper = "\uf371";

        /// <summary>
        /// fa-apple unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/apple
        /// </summary>
        public const string Apple = "\uf179";

        /// <summary>
        /// fa-apple-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/apple-alt
        /// </summary>
        public const string AppleAlt = "\uf5d1";

        /// <summary>
        /// fa-apple-crate unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/apple-crate
        /// </summary>
        public const string AppleCrate = "\uf6b1";

        /// <summary>
        /// fa-apple-pay unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/apple-pay
        /// </summary>
        public const string ApplePay = "\uf415";

        /// <summary>
        /// fa-archive unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/archive
        /// </summary>
        public const string Archive = "\uf187";

        /// <summary>
        /// fa-archway unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/archway
        /// </summary>
        public const string Archway = "\uf557";

        /// <summary>
        /// fa-arrow-alt-circle-down unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/arrow-alt-circle-down
        /// </summary>
        public const string ArrowAltCircleDown = "\uf358";

        /// <summary>
        /// fa-arrow-alt-circle-left unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/arrow-alt-circle-left
        /// </summary>
        public const string ArrowAltCircleLeft = "\uf359";

        /// <summary>
        /// fa-arrow-alt-circle-right unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/arrow-alt-circle-right
        /// </summary>
        public const string ArrowAltCircleRight = "\uf35a";

        /// <summary>
        /// fa-arrow-alt-circle-up unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/arrow-alt-circle-up
        /// </summary>
        public const string ArrowAltCircleUp = "\uf35b";

        /// <summary>
        /// fa-arrow-alt-down unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/arrow-alt-down
        /// </summary>
        public const string ArrowAltDown = "\uf354";

        /// <summary>
        /// fa-arrow-alt-from-bottom unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/arrow-alt-from-bottom
        /// </summary>
        public const string ArrowAltFromBottom = "\uf346";

        /// <summary>
        /// fa-arrow-alt-from-left unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/arrow-alt-from-left
        /// </summary>
        public const string ArrowAltFromLeft = "\uf347";

        /// <summary>
        /// fa-arrow-alt-from-right unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/arrow-alt-from-right
        /// </summary>
        public const string ArrowAltFromRight = "\uf348";

        /// <summary>
        /// fa-arrow-alt-from-top unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/arrow-alt-from-top
        /// </summary>
        public const string ArrowAltFromTop = "\uf349";

        /// <summary>
        /// fa-arrow-alt-left unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/arrow-alt-left
        /// </summary>
        public const string ArrowAltLeft = "\uf355";

        /// <summary>
        /// fa-arrow-alt-right unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/arrow-alt-right
        /// </summary>
        public const string ArrowAltRight = "\uf356";

        /// <summary>
        /// fa-arrow-alt-square-down unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/arrow-alt-square-down
        /// </summary>
        public const string ArrowAltSquareDown = "\uf350";

        /// <summary>
        /// fa-arrow-alt-square-left unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/arrow-alt-square-left
        /// </summary>
        public const string ArrowAltSquareLeft = "\uf351";

        /// <summary>
        /// fa-arrow-alt-square-right unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/arrow-alt-square-right
        /// </summary>
        public const string ArrowAltSquareRight = "\uf352";

        /// <summary>
        /// fa-arrow-alt-square-up unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/arrow-alt-square-up
        /// </summary>
        public const string ArrowAltSquareUp = "\uf353";

        /// <summary>
        /// fa-arrow-alt-to-bottom unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/arrow-alt-to-bottom
        /// </summary>
        public const string ArrowAltToBottom = "\uf34a";

        /// <summary>
        /// fa-arrow-alt-to-left unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/arrow-alt-to-left
        /// </summary>
        public const string ArrowAltToLeft = "\uf34b";

        /// <summary>
        /// fa-arrow-alt-to-right unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/arrow-alt-to-right
        /// </summary>
        public const string ArrowAltToRight = "\uf34c";

        /// <summary>
        /// fa-arrow-alt-to-top unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/arrow-alt-to-top
        /// </summary>
        public const string ArrowAltToTop = "\uf34d";

        /// <summary>
        /// fa-arrow-alt-up unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/arrow-alt-up
        /// </summary>
        public const string ArrowAltUp = "\uf357";

        /// <summary>
        /// fa-arrow-circle-down unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/arrow-circle-down
        /// </summary>
        public const string ArrowCircleDown = "\uf0ab";

        /// <summary>
        /// fa-arrow-circle-left unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/arrow-circle-left
        /// </summary>
        public const string ArrowCircleLeft = "\uf0a8";

        /// <summary>
        /// fa-arrow-circle-right unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/arrow-circle-right
        /// </summary>
        public const string ArrowCircleRight = "\uf0a9";

        /// <summary>
        /// fa-arrow-circle-up unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/arrow-circle-up
        /// </summary>
        public const string ArrowCircleUp = "\uf0aa";

        /// <summary>
        /// fa-arrow-down unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/arrow-down
        /// </summary>
        public const string ArrowDown = "\uf063";

        /// <summary>
        /// fa-arrow-from-bottom unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/arrow-from-bottom
        /// </summary>
        public const string ArrowFromBottom = "\uf342";

        /// <summary>
        /// fa-arrow-from-left unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/arrow-from-left
        /// </summary>
        public const string ArrowFromLeft = "\uf343";

        /// <summary>
        /// fa-arrow-from-right unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/arrow-from-right
        /// </summary>
        public const string ArrowFromRight = "\uf344";

        /// <summary>
        /// fa-arrow-from-top unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/arrow-from-top
        /// </summary>
        public const string ArrowFromTop = "\uf345";

        /// <summary>
        /// fa-arrow-left unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/arrow-left
        /// </summary>
        public const string ArrowLeft = "\uf060";

        /// <summary>
        /// fa-arrow-right unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/arrow-right
        /// </summary>
        public const string ArrowRight = "\uf061";

        /// <summary>
        /// fa-arrow-square-down unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/arrow-square-down
        /// </summary>
        public const string ArrowSquareDown = "\uf339";

        /// <summary>
        /// fa-arrow-square-left unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/arrow-square-left
        /// </summary>
        public const string ArrowSquareLeft = "\uf33a";

        /// <summary>
        /// fa-arrow-square-right unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/arrow-square-right
        /// </summary>
        public const string ArrowSquareRight = "\uf33b";

        /// <summary>
        /// fa-arrow-square-up unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/arrow-square-up
        /// </summary>
        public const string ArrowSquareUp = "\uf33c";

        /// <summary>
        /// fa-arrow-to-bottom unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/arrow-to-bottom
        /// </summary>
        public const string ArrowToBottom = "\uf33d";

        /// <summary>
        /// fa-arrow-to-left unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/arrow-to-left
        /// </summary>
        public const string ArrowToLeft = "\uf33e";

        /// <summary>
        /// fa-arrow-to-right unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/arrow-to-right
        /// </summary>
        public const string ArrowToRight = "\uf340";

        /// <summary>
        /// fa-arrow-to-top unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/arrow-to-top
        /// </summary>
        public const string ArrowToTop = "\uf341";

        /// <summary>
        /// fa-arrow-up unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/arrow-up
        /// </summary>
        public const string ArrowUp = "\uf062";

        /// <summary>
        /// fa-arrows unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/arrows
        /// </summary>
        public const string Arrows = "\uf047";

        /// <summary>
        /// fa-arrows-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/arrows-alt
        /// </summary>
        public const string ArrowsAlt = "\uf0b2";

        /// <summary>
        /// fa-arrows-alt-h unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/arrows-alt-h
        /// </summary>
        public const string ArrowsAltH = "\uf337";

        /// <summary>
        /// fa-arrows-alt-v unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/arrows-alt-v
        /// </summary>
        public const string ArrowsAltV = "\uf338";

        /// <summary>
        /// fa-arrows-h unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/arrows-h
        /// </summary>
        public const string ArrowsH = "\uf07e";

        /// <summary>
        /// fa-arrows-v unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/arrows-v
        /// </summary>
        public const string ArrowsV = "\uf07d";

        /// <summary>
        /// fa-assistive-listening-systems unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/assistive-listening-systems
        /// </summary>
        public const string AssistiveListeningSystems = "\uf2a2";

        /// <summary>
        /// fa-asterisk unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/asterisk
        /// </summary>
        public const string Asterisk = "\uf069";

        /// <summary>
        /// fa-asymmetrik unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/asymmetrik
        /// </summary>
        public const string Asymmetrik = "\uf372";

        /// <summary>
        /// fa-at unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/at
        /// </summary>
        public const string At = "\uf1fa";

        /// <summary>
        /// fa-atlas unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/atlas
        /// </summary>
        public const string Atlas = "\uf558";

        /// <summary>
        /// fa-atom unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/atom
        /// </summary>
        public const string Atom = "\uf5d2";

        /// <summary>
        /// fa-atom-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/atom-alt
        /// </summary>
        public const string AtomAlt = "\uf5d3";

        /// <summary>
        /// fa-audible unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/audible
        /// </summary>
        public const string Audible = "\uf373";

        /// <summary>
        /// fa-audio-description unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/audio-description
        /// </summary>
        public const string AudioDescription = "\uf29e";

        /// <summary>
        /// fa-autoprefixer unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/autoprefixer
        /// </summary>
        public const string Autoprefixer = "\uf41c";

        /// <summary>
        /// fa-avianex unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/avianex
        /// </summary>
        public const string Avianex = "\uf374";

        /// <summary>
        /// fa-aviato unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/aviato
        /// </summary>
        public const string Aviato = "\uf421";

        /// <summary>
        /// fa-award unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/award
        /// </summary>
        public const string Award = "\uf559";

        /// <summary>
        /// fa-aws unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/aws
        /// </summary>
        public const string Aws = "\uf375";

        /// <summary>
        /// fa-axe unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/axe
        /// </summary>
        public const string Axe = "\uf6b2";

        /// <summary>
        /// fa-axe-battle unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/axe-battle
        /// </summary>
        public const string AxeBattle = "\uf6b3";

        /// <summary>
        /// fa-backpack unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/backpack
        /// </summary>
        public const string Backpack = "\uf5d4";

        /// <summary>
        /// fa-backspace unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/backspace
        /// </summary>
        public const string Backspace = "\uf55a";

        /// <summary>
        /// fa-backward unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/backward
        /// </summary>
        public const string Backward = "\uf04a";

        /// <summary>
        /// fa-badge unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/badge
        /// </summary>
        public const string Badge = "\uf335";

        /// <summary>
        /// fa-badge-check unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/badge-check
        /// </summary>
        public const string BadgeCheck = "\uf336";

        /// <summary>
        /// fa-badge-dollar unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/badge-dollar
        /// </summary>
        public const string BadgeDollar = "\uf645";

        /// <summary>
        /// fa-badge-percent unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/badge-percent
        /// </summary>
        public const string BadgePercent = "\uf646";

        /// <summary>
        /// fa-badger-honey unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/badger-honey
        /// </summary>
        public const string BadgerHoney = "\uf6b4";

        /// <summary>
        /// fa-balance-scale unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/balance-scale
        /// </summary>
        public const string BalanceScale = "\uf24e";

        /// <summary>
        /// fa-balance-scale-left unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/balance-scale-left
        /// </summary>
        public const string BalanceScaleLeft = "\uf515";

        /// <summary>
        /// fa-balance-scale-right unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/balance-scale-right
        /// </summary>
        public const string BalanceScaleRight = "\uf516";

        /// <summary>
        /// fa-ballot unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/ballot
        /// </summary>
        public const string Ballot = "\uf732";

        /// <summary>
        /// fa-ballot-check unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/ballot-check
        /// </summary>
        public const string BallotCheck = "\uf733";

        /// <summary>
        /// fa-ban unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/ban
        /// </summary>
        public const string Ban = "\uf05e";

        /// <summary>
        /// fa-band-aid unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/band-aid
        /// </summary>
        public const string BandAid = "\uf462";

        /// <summary>
        /// fa-bandcamp unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/bandcamp
        /// </summary>
        public const string Bandcamp = "\uf2d5";

        /// <summary>
        /// fa-barcode unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/barcode
        /// </summary>
        public const string Barcode = "\uf02a";

        /// <summary>
        /// fa-barcode-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/barcode-alt
        /// </summary>
        public const string BarcodeAlt = "\uf463";

        /// <summary>
        /// fa-barcode-read unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/barcode-read
        /// </summary>
        public const string BarcodeRead = "\uf464";

        /// <summary>
        /// fa-barcode-scan unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/barcode-scan
        /// </summary>
        public const string BarcodeScan = "\uf465";

        /// <summary>
        /// fa-bars unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/bars
        /// </summary>
        public const string Bars = "\uf0c9";

        /// <summary>
        /// fa-baseball unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/baseball
        /// </summary>
        public const string Baseball = "\uf432";

        /// <summary>
        /// fa-baseball-ball unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/baseball-ball
        /// </summary>
        public const string BaseballBall = "\uf433";

        /// <summary>
        /// fa-basketball-ball unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/basketball-ball
        /// </summary>
        public const string BasketballBall = "\uf434";

        /// <summary>
        /// fa-basketball-hoop unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/basketball-hoop
        /// </summary>
        public const string BasketballHoop = "\uf435";

        /// <summary>
        /// fa-bat unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/bat
        /// </summary>
        public const string Bat = "\uf6b5";

        /// <summary>
        /// fa-bath unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/bath
        /// </summary>
        public const string Bath = "\uf2cd";

        /// <summary>
        /// fa-battery-bolt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/battery-bolt
        /// </summary>
        public const string BatteryBolt = "\uf376";

        /// <summary>
        /// fa-battery-empty unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/battery-empty
        /// </summary>
        public const string BatteryEmpty = "\uf244";

        /// <summary>
        /// fa-battery-full unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/battery-full
        /// </summary>
        public const string BatteryFull = "\uf240";

        /// <summary>
        /// fa-battery-half unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/battery-half
        /// </summary>
        public const string BatteryHalf = "\uf242";

        /// <summary>
        /// fa-battery-quarter unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/battery-quarter
        /// </summary>
        public const string BatteryQuarter = "\uf243";

        /// <summary>
        /// fa-battery-slash unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/battery-slash
        /// </summary>
        public const string BatterySlash = "\uf377";

        /// <summary>
        /// fa-battery-three-quarters unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/battery-three-quarters
        /// </summary>
        public const string BatteryThreeQuarters = "\uf241";

        /// <summary>
        /// fa-bed unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/bed
        /// </summary>
        public const string Bed = "\uf236";

        /// <summary>
        /// fa-beer unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/beer
        /// </summary>
        public const string Beer = "\uf0fc";

        /// <summary>
        /// fa-behance unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/behance
        /// </summary>
        public const string Behance = "\uf1b4";

        /// <summary>
        /// fa-behance-square unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/behance-square
        /// </summary>
        public const string BehanceSquare = "\uf1b5";

        /// <summary>
        /// fa-bell unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/bell
        /// </summary>
        public const string Bell = "\uf0f3";

        /// <summary>
        /// fa-bell-school unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/bell-school
        /// </summary>
        public const string BellSchool = "\uf5d5";

        /// <summary>
        /// fa-bell-school-slash unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/bell-school-slash
        /// </summary>
        public const string BellSchoolSlash = "\uf5d6";

        /// <summary>
        /// fa-bell-slash unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/bell-slash
        /// </summary>
        public const string BellSlash = "\uf1f6";

        /// <summary>
        /// fa-bezier-curve unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/bezier-curve
        /// </summary>
        public const string BezierCurve = "\uf55b";

        /// <summary>
        /// fa-bible unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/bible
        /// </summary>
        public const string Bible = "\uf647";

        /// <summary>
        /// fa-bicycle unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/bicycle
        /// </summary>
        public const string Bicycle = "\uf206";

        /// <summary>
        /// fa-bimobject unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/bimobject
        /// </summary>
        public const string Bimobject = "\uf378";

        /// <summary>
        /// fa-binoculars unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/binoculars
        /// </summary>
        public const string Binoculars = "\uf1e5";

        /// <summary>
        /// fa-birthday-cake unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/birthday-cake
        /// </summary>
        public const string BirthdayCake = "\uf1fd";

        /// <summary>
        /// fa-bitbucket unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/bitbucket
        /// </summary>
        public const string Bitbucket = "\uf171";

        /// <summary>
        /// fa-bitcoin unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/bitcoin
        /// </summary>
        public const string Bitcoin = "\uf379";

        /// <summary>
        /// fa-bity unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/bity
        /// </summary>
        public const string Bity = "\uf37a";

        /// <summary>
        /// fa-black-tie unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/black-tie
        /// </summary>
        public const string BlackTie = "\uf27e";

        /// <summary>
        /// fa-blackberry unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/blackberry
        /// </summary>
        public const string Blackberry = "\uf37b";

        /// <summary>
        /// fa-blanket unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/blanket
        /// </summary>
        public const string Blanket = "\uf498";

        /// <summary>
        /// fa-blender unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/blender
        /// </summary>
        public const string Blender = "\uf517";

        /// <summary>
        /// fa-blender-phone unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/blender-phone
        /// </summary>
        public const string BlenderPhone = "\uf6b6";

        /// <summary>
        /// fa-blind unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/blind
        /// </summary>
        public const string Blind = "\uf29d";

        /// <summary>
        /// fa-blogger unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/blogger
        /// </summary>
        public const string Blogger = "\uf37c";

        /// <summary>
        /// fa-blogger-b unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/blogger-b
        /// </summary>
        public const string BloggerB = "\uf37d";

        /// <summary>
        /// fa-bluetooth unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/bluetooth
        /// </summary>
        public const string Bluetooth = "\uf293";

        /// <summary>
        /// fa-bluetooth-b unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/bluetooth-b
        /// </summary>
        public const string BluetoothB = "\uf294";

        /// <summary>
        /// fa-bold unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/bold
        /// </summary>
        public const string Bold = "\uf032";

        /// <summary>
        /// fa-bolt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/bolt
        /// </summary>
        public const string Bolt = "\uf0e7";

        /// <summary>
        /// fa-bomb unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/bomb
        /// </summary>
        public const string Bomb = "\uf1e2";

        /// <summary>
        /// fa-bone unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/bone
        /// </summary>
        public const string Bone = "\uf5d7";

        /// <summary>
        /// fa-bone-break unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/bone-break
        /// </summary>
        public const string BoneBreak = "\uf5d8";

        /// <summary>
        /// fa-bong unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/bong
        /// </summary>
        public const string Bong = "\uf55c";

        /// <summary>
        /// fa-book unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/book
        /// </summary>
        public const string Book = "\uf02d";

        /// <summary>
        /// fa-book-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/book-alt
        /// </summary>
        public const string BookAlt = "\uf5d9";

        /// <summary>
        /// fa-book-dead unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/book-dead
        /// </summary>
        public const string BookDead = "\uf6b7";

        /// <summary>
        /// fa-book-heart unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/book-heart
        /// </summary>
        public const string BookHeart = "\uf499";

        /// <summary>
        /// fa-book-open unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/book-open
        /// </summary>
        public const string BookOpen = "\uf518";

        /// <summary>
        /// fa-book-reader unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/book-reader
        /// </summary>
        public const string BookReader = "\uf5da";

        /// <summary>
        /// fa-book-spells unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/book-spells
        /// </summary>
        public const string BookSpells = "\uf6b8";

        /// <summary>
        /// fa-bookmark unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/bookmark
        /// </summary>
        public const string Bookmark = "\uf02e";

        /// <summary>
        /// fa-books unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/books
        /// </summary>
        public const string Books = "\uf5db";

        /// <summary>
        /// fa-booth-curtain unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/booth-curtain
        /// </summary>
        public const string BoothCurtain = "\uf734";

        /// <summary>
        /// fa-bow-arrow unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/bow-arrow
        /// </summary>
        public const string BowArrow = "\uf6b9";

        /// <summary>
        /// fa-bowling-ball unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/bowling-ball
        /// </summary>
        public const string BowlingBall = "\uf436";

        /// <summary>
        /// fa-bowling-pins unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/bowling-pins
        /// </summary>
        public const string BowlingPins = "\uf437";

        /// <summary>
        /// fa-box unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/box
        /// </summary>
        public const string Box = "\uf466";

        /// <summary>
        /// fa-box-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/box-alt
        /// </summary>
        public const string BoxAlt = "\uf49a";

        /// <summary>
        /// fa-box-ballot unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/box-ballot
        /// </summary>
        public const string BoxBallot = "\uf735";

        /// <summary>
        /// fa-box-check unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/box-check
        /// </summary>
        public const string BoxCheck = "\uf467";

        /// <summary>
        /// fa-box-fragile unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/box-fragile
        /// </summary>
        public const string BoxFragile = "\uf49b";

        /// <summary>
        /// fa-box-full unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/box-full
        /// </summary>
        public const string BoxFull = "\uf49c";

        /// <summary>
        /// fa-box-heart unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/box-heart
        /// </summary>
        public const string BoxHeart = "\uf49d";

        /// <summary>
        /// fa-box-open unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/box-open
        /// </summary>
        public const string BoxOpen = "\uf49e";

        /// <summary>
        /// fa-box-up unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/box-up
        /// </summary>
        public const string BoxUp = "\uf49f";

        /// <summary>
        /// fa-box-usd unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/box-usd
        /// </summary>
        public const string BoxUsd = "\uf4a0";

        /// <summary>
        /// fa-boxes unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/boxes
        /// </summary>
        public const string Boxes = "\uf468";

        /// <summary>
        /// fa-boxes-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/boxes-alt
        /// </summary>
        public const string BoxesAlt = "\uf4a1";

        /// <summary>
        /// fa-boxing-glove unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/boxing-glove
        /// </summary>
        public const string BoxingGlove = "\uf438";

        /// <summary>
        /// fa-braille unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/braille
        /// </summary>
        public const string Braille = "\uf2a1";

        /// <summary>
        /// fa-brain unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/brain
        /// </summary>
        public const string Brain = "\uf5dc";

        /// <summary>
        /// fa-briefcase unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/briefcase
        /// </summary>
        public const string Briefcase = "\uf0b1";

        /// <summary>
        /// fa-briefcase-medical unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/briefcase-medical
        /// </summary>
        public const string BriefcaseMedical = "\uf469";

        /// <summary>
        /// fa-broadcast-tower unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/broadcast-tower
        /// </summary>
        public const string BroadcastTower = "\uf519";

        /// <summary>
        /// fa-broom unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/broom
        /// </summary>
        public const string Broom = "\uf51a";

        /// <summary>
        /// fa-browser unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/browser
        /// </summary>
        public const string Browser = "\uf37e";

        /// <summary>
        /// fa-brush unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/brush
        /// </summary>
        public const string Brush = "\uf55d";

        /// <summary>
        /// fa-btc unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/btc
        /// </summary>
        public const string Btc = "\uf15a";

        /// <summary>
        /// fa-bug unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/bug
        /// </summary>
        public const string Bug = "\uf188";

        /// <summary>
        /// fa-building unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/building
        /// </summary>
        public const string Building = "\uf1ad";

        /// <summary>
        /// fa-bullhorn unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/bullhorn
        /// </summary>
        public const string Bullhorn = "\uf0a1";

        /// <summary>
        /// fa-bullseye unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/bullseye
        /// </summary>
        public const string Bullseye = "\uf140";

        /// <summary>
        /// fa-bullseye-arrow unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/bullseye-arrow
        /// </summary>
        public const string BullseyeArrow = "\uf648";

        /// <summary>
        /// fa-bullseye-pointer unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/bullseye-pointer
        /// </summary>
        public const string BullseyePointer = "\uf649";

        /// <summary>
        /// fa-burn unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/burn
        /// </summary>
        public const string Burn = "\uf46a";

        /// <summary>
        /// fa-buromobelexperte unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/buromobelexperte
        /// </summary>
        public const string Buromobelexperte = "\uf37f";

        /// <summary>
        /// fa-bus unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/bus
        /// </summary>
        public const string Bus = "\uf207";

        /// <summary>
        /// fa-bus-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/bus-alt
        /// </summary>
        public const string BusAlt = "\uf55e";

        /// <summary>
        /// fa-bus-school unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/bus-school
        /// </summary>
        public const string BusSchool = "\uf5dd";

        /// <summary>
        /// fa-business-time unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/business-time
        /// </summary>
        public const string BusinessTime = "\uf64a";

        /// <summary>
        /// fa-buysellads unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/buysellads
        /// </summary>
        public const string Buysellads = "\uf20d";

        /// <summary>
        /// fa-cabinet-filing unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/cabinet-filing
        /// </summary>
        public const string CabinetFiling = "\uf64b";

        /// <summary>
        /// fa-calculator unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/calculator
        /// </summary>
        public const string Calculator = "\uf1ec";

        /// <summary>
        /// fa-calculator-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/calculator-alt
        /// </summary>
        public const string CalculatorAlt = "\uf64c";

        /// <summary>
        /// fa-calendar unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/calendar
        /// </summary>
        public const string Calendar = "\uf133";

        /// <summary>
        /// fa-calendar-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/calendar-alt
        /// </summary>
        public const string CalendarAlt = "\uf073";

        /// <summary>
        /// fa-calendar-check unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/calendar-check
        /// </summary>
        public const string CalendarCheck = "\uf274";

        /// <summary>
        /// fa-calendar-edit unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/calendar-edit
        /// </summary>
        public const string CalendarEdit = "\uf333";

        /// <summary>
        /// fa-calendar-exclamation unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/calendar-exclamation
        /// </summary>
        public const string CalendarExclamation = "\uf334";

        /// <summary>
        /// fa-calendar-minus unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/calendar-minus
        /// </summary>
        public const string CalendarMinus = "\uf272";

        /// <summary>
        /// fa-calendar-plus unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/calendar-plus
        /// </summary>
        public const string CalendarPlus = "\uf271";

        /// <summary>
        /// fa-calendar-star unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/calendar-star
        /// </summary>
        public const string CalendarStar = "\uf736";

        /// <summary>
        /// fa-calendar-times unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/calendar-times
        /// </summary>
        public const string CalendarTimes = "\uf273";

        /// <summary>
        /// fa-camera unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/camera
        /// </summary>
        public const string Camera = "\uf030";

        /// <summary>
        /// fa-camera-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/camera-alt
        /// </summary>
        public const string CameraAlt = "\uf332";

        /// <summary>
        /// fa-camera-retro unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/camera-retro
        /// </summary>
        public const string CameraRetro = "\uf083";

        /// <summary>
        /// fa-campfire unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/campfire
        /// </summary>
        public const string Campfire = "\uf6ba";

        /// <summary>
        /// fa-campground unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/campground
        /// </summary>
        public const string Campground = "\uf6bb";

        /// <summary>
        /// fa-candle-holder unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/candle-holder
        /// </summary>
        public const string CandleHolder = "\uf6bc";

        /// <summary>
        /// fa-candy-corn unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/candy-corn
        /// </summary>
        public const string CandyCorn = "\uf6bd";

        /// <summary>
        /// fa-cannabis unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/cannabis
        /// </summary>
        public const string Cannabis = "\uf55f";

        /// <summary>
        /// fa-capsules unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/capsules
        /// </summary>
        public const string Capsules = "\uf46b";

        /// <summary>
        /// fa-car unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/car
        /// </summary>
        public const string Car = "\uf1b9";

        /// <summary>
        /// fa-car-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/car-alt
        /// </summary>
        public const string CarAlt = "\uf5de";

        /// <summary>
        /// fa-car-battery unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/car-battery
        /// </summary>
        public const string CarBattery = "\uf5df";

        /// <summary>
        /// fa-car-bump unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/car-bump
        /// </summary>
        public const string CarBump = "\uf5e0";

        /// <summary>
        /// fa-car-crash unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/car-crash
        /// </summary>
        public const string CarCrash = "\uf5e1";

        /// <summary>
        /// fa-car-garage unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/car-garage
        /// </summary>
        public const string CarGarage = "\uf5e2";

        /// <summary>
        /// fa-car-mechanic unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/car-mechanic
        /// </summary>
        public const string CarMechanic = "\uf5e3";

        /// <summary>
        /// fa-car-side unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/car-side
        /// </summary>
        public const string CarSide = "\uf5e4";

        /// <summary>
        /// fa-car-tilt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/car-tilt
        /// </summary>
        public const string CarTilt = "\uf5e5";

        /// <summary>
        /// fa-car-wash unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/car-wash
        /// </summary>
        public const string CarWash = "\uf5e6";

        /// <summary>
        /// fa-caret-circle-down unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/caret-circle-down
        /// </summary>
        public const string CaretCircleDown = "\uf32d";

        /// <summary>
        /// fa-caret-circle-left unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/caret-circle-left
        /// </summary>
        public const string CaretCircleLeft = "\uf32e";

        /// <summary>
        /// fa-caret-circle-right unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/caret-circle-right
        /// </summary>
        public const string CaretCircleRight = "\uf330";

        /// <summary>
        /// fa-caret-circle-up unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/caret-circle-up
        /// </summary>
        public const string CaretCircleUp = "\uf331";

        /// <summary>
        /// fa-caret-down unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/caret-down
        /// </summary>
        public const string CaretDown = "\uf0d7";

        /// <summary>
        /// fa-caret-left unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/caret-left
        /// </summary>
        public const string CaretLeft = "\uf0d9";

        /// <summary>
        /// fa-caret-right unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/caret-right
        /// </summary>
        public const string CaretRight = "\uf0da";

        /// <summary>
        /// fa-caret-square-down unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/caret-square-down
        /// </summary>
        public const string CaretSquareDown = "\uf150";

        /// <summary>
        /// fa-caret-square-left unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/caret-square-left
        /// </summary>
        public const string CaretSquareLeft = "\uf191";

        /// <summary>
        /// fa-caret-square-right unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/caret-square-right
        /// </summary>
        public const string CaretSquareRight = "\uf152";

        /// <summary>
        /// fa-caret-square-up unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/caret-square-up
        /// </summary>
        public const string CaretSquareUp = "\uf151";

        /// <summary>
        /// fa-caret-up unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/caret-up
        /// </summary>
        public const string CaretUp = "\uf0d8";

        /// <summary>
        /// fa-cart-arrow-down unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/cart-arrow-down
        /// </summary>
        public const string CartArrowDown = "\uf218";

        /// <summary>
        /// fa-cart-plus unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/cart-plus
        /// </summary>
        public const string CartPlus = "\uf217";

        /// <summary>
        /// fa-cat unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/cat
        /// </summary>
        public const string Cat = "\uf6be";

        /// <summary>
        /// fa-cauldron unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/cauldron
        /// </summary>
        public const string Cauldron = "\uf6bf";

        /// <summary>
        /// fa-cc-amazon-pay unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/cc-amazon-pay
        /// </summary>
        public const string CcAmazonPay = "\uf42d";

        /// <summary>
        /// fa-cc-amex unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/cc-amex
        /// </summary>
        public const string CcAmex = "\uf1f3";

        /// <summary>
        /// fa-cc-apple-pay unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/cc-apple-pay
        /// </summary>
        public const string CcApplePay = "\uf416";

        /// <summary>
        /// fa-cc-diners-club unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/cc-diners-club
        /// </summary>
        public const string CcDinersClub = "\uf24c";

        /// <summary>
        /// fa-cc-discover unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/cc-discover
        /// </summary>
        public const string CcDiscover = "\uf1f2";

        /// <summary>
        /// fa-cc-jcb unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/cc-jcb
        /// </summary>
        public const string CcJcb = "\uf24b";

        /// <summary>
        /// fa-cc-mastercard unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/cc-mastercard
        /// </summary>
        public const string CcMastercard = "\uf1f1";

        /// <summary>
        /// fa-cc-paypal unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/cc-paypal
        /// </summary>
        public const string CcPaypal = "\uf1f4";

        /// <summary>
        /// fa-cc-stripe unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/cc-stripe
        /// </summary>
        public const string CcStripe = "\uf1f5";

        /// <summary>
        /// fa-cc-visa unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/cc-visa
        /// </summary>
        public const string CcVisa = "\uf1f0";

        /// <summary>
        /// fa-centercode unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/centercode
        /// </summary>
        public const string Centercode = "\uf380";

        /// <summary>
        /// fa-certificate unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/certificate
        /// </summary>
        public const string Certificate = "\uf0a3";

        /// <summary>
        /// fa-chair unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/chair
        /// </summary>
        public const string Chair = "\uf6c0";

        /// <summary>
        /// fa-chair-office unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/chair-office
        /// </summary>
        public const string ChairOffice = "\uf6c1";

        /// <summary>
        /// fa-chalkboard unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/chalkboard
        /// </summary>
        public const string Chalkboard = "\uf51b";

        /// <summary>
        /// fa-chalkboard-teacher unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/chalkboard-teacher
        /// </summary>
        public const string ChalkboardTeacher = "\uf51c";

        /// <summary>
        /// fa-charging-station unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/charging-station
        /// </summary>
        public const string ChargingStation = "\uf5e7";

        /// <summary>
        /// fa-chart-area unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/chart-area
        /// </summary>
        public const string ChartArea = "\uf1fe";

        /// <summary>
        /// fa-chart-bar unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/chart-bar
        /// </summary>
        public const string ChartBar = "\uf080";

        /// <summary>
        /// fa-chart-line unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/chart-line
        /// </summary>
        public const string ChartLine = "\uf201";

        /// <summary>
        /// fa-chart-line-down unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/chart-line-down
        /// </summary>
        public const string ChartLineDown = "\uf64d";

        /// <summary>
        /// fa-chart-pie unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/chart-pie
        /// </summary>
        public const string ChartPie = "\uf200";

        /// <summary>
        /// fa-chart-pie-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/chart-pie-alt
        /// </summary>
        public const string ChartPieAlt = "\uf64e";

        /// <summary>
        /// fa-check unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/check
        /// </summary>
        public const string Check = "\uf00c";

        /// <summary>
        /// fa-check-circle unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/check-circle
        /// </summary>
        public const string CheckCircle = "\uf058";

        /// <summary>
        /// fa-check-double unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/check-double
        /// </summary>
        public const string CheckDouble = "\uf560";

        /// <summary>
        /// fa-check-square unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/check-square
        /// </summary>
        public const string CheckSquare = "\uf14a";

        /// <summary>
        /// fa-chess unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/chess
        /// </summary>
        public const string Chess = "\uf439";

        /// <summary>
        /// fa-chess-bishop unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/chess-bishop
        /// </summary>
        public const string ChessBishop = "\uf43a";

        /// <summary>
        /// fa-chess-bishop-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/chess-bishop-alt
        /// </summary>
        public const string ChessBishopAlt = "\uf43b";

        /// <summary>
        /// fa-chess-board unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/chess-board
        /// </summary>
        public const string ChessBoard = "\uf43c";

        /// <summary>
        /// fa-chess-clock unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/chess-clock
        /// </summary>
        public const string ChessClock = "\uf43d";

        /// <summary>
        /// fa-chess-clock-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/chess-clock-alt
        /// </summary>
        public const string ChessClockAlt = "\uf43e";

        /// <summary>
        /// fa-chess-king unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/chess-king
        /// </summary>
        public const string ChessKing = "\uf43f";

        /// <summary>
        /// fa-chess-king-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/chess-king-alt
        /// </summary>
        public const string ChessKingAlt = "\uf440";

        /// <summary>
        /// fa-chess-knight unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/chess-knight
        /// </summary>
        public const string ChessKnight = "\uf441";

        /// <summary>
        /// fa-chess-knight-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/chess-knight-alt
        /// </summary>
        public const string ChessKnightAlt = "\uf442";

        /// <summary>
        /// fa-chess-pawn unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/chess-pawn
        /// </summary>
        public const string ChessPawn = "\uf443";

        /// <summary>
        /// fa-chess-pawn-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/chess-pawn-alt
        /// </summary>
        public const string ChessPawnAlt = "\uf444";

        /// <summary>
        /// fa-chess-queen unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/chess-queen
        /// </summary>
        public const string ChessQueen = "\uf445";

        /// <summary>
        /// fa-chess-queen-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/chess-queen-alt
        /// </summary>
        public const string ChessQueenAlt = "\uf446";

        /// <summary>
        /// fa-chess-rook unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/chess-rook
        /// </summary>
        public const string ChessRook = "\uf447";

        /// <summary>
        /// fa-chess-rook-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/chess-rook-alt
        /// </summary>
        public const string ChessRookAlt = "\uf448";

        /// <summary>
        /// fa-chevron-circle-down unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/chevron-circle-down
        /// </summary>
        public const string ChevronCircleDown = "\uf13a";

        /// <summary>
        /// fa-chevron-circle-left unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/chevron-circle-left
        /// </summary>
        public const string ChevronCircleLeft = "\uf137";

        /// <summary>
        /// fa-chevron-circle-right unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/chevron-circle-right
        /// </summary>
        public const string ChevronCircleRight = "\uf138";

        /// <summary>
        /// fa-chevron-circle-up unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/chevron-circle-up
        /// </summary>
        public const string ChevronCircleUp = "\uf139";

        /// <summary>
        /// fa-chevron-double-down unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/chevron-double-down
        /// </summary>
        public const string ChevronDoubleDown = "\uf322";

        /// <summary>
        /// fa-chevron-double-left unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/chevron-double-left
        /// </summary>
        public const string ChevronDoubleLeft = "\uf323";

        /// <summary>
        /// fa-chevron-double-right unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/chevron-double-right
        /// </summary>
        public const string ChevronDoubleRight = "\uf324";

        /// <summary>
        /// fa-chevron-double-up unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/chevron-double-up
        /// </summary>
        public const string ChevronDoubleUp = "\uf325";

        /// <summary>
        /// fa-chevron-down unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/chevron-down
        /// </summary>
        public const string ChevronDown = "\uf078";

        /// <summary>
        /// fa-chevron-left unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/chevron-left
        /// </summary>
        public const string ChevronLeft = "\uf053";

        /// <summary>
        /// fa-chevron-right unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/chevron-right
        /// </summary>
        public const string ChevronRight = "\uf054";

        /// <summary>
        /// fa-chevron-square-down unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/chevron-square-down
        /// </summary>
        public const string ChevronSquareDown = "\uf329";

        /// <summary>
        /// fa-chevron-square-left unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/chevron-square-left
        /// </summary>
        public const string ChevronSquareLeft = "\uf32a";

        /// <summary>
        /// fa-chevron-square-right unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/chevron-square-right
        /// </summary>
        public const string ChevronSquareRight = "\uf32b";

        /// <summary>
        /// fa-chevron-square-up unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/chevron-square-up
        /// </summary>
        public const string ChevronSquareUp = "\uf32c";

        /// <summary>
        /// fa-chevron-up unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/chevron-up
        /// </summary>
        public const string ChevronUp = "\uf077";

        /// <summary>
        /// fa-child unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/child
        /// </summary>
        public const string Child = "\uf1ae";

        /// <summary>
        /// fa-chrome unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/chrome
        /// </summary>
        public const string Chrome = "\uf268";

        /// <summary>
        /// fa-church unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/church
        /// </summary>
        public const string Church = "\uf51d";

        /// <summary>
        /// fa-circle unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/circle
        /// </summary>
        public const string Circle = "\uf111";

        /// <summary>
        /// fa-circle-notch unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/circle-notch
        /// </summary>
        public const string CircleNotch = "\uf1ce";

        /// <summary>
        /// fa-city unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/city
        /// </summary>
        public const string City = "\uf64f";

        /// <summary>
        /// fa-claw-marks unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/claw-marks
        /// </summary>
        public const string ClawMarks = "\uf6c2";

        /// <summary>
        /// fa-clipboard unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/clipboard
        /// </summary>
        public const string Clipboard = "\uf328";

        /// <summary>
        /// fa-clipboard-check unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/clipboard-check
        /// </summary>
        public const string ClipboardCheck = "\uf46c";

        /// <summary>
        /// fa-clipboard-list unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/clipboard-list
        /// </summary>
        public const string ClipboardList = "\uf46d";

        /// <summary>
        /// fa-clipboard-list-check unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/clipboard-list-check
        /// </summary>
        public const string ClipboardListCheck = "\uf737";

        /// <summary>
        /// fa-clipboard-prescription unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/clipboard-prescription
        /// </summary>
        public const string ClipboardPrescription = "\uf5e8";

        /// <summary>
        /// fa-clock unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/clock
        /// </summary>
        public const string Clock = "\uf017";

        /// <summary>
        /// fa-clone unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/clone
        /// </summary>
        public const string Clone = "\uf24d";

        /// <summary>
        /// fa-closed-captioning unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/closed-captioning
        /// </summary>
        public const string ClosedCaptioning = "\uf20a";

        /// <summary>
        /// fa-cloud unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/cloud
        /// </summary>
        public const string Cloud = "\uf0c2";

        /// <summary>
        /// fa-cloud-download unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/cloud-download
        /// </summary>
        public const string CloudDownload = "\uf0ed";

        /// <summary>
        /// fa-cloud-download-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/cloud-download-alt
        /// </summary>
        public const string CloudDownloadAlt = "\uf381";

        /// <summary>
        /// fa-cloud-drizzle unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/cloud-drizzle
        /// </summary>
        public const string CloudDrizzle = "\uf738";

        /// <summary>
        /// fa-cloud-hail unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/cloud-hail
        /// </summary>
        public const string CloudHail = "\uf739";

        /// <summary>
        /// fa-cloud-hail-mixed unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/cloud-hail-mixed
        /// </summary>
        public const string CloudHailMixed = "\uf73a";

        /// <summary>
        /// fa-cloud-meatball unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/cloud-meatball
        /// </summary>
        public const string CloudMeatball = "\uf73b";

        /// <summary>
        /// fa-cloud-moon unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/cloud-moon
        /// </summary>
        public const string CloudMoon = "\uf6c3";

        /// <summary>
        /// fa-cloud-moon-rain unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/cloud-moon-rain
        /// </summary>
        public const string CloudMoonRain = "\uf73c";

        /// <summary>
        /// fa-cloud-rain unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/cloud-rain
        /// </summary>
        public const string CloudRain = "\uf73d";

        /// <summary>
        /// fa-cloud-rainbow unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/cloud-rainbow
        /// </summary>
        public const string CloudRainbow = "\uf73e";

        /// <summary>
        /// fa-cloud-showers unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/cloud-showers
        /// </summary>
        public const string CloudShowers = "\uf73f";

        /// <summary>
        /// fa-cloud-showers-heavy unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/cloud-showers-heavy
        /// </summary>
        public const string CloudShowersHeavy = "\uf740";

        /// <summary>
        /// fa-cloud-sleet unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/cloud-sleet
        /// </summary>
        public const string CloudSleet = "\uf741";

        /// <summary>
        /// fa-cloud-snow unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/cloud-snow
        /// </summary>
        public const string CloudSnow = "\uf742";

        /// <summary>
        /// fa-cloud-sun unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/cloud-sun
        /// </summary>
        public const string CloudSun = "\uf6c4";

        /// <summary>
        /// fa-cloud-sun-rain unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/cloud-sun-rain
        /// </summary>
        public const string CloudSunRain = "\uf743";

        /// <summary>
        /// fa-cloud-upload unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/cloud-upload
        /// </summary>
        public const string CloudUpload = "\uf0ee";

        /// <summary>
        /// fa-cloud-upload-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/cloud-upload-alt
        /// </summary>
        public const string CloudUploadAlt = "\uf382";

        /// <summary>
        /// fa-clouds unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/clouds
        /// </summary>
        public const string Clouds = "\uf744";

        /// <summary>
        /// fa-clouds-moon unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/clouds-moon
        /// </summary>
        public const string CloudsMoon = "\uf745";

        /// <summary>
        /// fa-clouds-sun unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/clouds-sun
        /// </summary>
        public const string CloudsSun = "\uf746";

        /// <summary>
        /// fa-cloudscale unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/cloudscale
        /// </summary>
        public const string Cloudscale = "\uf383";

        /// <summary>
        /// fa-cloudsmith unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/cloudsmith
        /// </summary>
        public const string Cloudsmith = "\uf384";

        /// <summary>
        /// fa-cloudversify unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/cloudversify
        /// </summary>
        public const string Cloudversify = "\uf385";

        /// <summary>
        /// fa-club unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/club
        /// </summary>
        public const string Club = "\uf327";

        /// <summary>
        /// fa-cocktail unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/cocktail
        /// </summary>
        public const string Cocktail = "\uf561";

        /// <summary>
        /// fa-code unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/code
        /// </summary>
        public const string Code = "\uf121";

        /// <summary>
        /// fa-code-branch unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/code-branch
        /// </summary>
        public const string CodeBranch = "\uf126";

        /// <summary>
        /// fa-code-commit unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/code-commit
        /// </summary>
        public const string CodeCommit = "\uf386";

        /// <summary>
        /// fa-code-merge unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/code-merge
        /// </summary>
        public const string CodeMerge = "\uf387";

        /// <summary>
        /// fa-codepen unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/codepen
        /// </summary>
        public const string Codepen = "\uf1cb";

        /// <summary>
        /// fa-codiepie unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/codiepie
        /// </summary>
        public const string Codiepie = "\uf284";

        /// <summary>
        /// fa-coffee unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/coffee
        /// </summary>
        public const string Coffee = "\uf0f4";

        /// <summary>
        /// fa-coffee-togo unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/coffee-togo
        /// </summary>
        public const string CoffeeTogo = "\uf6c5";

        /// <summary>
        /// fa-coffin unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/coffin
        /// </summary>
        public const string Coffin = "\uf6c6";

        /// <summary>
        /// fa-cog unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/cog
        /// </summary>
        public const string Cog = "\uf013";

        /// <summary>
        /// fa-cogs unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/cogs
        /// </summary>
        public const string Cogs = "\uf085";

        /// <summary>
        /// fa-coins unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/coins
        /// </summary>
        public const string Coins = "\uf51e";

        /// <summary>
        /// fa-columns unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/columns
        /// </summary>
        public const string Columns = "\uf0db";

        /// <summary>
        /// fa-comment unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/comment
        /// </summary>
        public const string Comment = "\uf075";

        /// <summary>
        /// fa-comment-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/comment-alt
        /// </summary>
        public const string CommentAlt = "\uf27a";

        /// <summary>
        /// fa-comment-alt-check unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/comment-alt-check
        /// </summary>
        public const string CommentAltCheck = "\uf4a2";

        /// <summary>
        /// fa-comment-alt-dollar unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/comment-alt-dollar
        /// </summary>
        public const string CommentAltDollar = "\uf650";

        /// <summary>
        /// fa-comment-alt-dots unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/comment-alt-dots
        /// </summary>
        public const string CommentAltDots = "\uf4a3";

        /// <summary>
        /// fa-comment-alt-edit unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/comment-alt-edit
        /// </summary>
        public const string CommentAltEdit = "\uf4a4";

        /// <summary>
        /// fa-comment-alt-exclamation unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/comment-alt-exclamation
        /// </summary>
        public const string CommentAltExclamation = "\uf4a5";

        /// <summary>
        /// fa-comment-alt-lines unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/comment-alt-lines
        /// </summary>
        public const string CommentAltLines = "\uf4a6";

        /// <summary>
        /// fa-comment-alt-minus unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/comment-alt-minus
        /// </summary>
        public const string CommentAltMinus = "\uf4a7";

        /// <summary>
        /// fa-comment-alt-plus unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/comment-alt-plus
        /// </summary>
        public const string CommentAltPlus = "\uf4a8";

        /// <summary>
        /// fa-comment-alt-slash unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/comment-alt-slash
        /// </summary>
        public const string CommentAltSlash = "\uf4a9";

        /// <summary>
        /// fa-comment-alt-smile unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/comment-alt-smile
        /// </summary>
        public const string CommentAltSmile = "\uf4aa";

        /// <summary>
        /// fa-comment-alt-times unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/comment-alt-times
        /// </summary>
        public const string CommentAltTimes = "\uf4ab";

        /// <summary>
        /// fa-comment-check unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/comment-check
        /// </summary>
        public const string CommentCheck = "\uf4ac";

        /// <summary>
        /// fa-comment-dollar unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/comment-dollar
        /// </summary>
        public const string CommentDollar = "\uf651";

        /// <summary>
        /// fa-comment-dots unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/comment-dots
        /// </summary>
        public const string CommentDots = "\uf4ad";

        /// <summary>
        /// fa-comment-edit unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/comment-edit
        /// </summary>
        public const string CommentEdit = "\uf4ae";

        /// <summary>
        /// fa-comment-exclamation unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/comment-exclamation
        /// </summary>
        public const string CommentExclamation = "\uf4af";

        /// <summary>
        /// fa-comment-lines unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/comment-lines
        /// </summary>
        public const string CommentLines = "\uf4b0";

        /// <summary>
        /// fa-comment-minus unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/comment-minus
        /// </summary>
        public const string CommentMinus = "\uf4b1";

        /// <summary>
        /// fa-comment-plus unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/comment-plus
        /// </summary>
        public const string CommentPlus = "\uf4b2";

        /// <summary>
        /// fa-comment-slash unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/comment-slash
        /// </summary>
        public const string CommentSlash = "\uf4b3";

        /// <summary>
        /// fa-comment-smile unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/comment-smile
        /// </summary>
        public const string CommentSmile = "\uf4b4";

        /// <summary>
        /// fa-comment-times unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/comment-times
        /// </summary>
        public const string CommentTimes = "\uf4b5";

        /// <summary>
        /// fa-comments unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/comments
        /// </summary>
        public const string Comments = "\uf086";

        /// <summary>
        /// fa-comments-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/comments-alt
        /// </summary>
        public const string CommentsAlt = "\uf4b6";

        /// <summary>
        /// fa-comments-alt-dollar unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/comments-alt-dollar
        /// </summary>
        public const string CommentsAltDollar = "\uf652";

        /// <summary>
        /// fa-comments-dollar unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/comments-dollar
        /// </summary>
        public const string CommentsDollar = "\uf653";

        /// <summary>
        /// fa-compact-disc unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/compact-disc
        /// </summary>
        public const string CompactDisc = "\uf51f";

        /// <summary>
        /// fa-compass unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/compass
        /// </summary>
        public const string Compass = "\uf14e";

        /// <summary>
        /// fa-compass-slash unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/compass-slash
        /// </summary>
        public const string CompassSlash = "\uf5e9";

        /// <summary>
        /// fa-compress unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/compress
        /// </summary>
        public const string Compress = "\uf066";

        /// <summary>
        /// fa-compress-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/compress-alt
        /// </summary>
        public const string CompressAlt = "\uf422";

        /// <summary>
        /// fa-compress-wide unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/compress-wide
        /// </summary>
        public const string CompressWide = "\uf326";

        /// <summary>
        /// fa-concierge-bell unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/concierge-bell
        /// </summary>
        public const string ConciergeBell = "\uf562";

        /// <summary>
        /// fa-connectdevelop unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/connectdevelop
        /// </summary>
        public const string Connectdevelop = "\uf20e";

        /// <summary>
        /// fa-container-storage unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/container-storage
        /// </summary>
        public const string ContainerStorage = "\uf4b7";

        /// <summary>
        /// fa-contao unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/contao
        /// </summary>
        public const string Contao = "\uf26d";

        /// <summary>
        /// fa-conveyor-belt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/conveyor-belt
        /// </summary>
        public const string ConveyorBelt = "\uf46e";

        /// <summary>
        /// fa-conveyor-belt-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/conveyor-belt-alt
        /// </summary>
        public const string ConveyorBeltAlt = "\uf46f";

        /// <summary>
        /// fa-cookie unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/cookie
        /// </summary>
        public const string Cookie = "\uf563";

        /// <summary>
        /// fa-cookie-bite unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/cookie-bite
        /// </summary>
        public const string CookieBite = "\uf564";

        /// <summary>
        /// fa-copy unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/copy
        /// </summary>
        public const string Copy = "\uf0c5";

        /// <summary>
        /// fa-copyright unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/copyright
        /// </summary>
        public const string Copyright = "\uf1f9";

        /// <summary>
        /// fa-corn unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/corn
        /// </summary>
        public const string Corn = "\uf6c7";

        /// <summary>
        /// fa-couch unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/couch
        /// </summary>
        public const string Couch = "\uf4b8";

        /// <summary>
        /// fa-cow unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/cow
        /// </summary>
        public const string Cow = "\uf6c8";

        /// <summary>
        /// fa-cpanel unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/cpanel
        /// </summary>
        public const string Cpanel = "\uf388";

        /// <summary>
        /// fa-creative-commons unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/creative-commons
        /// </summary>
        public const string CreativeCommons = "\uf25e";

        /// <summary>
        /// fa-creative-commons-by unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/creative-commons-by
        /// </summary>
        public const string CreativeCommonsBy = "\uf4e7";

        /// <summary>
        /// fa-creative-commons-nc unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/creative-commons-nc
        /// </summary>
        public const string CreativeCommonsNc = "\uf4e8";

        /// <summary>
        /// fa-creative-commons-nc-eu unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/creative-commons-nc-eu
        /// </summary>
        public const string CreativeCommonsNcEu = "\uf4e9";

        /// <summary>
        /// fa-creative-commons-nc-jp unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/creative-commons-nc-jp
        /// </summary>
        public const string CreativeCommonsNcJp = "\uf4ea";

        /// <summary>
        /// fa-creative-commons-nd unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/creative-commons-nd
        /// </summary>
        public const string CreativeCommonsNd = "\uf4eb";

        /// <summary>
        /// fa-creative-commons-pd unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/creative-commons-pd
        /// </summary>
        public const string CreativeCommonsPd = "\uf4ec";

        /// <summary>
        /// fa-creative-commons-pd-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/creative-commons-pd-alt
        /// </summary>
        public const string CreativeCommonsPdAlt = "\uf4ed";

        /// <summary>
        /// fa-creative-commons-remix unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/creative-commons-remix
        /// </summary>
        public const string CreativeCommonsRemix = "\uf4ee";

        /// <summary>
        /// fa-creative-commons-sa unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/creative-commons-sa
        /// </summary>
        public const string CreativeCommonsSa = "\uf4ef";

        /// <summary>
        /// fa-creative-commons-sampling unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/creative-commons-sampling
        /// </summary>
        public const string CreativeCommonsSampling = "\uf4f0";

        /// <summary>
        /// fa-creative-commons-sampling-plus unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/creative-commons-sampling-plus
        /// </summary>
        public const string CreativeCommonsSamplingPlus = "\uf4f1";

        /// <summary>
        /// fa-creative-commons-share unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/creative-commons-share
        /// </summary>
        public const string CreativeCommonsShare = "\uf4f2";

        /// <summary>
        /// fa-creative-commons-zero unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/creative-commons-zero
        /// </summary>
        public const string CreativeCommonsZero = "\uf4f3";

        /// <summary>
        /// fa-credit-card unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/credit-card
        /// </summary>
        public const string CreditCard = "\uf09d";

        /// <summary>
        /// fa-credit-card-blank unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/credit-card-blank
        /// </summary>
        public const string CreditCardBlank = "\uf389";

        /// <summary>
        /// fa-credit-card-front unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/credit-card-front
        /// </summary>
        public const string CreditCardFront = "\uf38a";

        /// <summary>
        /// fa-cricket unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/cricket
        /// </summary>
        public const string Cricket = "\uf449";

        /// <summary>
        /// fa-critical-role unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/critical-role
        /// </summary>
        public const string CriticalRole = "\uf6c9";

        /// <summary>
        /// fa-crop unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/crop
        /// </summary>
        public const string Crop = "\uf125";

        /// <summary>
        /// fa-crop-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/crop-alt
        /// </summary>
        public const string CropAlt = "\uf565";

        /// <summary>
        /// fa-cross unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/cross
        /// </summary>
        public const string Cross = "\uf654";

        /// <summary>
        /// fa-crosshairs unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/crosshairs
        /// </summary>
        public const string Crosshairs = "\uf05b";

        /// <summary>
        /// fa-crow unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/crow
        /// </summary>
        public const string Crow = "\uf520";

        /// <summary>
        /// fa-crown unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/crown
        /// </summary>
        public const string Crown = "\uf521";

        /// <summary>
        /// fa-css3 unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/css3
        /// </summary>
        public const string Css3 = "\uf13c";

        /// <summary>
        /// fa-css3-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/css3-alt
        /// </summary>
        public const string Css3Alt = "\uf38b";

        /// <summary>
        /// fa-cube unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/cube
        /// </summary>
        public const string Cube = "\uf1b2";

        /// <summary>
        /// fa-cubes unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/cubes
        /// </summary>
        public const string Cubes = "\uf1b3";

        /// <summary>
        /// fa-curling unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/curling
        /// </summary>
        public const string Curling = "\uf44a";

        /// <summary>
        /// fa-cut unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/cut
        /// </summary>
        public const string Cut = "\uf0c4";

        /// <summary>
        /// fa-cuttlefish unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/cuttlefish
        /// </summary>
        public const string Cuttlefish = "\uf38c";

        /// <summary>
        /// fa-d-and-d unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/d-and-d
        /// </summary>
        public const string DAndD = "\uf38d";

        /// <summary>
        /// fa-d-and-d-beyond unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/d-and-d-beyond
        /// </summary>
        public const string DAndDBeyond = "\uf6ca";

        /// <summary>
        /// fa-dagger unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/dagger
        /// </summary>
        public const string Dagger = "\uf6cb";

        /// <summary>
        /// fa-dashcube unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/dashcube
        /// </summary>
        public const string Dashcube = "\uf210";

        /// <summary>
        /// fa-database unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/database
        /// </summary>
        public const string Database = "\uf1c0";

        /// <summary>
        /// fa-deaf unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/deaf
        /// </summary>
        public const string Deaf = "\uf2a4";

        /// <summary>
        /// fa-delicious unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/delicious
        /// </summary>
        public const string Delicious = "\uf1a5";

        /// <summary>
        /// fa-democrat unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/democrat
        /// </summary>
        public const string Democrat = "\uf747";

        /// <summary>
        /// fa-deploydog unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/deploydog
        /// </summary>
        public const string Deploydog = "\uf38e";

        /// <summary>
        /// fa-deskpro unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/deskpro
        /// </summary>
        public const string Deskpro = "\uf38f";

        /// <summary>
        /// fa-desktop unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/desktop
        /// </summary>
        public const string Desktop = "\uf108";

        /// <summary>
        /// fa-desktop-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/desktop-alt
        /// </summary>
        public const string DesktopAlt = "\uf390";

        /// <summary>
        /// fa-dev unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/dev
        /// </summary>
        public const string Dev = "\uf6cc";

        /// <summary>
        /// fa-deviantart unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/deviantart
        /// </summary>
        public const string Deviantart = "\uf1bd";

        /// <summary>
        /// fa-dewpoint unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/dewpoint
        /// </summary>
        public const string Dewpoint = "\uf748";

        /// <summary>
        /// fa-dharmachakra unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/dharmachakra
        /// </summary>
        public const string Dharmachakra = "\uf655";

        /// <summary>
        /// fa-diagnoses unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/diagnoses
        /// </summary>
        public const string Diagnoses = "\uf470";

        /// <summary>
        /// fa-diamond unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/diamond
        /// </summary>
        public const string Diamond = "\uf219";

        /// <summary>
        /// fa-dice unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/dice
        /// </summary>
        public const string Dice = "\uf522";

        /// <summary>
        /// fa-dice-d10 unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/dice-d10
        /// </summary>
        public const string DiceD10 = "\uf6cd";

        /// <summary>
        /// fa-dice-d12 unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/dice-d12
        /// </summary>
        public const string DiceD12 = "\uf6ce";

        /// <summary>
        /// fa-dice-d20 unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/dice-d20
        /// </summary>
        public const string DiceD20 = "\uf6cf";

        /// <summary>
        /// fa-dice-d4 unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/dice-d4
        /// </summary>
        public const string DiceD4 = "\uf6d0";

        /// <summary>
        /// fa-dice-d6 unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/dice-d6
        /// </summary>
        public const string DiceD6 = "\uf6d1";

        /// <summary>
        /// fa-dice-d8 unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/dice-d8
        /// </summary>
        public const string DiceD8 = "\uf6d2";

        /// <summary>
        /// fa-dice-five unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/dice-five
        /// </summary>
        public const string DiceFive = "\uf523";

        /// <summary>
        /// fa-dice-four unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/dice-four
        /// </summary>
        public const string DiceFour = "\uf524";

        /// <summary>
        /// fa-dice-one unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/dice-one
        /// </summary>
        public const string DiceOne = "\uf525";

        /// <summary>
        /// fa-dice-six unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/dice-six
        /// </summary>
        public const string DiceSix = "\uf526";

        /// <summary>
        /// fa-dice-three unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/dice-three
        /// </summary>
        public const string DiceThree = "\uf527";

        /// <summary>
        /// fa-dice-two unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/dice-two
        /// </summary>
        public const string DiceTwo = "\uf528";

        /// <summary>
        /// fa-digg unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/digg
        /// </summary>
        public const string Digg = "\uf1a6";

        /// <summary>
        /// fa-digital-ocean unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/digital-ocean
        /// </summary>
        public const string DigitalOcean = "\uf391";

        /// <summary>
        /// fa-digital-tachograph unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/digital-tachograph
        /// </summary>
        public const string DigitalTachograph = "\uf566";

        /// <summary>
        /// fa-diploma unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/diploma
        /// </summary>
        public const string Diploma = "\uf5ea";

        /// <summary>
        /// fa-directions unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/directions
        /// </summary>
        public const string Directions = "\uf5eb";

        /// <summary>
        /// fa-discord unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/discord
        /// </summary>
        public const string Discord = "\uf392";

        /// <summary>
        /// fa-discourse unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/discourse
        /// </summary>
        public const string Discourse = "\uf393";

        /// <summary>
        /// fa-divide unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/divide
        /// </summary>
        public const string Divide = "\uf529";

        /// <summary>
        /// fa-dizzy unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/dizzy
        /// </summary>
        public const string Dizzy = "\uf567";

        /// <summary>
        /// fa-dna unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/dna
        /// </summary>
        public const string Dna = "\uf471";

        /// <summary>
        /// fa-do-not-enter unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/do-not-enter
        /// </summary>
        public const string DoNotEnter = "\uf5ec";

        /// <summary>
        /// fa-dochub unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/dochub
        /// </summary>
        public const string Dochub = "\uf394";

        /// <summary>
        /// fa-docker unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/docker
        /// </summary>
        public const string Docker = "\uf395";

        /// <summary>
        /// fa-dog unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/dog
        /// </summary>
        public const string Dog = "\uf6d3";

        /// <summary>
        /// fa-dog-leashed unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/dog-leashed
        /// </summary>
        public const string DogLeashed = "\uf6d4";

        /// <summary>
        /// fa-dollar-sign unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/dollar-sign
        /// </summary>
        public const string DollarSign = "\uf155";

        /// <summary>
        /// fa-dolly unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/dolly
        /// </summary>
        public const string Dolly = "\uf472";

        /// <summary>
        /// fa-dolly-empty unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/dolly-empty
        /// </summary>
        public const string DollyEmpty = "\uf473";

        /// <summary>
        /// fa-dolly-flatbed unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/dolly-flatbed
        /// </summary>
        public const string DollyFlatbed = "\uf474";

        /// <summary>
        /// fa-dolly-flatbed-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/dolly-flatbed-alt
        /// </summary>
        public const string DollyFlatbedAlt = "\uf475";

        /// <summary>
        /// fa-dolly-flatbed-empty unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/dolly-flatbed-empty
        /// </summary>
        public const string DollyFlatbedEmpty = "\uf476";

        /// <summary>
        /// fa-donate unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/donate
        /// </summary>
        public const string Donate = "\uf4b9";

        /// <summary>
        /// fa-door-closed unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/door-closed
        /// </summary>
        public const string DoorClosed = "\uf52a";

        /// <summary>
        /// fa-door-open unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/door-open
        /// </summary>
        public const string DoorOpen = "\uf52b";

        /// <summary>
        /// fa-dot-circle unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/dot-circle
        /// </summary>
        public const string DotCircle = "\uf192";

        /// <summary>
        /// fa-dove unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/dove
        /// </summary>
        public const string Dove = "\uf4ba";

        /// <summary>
        /// fa-download unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/download
        /// </summary>
        public const string Download = "\uf019";

        /// <summary>
        /// fa-draft2digital unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/draft2digital
        /// </summary>
        public const string Draft2digital = "\uf396";

        /// <summary>
        /// fa-drafting-compass unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/drafting-compass
        /// </summary>
        public const string DraftingCompass = "\uf568";

        /// <summary>
        /// fa-dragon unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/dragon
        /// </summary>
        public const string Dragon = "\uf6d5";

        /// <summary>
        /// fa-draw-circle unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/draw-circle
        /// </summary>
        public const string DrawCircle = "\uf5ed";

        /// <summary>
        /// fa-draw-polygon unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/draw-polygon
        /// </summary>
        public const string DrawPolygon = "\uf5ee";

        /// <summary>
        /// fa-draw-square unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/draw-square
        /// </summary>
        public const string DrawSquare = "\uf5ef";

        /// <summary>
        /// fa-dribbble unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/dribbble
        /// </summary>
        public const string Dribbble = "\uf17d";

        /// <summary>
        /// fa-dribbble-square unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/dribbble-square
        /// </summary>
        public const string DribbbleSquare = "\uf397";

        /// <summary>
        /// fa-dropbox unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/dropbox
        /// </summary>
        public const string Dropbox = "\uf16b";

        /// <summary>
        /// fa-drum unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/drum
        /// </summary>
        public const string Drum = "\uf569";

        /// <summary>
        /// fa-drum-steelpan unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/drum-steelpan
        /// </summary>
        public const string DrumSteelpan = "\uf56a";

        /// <summary>
        /// fa-drumstick unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/drumstick
        /// </summary>
        public const string Drumstick = "\uf6d6";

        /// <summary>
        /// fa-drumstick-bite unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/drumstick-bite
        /// </summary>
        public const string DrumstickBite = "\uf6d7";

        /// <summary>
        /// fa-drupal unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/drupal
        /// </summary>
        public const string Drupal = "\uf1a9";

        /// <summary>
        /// fa-duck unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/duck
        /// </summary>
        public const string Duck = "\uf6d8";

        /// <summary>
        /// fa-dumbbell unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/dumbbell
        /// </summary>
        public const string Dumbbell = "\uf44b";

        /// <summary>
        /// fa-dungeon unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/dungeon
        /// </summary>
        public const string Dungeon = "\uf6d9";

        /// <summary>
        /// fa-dyalog unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/dyalog
        /// </summary>
        public const string Dyalog = "\uf399";

        /// <summary>
        /// fa-ear unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/ear
        /// </summary>
        public const string Ear = "\uf5f0";

        /// <summary>
        /// fa-earlybirds unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/earlybirds
        /// </summary>
        public const string Earlybirds = "\uf39a";

        /// <summary>
        /// fa-ebay unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/ebay
        /// </summary>
        public const string Ebay = "\uf4f4";

        /// <summary>
        /// fa-eclipse unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/eclipse
        /// </summary>
        public const string Eclipse = "\uf749";

        /// <summary>
        /// fa-eclipse-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/eclipse-alt
        /// </summary>
        public const string EclipseAlt = "\uf74a";

        /// <summary>
        /// fa-edge unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/edge
        /// </summary>
        public const string Edge = "\uf282";

        /// <summary>
        /// fa-edit unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/edit
        /// </summary>
        public const string Edit = "\uf044";

        /// <summary>
        /// fa-eject unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/eject
        /// </summary>
        public const string Eject = "\uf052";

        /// <summary>
        /// fa-elementor unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/elementor
        /// </summary>
        public const string Elementor = "\uf430";

        /// <summary>
        /// fa-elephant unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/elephant
        /// </summary>
        public const string Elephant = "\uf6da";

        /// <summary>
        /// fa-ellipsis-h unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/ellipsis-h
        /// </summary>
        public const string EllipsisH = "\uf141";

        /// <summary>
        /// fa-ellipsis-h-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/ellipsis-h-alt
        /// </summary>
        public const string EllipsisHAlt = "\uf39b";

        /// <summary>
        /// fa-ellipsis-v unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/ellipsis-v
        /// </summary>
        public const string EllipsisV = "\uf142";

        /// <summary>
        /// fa-ellipsis-v-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/ellipsis-v-alt
        /// </summary>
        public const string EllipsisVAlt = "\uf39c";

        /// <summary>
        /// fa-ello unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/ello
        /// </summary>
        public const string Ello = "\uf5f1";

        /// <summary>
        /// fa-ember unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/ember
        /// </summary>
        public const string Ember = "\uf423";

        /// <summary>
        /// fa-empire unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/empire
        /// </summary>
        public const string Empire = "\uf1d1";

        /// <summary>
        /// fa-empty-set unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/empty-set
        /// </summary>
        public const string EmptySet = "\uf656";

        /// <summary>
        /// fa-engine-warning unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/engine-warning
        /// </summary>
        public const string EngineWarning = "\uf5f2";

        /// <summary>
        /// fa-envelope unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/envelope
        /// </summary>
        public const string Envelope = "\uf0e0";

        /// <summary>
        /// fa-envelope-open unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/envelope-open
        /// </summary>
        public const string EnvelopeOpen = "\uf2b6";

        /// <summary>
        /// fa-envelope-open-dollar unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/envelope-open-dollar
        /// </summary>
        public const string EnvelopeOpenDollar = "\uf657";

        /// <summary>
        /// fa-envelope-open-text unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/envelope-open-text
        /// </summary>
        public const string EnvelopeOpenText = "\uf658";

        /// <summary>
        /// fa-envelope-square unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/envelope-square
        /// </summary>
        public const string EnvelopeSquare = "\uf199";

        /// <summary>
        /// fa-envira unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/envira
        /// </summary>
        public const string Envira = "\uf299";

        /// <summary>
        /// fa-equals unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/equals
        /// </summary>
        public const string Equal = "\uf52c";

        /// <summary>
        /// fa-eraser unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/eraser
        /// </summary>
        public const string Eraser = "\uf12d";

        /// <summary>
        /// fa-erlang unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/erlang
        /// </summary>
        public const string Erlang = "\uf39d";

        /// <summary>
        /// fa-ethereum unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/ethereum
        /// </summary>
        public const string Ethereum = "\uf42e";

        /// <summary>
        /// fa-etsy unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/etsy
        /// </summary>
        public const string Etsy = "\uf2d7";

        /// <summary>
        /// fa-euro-sign unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/euro-sign
        /// </summary>
        public const string EuroSign = "\uf153";

        /// <summary>
        /// fa-exchange unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/exchange
        /// </summary>
        public const string Exchange = "\uf0ec";

        /// <summary>
        /// fa-exchange-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/exchange-alt
        /// </summary>
        public const string ExchangeAlt = "\uf362";

        /// <summary>
        /// fa-exclamation unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/exclamation
        /// </summary>
        public const string Exclamation = "\uf12a";

        /// <summary>
        /// fa-exclamation-circle unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/exclamation-circle
        /// </summary>
        public const string ExclamationCircle = "\uf06a";

        /// <summary>
        /// fa-exclamation-square unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/exclamation-square
        /// </summary>
        public const string ExclamationSquare = "\uf321";

        /// <summary>
        /// fa-exclamation-triangle unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/exclamation-triangle
        /// </summary>
        public const string ExclamationTriangle = "\uf071";

        /// <summary>
        /// fa-expand unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/expand
        /// </summary>
        public const string Expand = "\uf065";

        /// <summary>
        /// fa-expand-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/expand-alt
        /// </summary>
        public const string ExpandAlt = "\uf424";

        /// <summary>
        /// fa-expand-arrows unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/expand-arrows
        /// </summary>
        public const string ExpandArrows = "\uf31d";

        /// <summary>
        /// fa-expand-arrows-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/expand-arrows-alt
        /// </summary>
        public const string ExpandArrowsAlt = "\uf31e";

        /// <summary>
        /// fa-expand-wide unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/expand-wide
        /// </summary>
        public const string ExpandWide = "\uf320";

        /// <summary>
        /// fa-expeditedssl unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/expeditedssl
        /// </summary>
        public const string Expeditedssl = "\uf23e";

        /// <summary>
        /// fa-external-link unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/external-link
        /// </summary>
        public const string ExternalLink = "\uf08e";

        /// <summary>
        /// fa-external-link-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/external-link-alt
        /// </summary>
        public const string ExternalLinkAlt = "\uf35d";

        /// <summary>
        /// fa-external-link-square unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/external-link-square
        /// </summary>
        public const string ExternalLinkSquare = "\uf14c";

        /// <summary>
        /// fa-external-link-square-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/external-link-square-alt
        /// </summary>
        public const string ExternalLinkSquareAlt = "\uf360";

        /// <summary>
        /// fa-eye unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/eye
        /// </summary>
        public const string Eye = "\uf06e";

        /// <summary>
        /// fa-eye-dropper unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/eye-dropper
        /// </summary>
        public const string EyeDropper = "\uf1fb";

        /// <summary>
        /// fa-eye-evil unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/eye-evil
        /// </summary>
        public const string EyeEvil = "\uf6db";

        /// <summary>
        /// fa-eye-slash unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/eye-slash
        /// </summary>
        public const string EyeSlash = "\uf070";

        /// <summary>
        /// fa-facebook unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/facebook
        /// </summary>
        public const string Facebook = "\uf09a";

        /// <summary>
        /// fa-facebook-f unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/facebook-f
        /// </summary>
        public const string FacebookF = "\uf39e";

        /// <summary>
        /// fa-facebook-messenger unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/facebook-messenger
        /// </summary>
        public const string FacebookMessenger = "\uf39f";

        /// <summary>
        /// fa-facebook-square unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/facebook-square
        /// </summary>
        public const string FacebookSquare = "\uf082";

        /// <summary>
        /// fa-fantasy-flight-games unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/fantasy-flight-games
        /// </summary>
        public const string FantasyFlightGames = "\uf6dc";

        /// <summary>
        /// fa-fast-backward unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/fast-backward
        /// </summary>
        public const string FastBackward = "\uf049";

        /// <summary>
        /// fa-fast-forward unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/fast-forward
        /// </summary>
        public const string FastForward = "\uf050";

        /// <summary>
        /// fa-fax unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/fax
        /// </summary>
        public const string Fax = "\uf1ac";

        /// <summary>
        /// fa-feather unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/feather
        /// </summary>
        public const string Feather = "\uf52d";

        /// <summary>
        /// fa-feather-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/feather-alt
        /// </summary>
        public const string FeatherAlt = "\uf56b";

        /// <summary>
        /// fa-female unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/female
        /// </summary>
        public const string Female = "\uf182";

        /// <summary>
        /// fa-field-hockey unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/field-hockey
        /// </summary>
        public const string FieldHockey = "\uf44c";

        /// <summary>
        /// fa-fighter-jet unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/fighter-jet
        /// </summary>
        public const string FighterJet = "\uf0fb";

        /// <summary>
        /// fa-file unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/file
        /// </summary>
        public const string File = "\uf15b";

        /// <summary>
        /// fa-file-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/file-alt
        /// </summary>
        public const string FileAlt = "\uf15c";

        /// <summary>
        /// fa-file-archive unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/file-archive
        /// </summary>
        public const string FileArchive = "\uf1c6";

        /// <summary>
        /// fa-file-audio unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/file-audio
        /// </summary>
        public const string FileAudio = "\uf1c7";

        /// <summary>
        /// fa-file-certificate unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/file-certificate
        /// </summary>
        public const string FileCertificate = "\uf5f3";

        /// <summary>
        /// fa-file-chart-line unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/file-chart-line
        /// </summary>
        public const string FileChartLine = "\uf659";

        /// <summary>
        /// fa-file-chart-pie unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/file-chart-pie
        /// </summary>
        public const string FileChartPie = "\uf65a";

        /// <summary>
        /// fa-file-check unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/file-check
        /// </summary>
        public const string FileCheck = "\uf316";

        /// <summary>
        /// fa-file-code unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/file-code
        /// </summary>
        public const string FileCode = "\uf1c9";

        /// <summary>
        /// fa-file-contract unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/file-contract
        /// </summary>
        public const string FileContract = "\uf56c";

        /// <summary>
        /// fa-file-csv unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/file-csv
        /// </summary>
        public const string FileCsv = "\uf6dd";

        /// <summary>
        /// fa-file-download unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/file-download
        /// </summary>
        public const string FileDownload = "\uf56d";

        /// <summary>
        /// fa-file-edit unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/file-edit
        /// </summary>
        public const string FileEdit = "\uf31c";

        /// <summary>
        /// fa-file-excel unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/file-excel
        /// </summary>
        public const string FileExcel = "\uf1c3";

        /// <summary>
        /// fa-file-exclamation unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/file-exclamation
        /// </summary>
        public const string FileExclamation = "\uf31a";

        /// <summary>
        /// fa-file-export unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/file-export
        /// </summary>
        public const string FileExport = "\uf56e";

        /// <summary>
        /// fa-file-image unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/file-image
        /// </summary>
        public const string FileImage = "\uf1c5";

        /// <summary>
        /// fa-file-import unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/file-import
        /// </summary>
        public const string FileImport = "\uf56f";

        /// <summary>
        /// fa-file-invoice unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/file-invoice
        /// </summary>
        public const string FileInvoice = "\uf570";

        /// <summary>
        /// fa-file-invoice-dollar unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/file-invoice-dollar
        /// </summary>
        public const string FileInvoiceDollar = "\uf571";

        /// <summary>
        /// fa-file-medical unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/file-medical
        /// </summary>
        public const string FileMedical = "\uf477";

        /// <summary>
        /// fa-file-medical-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/file-medical-alt
        /// </summary>
        public const string FileMedicalAlt = "\uf478";

        /// <summary>
        /// fa-file-minus unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/file-minus
        /// </summary>
        public const string FileMinus = "\uf318";

        /// <summary>
        /// fa-file-pdf unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/file-pdf
        /// </summary>
        public const string FilePdf = "\uf1c1";

        /// <summary>
        /// fa-file-plus unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/file-plus
        /// </summary>
        public const string FilePlus = "\uf319";

        /// <summary>
        /// fa-file-powerpoint unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/file-powerpoint
        /// </summary>
        public const string FilePowerpoint = "\uf1c4";

        /// <summary>
        /// fa-file-prescription unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/file-prescription
        /// </summary>
        public const string FilePrescription = "\uf572";

        /// <summary>
        /// fa-file-signature unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/file-signature
        /// </summary>
        public const string FileSignature = "\uf573";

        /// <summary>
        /// fa-file-spreadsheet unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/file-spreadsheet
        /// </summary>
        public const string FileSpreadsheet = "\uf65b";

        /// <summary>
        /// fa-file-times unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/file-times
        /// </summary>
        public const string FileTimes = "\uf317";

        /// <summary>
        /// fa-file-upload unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/file-upload
        /// </summary>
        public const string FileUpload = "\uf574";

        /// <summary>
        /// fa-file-user unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/file-user
        /// </summary>
        public const string FileUser = "\uf65c";

        /// <summary>
        /// fa-file-video unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/file-video
        /// </summary>
        public const string FileVideo = "\uf1c8";

        /// <summary>
        /// fa-file-word unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/file-word
        /// </summary>
        public const string FileWord = "\uf1c2";

        /// <summary>
        /// fa-fill unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/fill
        /// </summary>
        public const string Fill = "\uf575";

        /// <summary>
        /// fa-fill-drip unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/fill-drip
        /// </summary>
        public const string FillDrip = "\uf576";

        /// <summary>
        /// fa-film unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/film
        /// </summary>
        public const string Film = "\uf008";

        /// <summary>
        /// fa-film-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/film-alt
        /// </summary>
        public const string FilmAlt = "\uf3a0";

        /// <summary>
        /// fa-filter unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/filter
        /// </summary>
        public const string Filter = "\uf0b0";

        /// <summary>
        /// fa-fingerprint unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/fingerprint
        /// </summary>
        public const string Fingerprint = "\uf577";

        /// <summary>
        /// fa-fire unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/fire
        /// </summary>
        public const string Fire = "\uf06d";

        /// <summary>
        /// fa-fire-extinguisher unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/fire-extinguisher
        /// </summary>
        public const string FireExtinguisher = "\uf134";

        /// <summary>
        /// fa-fire-smoke unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/fire-smoke
        /// </summary>
        public const string FireSmoke = "\uf74b";

        /// <summary>
        /// fa-firefox unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/firefox
        /// </summary>
        public const string Firefox = "\uf269";

        /// <summary>
        /// fa-first-aid unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/first-aid
        /// </summary>
        public const string FirstAid = "\uf479";

        /// <summary>
        /// fa-first-order unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/first-order
        /// </summary>
        public const string FirstOrder = "\uf2b0";

        /// <summary>
        /// fa-first-order-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/first-order-alt
        /// </summary>
        public const string FirstOrderAlt = "\uf50a";

        /// <summary>
        /// fa-firstdraft unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/firstdraft
        /// </summary>
        public const string Firstdraft = "\uf3a1";

        /// <summary>
        /// fa-fish unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/fish
        /// </summary>
        public const string Fish = "\uf578";

        /// <summary>
        /// fa-fist-raised unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/fist-raised
        /// </summary>
        public const string FistRaised = "\uf6de";

        /// <summary>
        /// fa-flag unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/flag
        /// </summary>
        public const string Flag = "\uf024";

        /// <summary>
        /// fa-flag-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/flag-alt
        /// </summary>
        public const string FlagAlt = "\uf74c";

        /// <summary>
        /// fa-flag-checkered unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/flag-checkered
        /// </summary>
        public const string FlagCheckered = "\uf11e";

        /// <summary>
        /// fa-flag-usa unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/flag-usa
        /// </summary>
        public const string FlagUsa = "\uf74d";

        /// <summary>
        /// fa-flame unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/flame
        /// </summary>
        public const string Flame = "\uf6df";

        /// <summary>
        /// fa-flask unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/flask
        /// </summary>
        public const string Flask = "\uf0c3";

        /// <summary>
        /// fa-flask-poison unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/flask-poison
        /// </summary>
        public const string FlaskPoison = "\uf6e0";

        /// <summary>
        /// fa-flask-potion unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/flask-potion
        /// </summary>
        public const string FlaskPotion = "\uf6e1";

        /// <summary>
        /// fa-flickr unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/flickr
        /// </summary>
        public const string Flickr = "\uf16e";

        /// <summary>
        /// fa-flipboard unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/flipboard
        /// </summary>
        public const string Flipboard = "\uf44d";

        /// <summary>
        /// fa-flushed unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/flushed
        /// </summary>
        public const string Flushed = "\uf579";

        /// <summary>
        /// fa-fly unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/fly
        /// </summary>
        public const string Fly = "\uf417";

        /// <summary>
        /// fa-fog unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/fog
        /// </summary>
        public const string Fog = "\uf74e";

        /// <summary>
        /// fa-folder unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/folder
        /// </summary>
        public const string Folder = "\uf07b";

        /// <summary>
        /// fa-folder-minus unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/folder-minus
        /// </summary>
        public const string FolderMinus = "\uf65d";

        /// <summary>
        /// fa-folder-open unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/folder-open
        /// </summary>
        public const string FolderOpen = "\uf07c";

        /// <summary>
        /// fa-folder-plus unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/folder-plus
        /// </summary>
        public const string FolderPlus = "\uf65e";

        /// <summary>
        /// fa-folder-times unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/folder-times
        /// </summary>
        public const string FolderTimes = "\uf65f";

        /// <summary>
        /// fa-folders unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/folders
        /// </summary>
        public const string Folders = "\uf660";

        /// <summary>
        /// fa-font unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/font
        /// </summary>
        public const string Font = "\uf031";

        /// <summary>
        /// fa-font-awesome unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/font-awesome
        /// </summary>
        public const string FontAwesome = "\uf2b4";

        /// <summary>
        /// fa-font-awesome-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/font-awesome-alt
        /// </summary>
        public const string FontAwesomeAlt = "\uf35c";

        /// <summary>
        /// fa-font-awesome-flag unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/font-awesome-flag
        /// </summary>
        public const string FontAwesomeFlag = "\uf425";

        /// <summary>
        /// fa-fonticons unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/fonticons
        /// </summary>
        public const string Fonticons = "\uf280";

        /// <summary>
        /// fa-fonticons-fi unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/fonticons-fi
        /// </summary>
        public const string FonticonsFi = "\uf3a2";

        /// <summary>
        /// fa-football-ball unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/football-ball
        /// </summary>
        public const string FootballBall = "\uf44e";

        /// <summary>
        /// fa-football-helmet unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/football-helmet
        /// </summary>
        public const string FootballHelmet = "\uf44f";

        /// <summary>
        /// fa-forklift unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/forklift
        /// </summary>
        public const string Forklift = "\uf47a";

        /// <summary>
        /// fa-fort-awesome unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/fort-awesome
        /// </summary>
        public const string FortAwesome = "\uf286";

        /// <summary>
        /// fa-fort-awesome-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/fort-awesome-alt
        /// </summary>
        public const string FortAwesomeAlt = "\uf3a3";

        /// <summary>
        /// fa-forumbee unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/forumbee
        /// </summary>
        public const string Forumbee = "\uf211";

        /// <summary>
        /// fa-forward unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/forward
        /// </summary>
        public const string Forward = "\uf04e";

        /// <summary>
        /// fa-foursquare unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/foursquare
        /// </summary>
        public const string Foursquare = "\uf180";

        /// <summary>
        /// fa-fragile unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/fragile
        /// </summary>
        public const string Fragile = "\uf4bb";

        /// <summary>
        /// fa-free-code-camp unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/free-code-camp
        /// </summary>
        public const string FreeCodeCamp = "\uf2c5";

        /// <summary>
        /// fa-freebsd unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/freebsd
        /// </summary>
        public const string Freebsd = "\uf3a4";

        /// <summary>
        /// fa-frog unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/frog
        /// </summary>
        public const string Frog = "\uf52e";

        /// <summary>
        /// fa-frown unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/frown
        /// </summary>
        public const string Frown = "\uf119";

        /// <summary>
        /// fa-frown-open unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/frown-open
        /// </summary>
        public const string FrownOpen = "\uf57a";

        /// <summary>
        /// fa-fulcrum unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/fulcrum
        /// </summary>
        public const string Fulcrum = "\uf50b";

        /// <summary>
        /// fa-function unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/function
        /// </summary>
        public const string Function = "\uf661";

        /// <summary>
        /// fa-funnel-dollar unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/funnel-dollar
        /// </summary>
        public const string FunnelDollar = "\uf662";

        /// <summary>
        /// fa-futbol unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/futbol
        /// </summary>
        public const string Futbol = "\uf1e3";

        /// <summary>
        /// fa-galactic-republic unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/galactic-republic
        /// </summary>
        public const string GalacticRepublic = "\uf50c";

        /// <summary>
        /// fa-galactic-senate unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/galactic-senate
        /// </summary>
        public const string GalacticSenate = "\uf50d";

        /// <summary>
        /// fa-gamepad unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/gamepad
        /// </summary>
        public const string Gamepad = "\uf11b";

        /// <summary>
        /// fa-gas-pump unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/gas-pump
        /// </summary>
        public const string GasPump = "\uf52f";

        /// <summary>
        /// fa-gas-pump-slash unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/gas-pump-slash
        /// </summary>
        public const string GasPumpSlash = "\uf5f4";

        /// <summary>
        /// fa-gavel unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/gavel
        /// </summary>
        public const string Gavel = "\uf0e3";

        /// <summary>
        /// fa-gem unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/gem
        /// </summary>
        public const string Gem = "\uf3a5";

        /// <summary>
        /// fa-genderless unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/genderless
        /// </summary>
        public const string Genderless = "\uf22d";

        /// <summary>
        /// fa-get-pocket unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/get-pocket
        /// </summary>
        public const string GetPocket = "\uf265";

        /// <summary>
        /// fa-gg unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/gg
        /// </summary>
        public const string Gg = "\uf260";

        /// <summary>
        /// fa-gg-circle unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/gg-circle
        /// </summary>
        public const string GgCircle = "\uf261";

        /// <summary>
        /// fa-ghost unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/ghost
        /// </summary>
        public const string Ghost = "\uf6e2";

        /// <summary>
        /// fa-gift unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/gift
        /// </summary>
        public const string Gift = "\uf06b";

        /// <summary>
        /// fa-gift-card unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/gift-card
        /// </summary>
        public const string GiftCard = "\uf663";

        /// <summary>
        /// fa-git unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/git
        /// </summary>
        public const string Git = "\uf1d3";

        /// <summary>
        /// fa-git-square unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/git-square
        /// </summary>
        public const string GitSquare = "\uf1d2";

        /// <summary>
        /// fa-github unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/github
        /// </summary>
        public const string Github = "\uf09b";

        /// <summary>
        /// fa-github-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/github-alt
        /// </summary>
        public const string GithubAlt = "\uf113";

        /// <summary>
        /// fa-github-square unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/github-square
        /// </summary>
        public const string GithubSquare = "\uf092";

        /// <summary>
        /// fa-gitkraken unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/gitkraken
        /// </summary>
        public const string Gitkraken = "\uf3a6";

        /// <summary>
        /// fa-gitlab unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/gitlab
        /// </summary>
        public const string Gitlab = "\uf296";

        /// <summary>
        /// fa-gitter unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/gitter
        /// </summary>
        public const string Gitter = "\uf426";

        /// <summary>
        /// fa-glass-martini unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/glass-martini
        /// </summary>
        public const string GlassMartini = "\uf000";

        /// <summary>
        /// fa-glass-martini-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/glass-martini-alt
        /// </summary>
        public const string GlassMartiniAlt = "\uf57b";

        /// <summary>
        /// fa-glasses unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/glasses
        /// </summary>
        public const string Glasses = "\uf530";

        /// <summary>
        /// fa-glasses-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/glasses-alt
        /// </summary>
        public const string GlassesAlt = "\uf5f5";

        /// <summary>
        /// fa-glide unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/glide
        /// </summary>
        public const string Glide = "\uf2a5";

        /// <summary>
        /// fa-glide-g unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/glide-g
        /// </summary>
        public const string GlideG = "\uf2a6";

        /// <summary>
        /// fa-globe unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/globe
        /// </summary>
        public const string Globe = "\uf0ac";

        /// <summary>
        /// fa-globe-africa unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/globe-africa
        /// </summary>
        public const string GlobeAfrica = "\uf57c";

        /// <summary>
        /// fa-globe-americas unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/globe-americas
        /// </summary>
        public const string GlobeAmericas = "\uf57d";

        /// <summary>
        /// fa-globe-asia unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/globe-asia
        /// </summary>
        public const string GlobeAsia = "\uf57e";

        /// <summary>
        /// fa-globe-stand unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/globe-stand
        /// </summary>
        public const string GlobeStand = "\uf5f6";

        /// <summary>
        /// fa-gofore unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/gofore
        /// </summary>
        public const string Gofore = "\uf3a7";

        /// <summary>
        /// fa-golf-ball unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/golf-ball
        /// </summary>
        public const string GolfBall = "\uf450";

        /// <summary>
        /// fa-golf-club unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/golf-club
        /// </summary>
        public const string GolfClub = "\uf451";

        /// <summary>
        /// fa-goodreads unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/goodreads
        /// </summary>
        public const string Goodreads = "\uf3a8";

        /// <summary>
        /// fa-goodreads-g unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/goodreads-g
        /// </summary>
        public const string GoodreadsG = "\uf3a9";

        /// <summary>
        /// fa-google unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/google
        /// </summary>
        public const string Google = "\uf1a0";

        /// <summary>
        /// fa-google-drive unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/google-drive
        /// </summary>
        public const string GoogleDrive = "\uf3aa";

        /// <summary>
        /// fa-google-play unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/google-play
        /// </summary>
        public const string GooglePlay = "\uf3ab";

        /// <summary>
        /// fa-google-plus unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/google-plus
        /// </summary>
        public const string GooglePlus = "\uf2b3";

        /// <summary>
        /// fa-google-plus-g unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/google-plus-g
        /// </summary>
        public const string GooglePlusG = "\uf0d5";

        /// <summary>
        /// fa-google-plus-square unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/google-plus-square
        /// </summary>
        public const string GooglePlusSquare = "\uf0d4";

        /// <summary>
        /// fa-google-wallet unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/google-wallet
        /// </summary>
        public const string GoogleWallet = "\uf1ee";

        /// <summary>
        /// fa-gopuram unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/gopuram
        /// </summary>
        public const string Gopuram = "\uf664";

        /// <summary>
        /// fa-graduation-cap unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/graduation-cap
        /// </summary>
        public const string GraduationCap = "\uf19d";

        /// <summary>
        /// fa-gratipay unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/gratipay
        /// </summary>
        public const string Gratipay = "\uf184";

        /// <summary>
        /// fa-grav unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/grav
        /// </summary>
        public const string Grav = "\uf2d6";

        /// <summary>
        /// fa-greater-than unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/greater-than
        /// </summary>
        public const string GreaterThan = "\uf531";

        /// <summary>
        /// fa-greater-than-equal unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/greater-than-equal
        /// </summary>
        public const string GreaterThanEqual = "\uf532";

        /// <summary>
        /// fa-grimace unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/grimace
        /// </summary>
        public const string Grimace = "\uf57f";

        /// <summary>
        /// fa-grin unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/grin
        /// </summary>
        public const string Grin = "\uf580";

        /// <summary>
        /// fa-grin-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/grin-alt
        /// </summary>
        public const string GrinAlt = "\uf581";

        /// <summary>
        /// fa-grin-beam unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/grin-beam
        /// </summary>
        public const string GrinBeam = "\uf582";

        /// <summary>
        /// fa-grin-beam-sweat unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/grin-beam-sweat
        /// </summary>
        public const string GrinBeamSweat = "\uf583";

        /// <summary>
        /// fa-grin-hearts unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/grin-hearts
        /// </summary>
        public const string GrinHearts = "\uf584";

        /// <summary>
        /// fa-grin-squint unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/grin-squint
        /// </summary>
        public const string GrinSquint = "\uf585";

        /// <summary>
        /// fa-grin-squint-tears unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/grin-squint-tears
        /// </summary>
        public const string GrinSquintTears = "\uf586";

        /// <summary>
        /// fa-grin-stars unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/grin-stars
        /// </summary>
        public const string GrinStars = "\uf587";

        /// <summary>
        /// fa-grin-tears unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/grin-tears
        /// </summary>
        public const string GrinTears = "\uf588";

        /// <summary>
        /// fa-grin-tongue unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/grin-tongue
        /// </summary>
        public const string GrinTongue = "\uf589";

        /// <summary>
        /// fa-grin-tongue-squint unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/grin-tongue-squint
        /// </summary>
        public const string GrinTongueSquint = "\uf58a";

        /// <summary>
        /// fa-grin-tongue-wink unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/grin-tongue-wink
        /// </summary>
        public const string GrinTongueWink = "\uf58b";

        /// <summary>
        /// fa-grin-wink unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/grin-wink
        /// </summary>
        public const string GrinWink = "\uf58c";

        /// <summary>
        /// fa-grip-horizontal unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/grip-horizontal
        /// </summary>
        public const string GripHorizontal = "\uf58d";

        /// <summary>
        /// fa-grip-vertical unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/grip-vertical
        /// </summary>
        public const string GripVertical = "\uf58e";

        /// <summary>
        /// fa-gripfire unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/gripfire
        /// </summary>
        public const string Gripfire = "\uf3ac";

        /// <summary>
        /// fa-grunt unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/grunt
        /// </summary>
        public const string Grunt = "\uf3ad";

        /// <summary>
        /// fa-gulp unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/gulp
        /// </summary>
        public const string Gulp = "\uf3ae";

        /// <summary>
        /// fa-h-square unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/h-square
        /// </summary>
        public const string HSquare = "\uf0fd";

        /// <summary>
        /// fa-h1 unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/h1
        /// </summary>
        public const string H1 = "\uf313";

        /// <summary>
        /// fa-h2 unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/h2
        /// </summary>
        public const string H2 = "\uf314";

        /// <summary>
        /// fa-h3 unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/h3
        /// </summary>
        public const string H3 = "\uf315";

        /// <summary>
        /// fa-hacker-news unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/hacker-news
        /// </summary>
        public const string HackerNews = "\uf1d4";

        /// <summary>
        /// fa-hacker-news-square unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/hacker-news-square
        /// </summary>
        public const string HackerNewsSquare = "\uf3af";

        /// <summary>
        /// fa-hackerrank unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/hackerrank
        /// </summary>
        public const string Hackerrank = "\uf5f7";

        /// <summary>
        /// fa-hammer unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/hammer
        /// </summary>
        public const string Hammer = "\uf6e3";

        /// <summary>
        /// fa-hammer-war unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/hammer-war
        /// </summary>
        public const string HammerWar = "\uf6e4";

        /// <summary>
        /// fa-hamsa unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/hamsa
        /// </summary>
        public const string Hamsa = "\uf665";

        /// <summary>
        /// fa-hand-heart unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/hand-heart
        /// </summary>
        public const string HandHeart = "\uf4bc";

        /// <summary>
        /// fa-hand-holding unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/hand-holding
        /// </summary>
        public const string HandHolding = "\uf4bd";

        /// <summary>
        /// fa-hand-holding-box unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/hand-holding-box
        /// </summary>
        public const string HandHoldingBox = "\uf47b";

        /// <summary>
        /// fa-hand-holding-heart unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/hand-holding-heart
        /// </summary>
        public const string HandHoldingHeart = "\uf4be";

        /// <summary>
        /// fa-hand-holding-magic unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/hand-holding-magic
        /// </summary>
        public const string HandHoldingMagic = "\uf6e5";

        /// <summary>
        /// fa-hand-holding-seedling unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/hand-holding-seedling
        /// </summary>
        public const string HandHoldingSeedling = "\uf4bf";

        /// <summary>
        /// fa-hand-holding-usd unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/hand-holding-usd
        /// </summary>
        public const string HandHoldingUsd = "\uf4c0";

        /// <summary>
        /// fa-hand-holding-water unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/hand-holding-water
        /// </summary>
        public const string HandHoldingWater = "\uf4c1";

        /// <summary>
        /// fa-hand-lizard unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/hand-lizard
        /// </summary>
        public const string HandLizard = "\uf258";

        /// <summary>
        /// fa-hand-paper unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/hand-paper
        /// </summary>
        public const string HandPaper = "\uf256";

        /// <summary>
        /// fa-hand-peace unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/hand-peace
        /// </summary>
        public const string HandPeace = "\uf25b";

        /// <summary>
        /// fa-hand-point-down unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/hand-point-down
        /// </summary>
        public const string HandPointDown = "\uf0a7";

        /// <summary>
        /// fa-hand-point-left unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/hand-point-left
        /// </summary>
        public const string HandPointLeft = "\uf0a5";

        /// <summary>
        /// fa-hand-point-right unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/hand-point-right
        /// </summary>
        public const string HandPointRight = "\uf0a4";

        /// <summary>
        /// fa-hand-point-up unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/hand-point-up
        /// </summary>
        public const string HandPointUp = "\uf0a6";

        /// <summary>
        /// fa-hand-pointer unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/hand-pointer
        /// </summary>
        public const string HandPointer = "\uf25a";

        /// <summary>
        /// fa-hand-receiving unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/hand-receiving
        /// </summary>
        public const string HandReceiving = "\uf47c";

        /// <summary>
        /// fa-hand-rock unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/hand-rock
        /// </summary>
        public const string HandRock = "\uf255";

        /// <summary>
        /// fa-hand-scissors unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/hand-scissors
        /// </summary>
        public const string HandScissors = "\uf257";

        /// <summary>
        /// fa-hand-spock unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/hand-spock
        /// </summary>
        public const string HandSpock = "\uf259";

        /// <summary>
        /// fa-hands unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/hands
        /// </summary>
        public const string Hands = "\uf4c2";

        /// <summary>
        /// fa-hands-heart unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/hands-heart
        /// </summary>
        public const string HandsHeart = "\uf4c3";

        /// <summary>
        /// fa-hands-helping unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/hands-helping
        /// </summary>
        public const string HandsHelping = "\uf4c4";

        /// <summary>
        /// fa-hands-usd unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/hands-usd
        /// </summary>
        public const string HandsUsd = "\uf4c5";

        /// <summary>
        /// fa-handshake unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/handshake
        /// </summary>
        public const string Handshake = "\uf2b5";

        /// <summary>
        /// fa-handshake-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/handshake-alt
        /// </summary>
        public const string HandshakeAlt = "\uf4c6";

        /// <summary>
        /// fa-hanukiah unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/hanukiah
        /// </summary>
        public const string Hanukiah = "\uf6e6";

        /// <summary>
        /// fa-hashtag unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/hashtag
        /// </summary>
        public const string Hashtag = "\uf292";

        /// <summary>
        /// fa-hat-witch unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/hat-witch
        /// </summary>
        public const string HatWitch = "\uf6e7";

        /// <summary>
        /// fa-hat-wizard unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/hat-wizard
        /// </summary>
        public const string HatWizard = "\uf6e8";

        /// <summary>
        /// fa-haykal unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/haykal
        /// </summary>
        public const string Haykal = "\uf666";

        /// <summary>
        /// fa-hdd unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/hdd
        /// </summary>
        public const string Hdd = "\uf0a0";

        /// <summary>
        /// fa-head-side unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/head-side
        /// </summary>
        public const string HeadSide = "\uf6e9";

        /// <summary>
        /// fa-head-vr unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/head-vr
        /// </summary>
        public const string HeadVr = "\uf6ea";

        /// <summary>
        /// fa-heading unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/heading
        /// </summary>
        public const string Heading = "\uf1dc";

        /// <summary>
        /// fa-headphones unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/headphones
        /// </summary>
        public const string Headphones = "\uf025";

        /// <summary>
        /// fa-headphones-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/headphones-alt
        /// </summary>
        public const string HeadphonesAlt = "\uf58f";

        /// <summary>
        /// fa-headset unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/headset
        /// </summary>
        public const string Headset = "\uf590";

        /// <summary>
        /// fa-heart unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/heart
        /// </summary>
        public const string Heart = "\uf004";

        /// <summary>
        /// fa-heart-circle unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/heart-circle
        /// </summary>
        public const string HeartCircle = "\uf4c7";

        /// <summary>
        /// fa-heart-rate unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/heart-rate
        /// </summary>
        public const string HeartRate = "\uf5f8";

        /// <summary>
        /// fa-heart-square unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/heart-square
        /// </summary>
        public const string HeartSquare = "\uf4c8";

        /// <summary>
        /// fa-heartbeat unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/heartbeat
        /// </summary>
        public const string Heartbeat = "\uf21e";

        /// <summary>
        /// fa-helicopter unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/helicopter
        /// </summary>
        public const string Helicopter = "\uf533";

        /// <summary>
        /// fa-helmet-battle unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/helmet-battle
        /// </summary>
        public const string HelmetBattle = "\uf6eb";

        /// <summary>
        /// fa-hexagon unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/hexagon
        /// </summary>
        public const string Hexagon = "\uf312";

        /// <summary>
        /// fa-highlighter unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/highlighter
        /// </summary>
        public const string Highlighter = "\uf591";

        /// <summary>
        /// fa-hiking unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/hiking
        /// </summary>
        public const string Hiking = "\uf6ec";

        /// <summary>
        /// fa-hippo unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/hippo
        /// </summary>
        public const string Hippo = "\uf6ed";

        /// <summary>
        /// fa-hips unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/hips
        /// </summary>
        public const string Hips = "\uf452";

        /// <summary>
        /// fa-hire-a-helper unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/hire-a-helper
        /// </summary>
        public const string HireAHelper = "\uf3b0";

        /// <summary>
        /// fa-history unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/history
        /// </summary>
        public const string History = "\uf1da";

        /// <summary>
        /// fa-hockey-mask unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/hockey-mask
        /// </summary>
        public const string HockeyMask = "\uf6ee";

        /// <summary>
        /// fa-hockey-puck unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/hockey-puck
        /// </summary>
        public const string HockeyPuck = "\uf453";

        /// <summary>
        /// fa-hockey-sticks unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/hockey-sticks
        /// </summary>
        public const string HockeySticks = "\uf454";

        /// <summary>
        /// fa-home unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/home
        /// </summary>
        public const string Home = "\uf015";

        /// <summary>
        /// fa-home-heart unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/home-heart
        /// </summary>
        public const string HomeHeart = "\uf4c9";

        /// <summary>
        /// fa-hood-cloak unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/hood-cloak
        /// </summary>
        public const string HoodCloak = "\uf6ef";

        /// <summary>
        /// fa-hooli unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/hooli
        /// </summary>
        public const string Hooli = "\uf427";

        /// <summary>
        /// fa-hornbill unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/hornbill
        /// </summary>
        public const string Hornbill = "\uf592";

        /// <summary>
        /// fa-horse unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/horse
        /// </summary>
        public const string Horse = "\uf6f0";

        /// <summary>
        /// fa-hospital unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/hospital
        /// </summary>
        public const string Hospital = "\uf0f8";

        /// <summary>
        /// fa-hospital-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/hospital-alt
        /// </summary>
        public const string HospitalAlt = "\uf47d";

        /// <summary>
        /// fa-hospital-symbol unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/hospital-symbol
        /// </summary>
        public const string HospitalSymbol = "\uf47e";

        /// <summary>
        /// fa-hot-tub unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/hot-tub
        /// </summary>
        public const string HotTub = "\uf593";

        /// <summary>
        /// fa-hotel unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/hotel
        /// </summary>
        public const string Hotel = "\uf594";

        /// <summary>
        /// fa-hotjar unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/hotjar
        /// </summary>
        public const string Hotjar = "\uf3b1";

        /// <summary>
        /// fa-hourglass unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/hourglass
        /// </summary>
        public const string Hourglass = "\uf254";

        /// <summary>
        /// fa-hourglass-end unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/hourglass-end
        /// </summary>
        public const string HourglassEnd = "\uf253";

        /// <summary>
        /// fa-hourglass-half unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/hourglass-half
        /// </summary>
        public const string HourglassHalf = "\uf252";

        /// <summary>
        /// fa-hourglass-start unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/hourglass-start
        /// </summary>
        public const string HourglassStart = "\uf251";

        /// <summary>
        /// fa-house-damage unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/house-damage
        /// </summary>
        public const string HouseDamage = "\uf6f1";

        /// <summary>
        /// fa-house-flood unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/house-flood
        /// </summary>
        public const string HouseFlood = "\uf74f";

        /// <summary>
        /// fa-houzz unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/houzz
        /// </summary>
        public const string Houzz = "\uf27c";

        /// <summary>
        /// fa-hryvnia unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/hryvnia
        /// </summary>
        public const string Hryvnia = "\uf6f2";

        /// <summary>
        /// fa-html5 unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/html5
        /// </summary>
        public const string Html5 = "\uf13b";

        /// <summary>
        /// fa-hubspot unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/hubspot
        /// </summary>
        public const string Hubspot = "\uf3b2";

        /// <summary>
        /// fa-humidity unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/humidity
        /// </summary>
        public const string Humidity = "\uf750";

        /// <summary>
        /// fa-hurricane unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/hurricane
        /// </summary>
        public const string Hurricane = "\uf751";

        /// <summary>
        /// fa-i-cursor unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/i-cursor
        /// </summary>
        public const string ICursor = "\uf246";

        /// <summary>
        /// fa-id-badge unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/id-badge
        /// </summary>
        public const string IdBadge = "\uf2c1";

        /// <summary>
        /// fa-id-card unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/id-card
        /// </summary>
        public const string IdCard = "\uf2c2";

        /// <summary>
        /// fa-id-card-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/id-card-alt
        /// </summary>
        public const string IdCardAlt = "\uf47f";

        /// <summary>
        /// fa-image unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/image
        /// </summary>
        public const string Image = "\uf03e";

        /// <summary>
        /// fa-images unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/images
        /// </summary>
        public const string Images = "\uf302";

        /// <summary>
        /// fa-imdb unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/imdb
        /// </summary>
        public const string Imdb = "\uf2d8";

        /// <summary>
        /// fa-inbox unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/inbox
        /// </summary>
        public const string Inbox = "\uf01c";

        /// <summary>
        /// fa-inbox-in unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/inbox-in
        /// </summary>
        public const string InboxIn = "\uf310";

        /// <summary>
        /// fa-inbox-out unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/inbox-out
        /// </summary>
        public const string InboxOut = "\uf311";

        /// <summary>
        /// fa-indent unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/indent
        /// </summary>
        public const string Indent = "\uf03c";

        /// <summary>
        /// fa-industry unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/industry
        /// </summary>
        public const string Industry = "\uf275";

        /// <summary>
        /// fa-industry-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/industry-alt
        /// </summary>
        public const string IndustryAlt = "\uf3b3";

        /// <summary>
        /// fa-infinity unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/infinity
        /// </summary>
        public const string Infinity = "\uf534";

        /// <summary>
        /// fa-info unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/info
        /// </summary>
        public const string Info = "\uf129";

        /// <summary>
        /// fa-info-circle unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/info-circle
        /// </summary>
        public const string InfoCircle = "\uf05a";

        /// <summary>
        /// fa-info-square unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/info-square
        /// </summary>
        public const string InfoSquare = "\uf30f";

        /// <summary>
        /// fa-inhaler unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/inhaler
        /// </summary>
        public const string Inhaler = "\uf5f9";

        /// <summary>
        /// fa-instagram unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/instagram
        /// </summary>
        public const string Instagram = "\uf16d";

        /// <summary>
        /// fa-integral unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/integral
        /// </summary>
        public const string Integral = "\uf667";

        /// <summary>
        /// fa-internet-explorer unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/internet-explorer
        /// </summary>
        public const string InternetExplorer = "\uf26b";

        /// <summary>
        /// fa-intersection unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/intersection
        /// </summary>
        public const string Intersection = "\uf668";

        /// <summary>
        /// fa-inventory unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/inventory
        /// </summary>
        public const string Inventory = "\uf480";

        /// <summary>
        /// fa-ioxhost unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/ioxhost
        /// </summary>
        public const string Ioxhost = "\uf208";

        /// <summary>
        /// fa-italic unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/italic
        /// </summary>
        public const string Italic = "\uf033";

        /// <summary>
        /// fa-itunes unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/itunes
        /// </summary>
        public const string Itunes = "\uf3b4";

        /// <summary>
        /// fa-itunes-note unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/itunes-note
        /// </summary>
        public const string ItunesNote = "\uf3b5";

        /// <summary>
        /// fa-jack-o-lantern unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/jack-o-lantern
        /// </summary>
        public const string JackOLantern = "\uf30e";

        /// <summary>
        /// fa-java unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/java
        /// </summary>
        public const string Java = "\uf4e4";

        /// <summary>
        /// fa-jedi unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/jedi
        /// </summary>
        public const string Jedi = "\uf669";

        /// <summary>
        /// fa-jedi-order unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/jedi-order
        /// </summary>
        public const string JediOrder = "\uf50e";

        /// <summary>
        /// fa-jenkins unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/jenkins
        /// </summary>
        public const string Jenkins = "\uf3b6";

        /// <summary>
        /// fa-joget unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/joget
        /// </summary>
        public const string Joget = "\uf3b7";

        /// <summary>
        /// fa-joint unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/joint
        /// </summary>
        public const string Joint = "\uf595";

        /// <summary>
        /// fa-joomla unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/joomla
        /// </summary>
        public const string Joomla = "\uf1aa";

        /// <summary>
        /// fa-journal-whills unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/journal-whills
        /// </summary>
        public const string JournalWhills = "\uf66a";

        /// <summary>
        /// fa-js unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/js
        /// </summary>
        public const string Js = "\uf3b8";

        /// <summary>
        /// fa-js-square unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/js-square
        /// </summary>
        public const string JsSquare = "\uf3b9";

        /// <summary>
        /// fa-jsfiddle unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/jsfiddle
        /// </summary>
        public const string Jsfiddle = "\uf1cc";

        /// <summary>
        /// fa-kaaba unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/kaaba
        /// </summary>
        public const string Kaaba = "\uf66b";

        /// <summary>
        /// fa-kaggle unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/kaggle
        /// </summary>
        public const string Kaggle = "\uf5fa";

        /// <summary>
        /// fa-key unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/key
        /// </summary>
        public const string Key = "\uf084";

        /// <summary>
        /// fa-key-skeleton unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/key-skeleton
        /// </summary>
        public const string KeySkeleton = "\uf6f3";

        /// <summary>
        /// fa-keybase unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/keybase
        /// </summary>
        public const string Keybase = "\uf4f5";

        /// <summary>
        /// fa-keyboard unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/keyboard
        /// </summary>
        public const string Keyboard = "\uf11c";

        /// <summary>
        /// fa-keycdn unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/keycdn
        /// </summary>
        public const string Keycdn = "\uf3ba";

        /// <summary>
        /// fa-keynote unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/keynote
        /// </summary>
        public const string Keynote = "\uf66c";

        /// <summary>
        /// fa-khanda unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/khanda
        /// </summary>
        public const string Khanda = "\uf66d";

        /// <summary>
        /// fa-kickstarter unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/kickstarter
        /// </summary>
        public const string Kickstarter = "\uf3bb";

        /// <summary>
        /// fa-kickstarter-k unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/kickstarter-k
        /// </summary>
        public const string KickstarterK = "\uf3bc";

        /// <summary>
        /// fa-kidneys unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/kidneys
        /// </summary>
        public const string Kidneys = "\uf5fb";

        /// <summary>
        /// fa-kiss unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/kiss
        /// </summary>
        public const string Kiss = "\uf596";

        /// <summary>
        /// fa-kiss-beam unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/kiss-beam
        /// </summary>
        public const string KissBeam = "\uf597";

        /// <summary>
        /// fa-kiss-wink-heart unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/kiss-wink-heart
        /// </summary>
        public const string KissWinkHeart = "\uf598";

        /// <summary>
        /// fa-kite unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/kite
        /// </summary>
        public const string Kite = "\uf6f4";

        /// <summary>
        /// fa-kiwi-bird unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/kiwi-bird
        /// </summary>
        public const string KiwiBird = "\uf535";

        /// <summary>
        /// fa-knife-kitchen unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/knife-kitchen
        /// </summary>
        public const string KnifeKitchen = "\uf6f5";

        /// <summary>
        /// fa-korvue unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/korvue
        /// </summary>
        public const string Korvue = "\uf42f";

        /// <summary>
        /// fa-lambda unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/lambda
        /// </summary>
        public const string Lambda = "\uf66e";

        /// <summary>
        /// fa-lamp unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/lamp
        /// </summary>
        public const string Lamp = "\uf4ca";

        /// <summary>
        /// fa-landmark unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/landmark
        /// </summary>
        public const string Landmark = "\uf66f";

        /// <summary>
        /// fa-landmark-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/landmark-alt
        /// </summary>
        public const string LandmarkAlt = "\uf752";

        /// <summary>
        /// fa-language unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/language
        /// </summary>
        public const string Language = "\uf1ab";

        /// <summary>
        /// fa-laptop unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/laptop
        /// </summary>
        public const string Laptop = "\uf109";

        /// <summary>
        /// fa-laptop-code unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/laptop-code
        /// </summary>
        public const string LaptopCode = "\uf5fc";

        /// <summary>
        /// fa-laravel unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/laravel
        /// </summary>
        public const string Laravel = "\uf3bd";

        /// <summary>
        /// fa-lastfm unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/lastfm
        /// </summary>
        public const string Lastfm = "\uf202";

        /// <summary>
        /// fa-lastfm-square unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/lastfm-square
        /// </summary>
        public const string LastfmSquare = "\uf203";

        /// <summary>
        /// fa-laugh unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/laugh
        /// </summary>
        public const string Laugh = "\uf599";

        /// <summary>
        /// fa-laugh-beam unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/laugh-beam
        /// </summary>
        public const string LaughBeam = "\uf59a";

        /// <summary>
        /// fa-laugh-squint unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/laugh-squint
        /// </summary>
        public const string LaughSquint = "\uf59b";

        /// <summary>
        /// fa-laugh-wink unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/laugh-wink
        /// </summary>
        public const string LaughWink = "\uf59c";

        /// <summary>
        /// fa-layer-group unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/layer-group
        /// </summary>
        public const string LayerGroup = "\uf5fd";

        /// <summary>
        /// fa-layer-minus unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/layer-minus
        /// </summary>
        public const string LayerMinus = "\uf5fe";

        /// <summary>
        /// fa-layer-plus unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/layer-plus
        /// </summary>
        public const string LayerPlus = "\uf5ff";

        /// <summary>
        /// fa-leaf unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/leaf
        /// </summary>
        public const string Leaf = "\uf06c";

        /// <summary>
        /// fa-leaf-heart unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/leaf-heart
        /// </summary>
        public const string LeafHeart = "\uf4cb";

        /// <summary>
        /// fa-leaf-maple unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/leaf-maple
        /// </summary>
        public const string LeafMaple = "\uf6f6";

        /// <summary>
        /// fa-leaf-oak unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/leaf-oak
        /// </summary>
        public const string LeafOak = "\uf6f7";

        /// <summary>
        /// fa-leanpub unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/leanpub
        /// </summary>
        public const string Leanpub = "\uf212";

        /// <summary>
        /// fa-lemon unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/lemon
        /// </summary>
        public const string Lemon = "\uf094";

        /// <summary>
        /// fa-less unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/less
        /// </summary>
        public const string Less = "\uf41d";

        /// <summary>
        /// fa-less-than unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/less-than
        /// </summary>
        public const string LessThan = "\uf536";

        /// <summary>
        /// fa-less-than-equal unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/less-than-equal
        /// </summary>
        public const string LessThanEqual = "\uf537";

        /// <summary>
        /// fa-level-down unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/level-down
        /// </summary>
        public const string LevelDown = "\uf149";

        /// <summary>
        /// fa-level-down-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/level-down-alt
        /// </summary>
        public const string LevelDownAlt = "\uf3be";

        /// <summary>
        /// fa-level-up unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/level-up
        /// </summary>
        public const string LevelUp = "\uf148";

        /// <summary>
        /// fa-level-up-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/level-up-alt
        /// </summary>
        public const string LevelUpAlt = "\uf3bf";

        /// <summary>
        /// fa-life-ring unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/life-ring
        /// </summary>
        public const string LifeRing = "\uf1cd";

        /// <summary>
        /// fa-lightbulb unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/lightbulb
        /// </summary>
        public const string Lightbulb = "\uf0eb";

        /// <summary>
        /// fa-lightbulb-dollar unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/lightbulb-dollar
        /// </summary>
        public const string LightbulbDollar = "\uf670";

        /// <summary>
        /// fa-lightbulb-exclamation unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/lightbulb-exclamation
        /// </summary>
        public const string LightbulbExclamation = "\uf671";

        /// <summary>
        /// fa-lightbulb-on unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/lightbulb-on
        /// </summary>
        public const string LightbulbOn = "\uf672";

        /// <summary>
        /// fa-lightbulb-slash unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/lightbulb-slash
        /// </summary>
        public const string LightbulbSlash = "\uf673";

        /// <summary>
        /// fa-line unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/line
        /// </summary>
        public const string Line = "\uf3c0";

        /// <summary>
        /// fa-link unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/link
        /// </summary>
        public const string Link = "\uf0c1";

        /// <summary>
        /// fa-linkedin unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/linkedin
        /// </summary>
        public const string Linkedin = "\uf08c";

        /// <summary>
        /// fa-linkedin-in unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/linkedin-in
        /// </summary>
        public const string LinkedinIn = "\uf0e1";

        /// <summary>
        /// fa-linode unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/linode
        /// </summary>
        public const string Linode = "\uf2b8";

        /// <summary>
        /// fa-linux unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/linux
        /// </summary>
        public const string Linux = "\uf17c";

        /// <summary>
        /// fa-lips unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/lips
        /// </summary>
        public const string Lips = "\uf600";

        /// <summary>
        /// fa-lira-sign unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/lira-sign
        /// </summary>
        public const string LiraSign = "\uf195";

        /// <summary>
        /// fa-list unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/list
        /// </summary>
        public const string List = "\uf03a";

        /// <summary>
        /// fa-list-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/list-alt
        /// </summary>
        public const string ListAlt = "\uf022";

        /// <summary>
        /// fa-list-ol unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/list-ol
        /// </summary>
        public const string ListOl = "\uf0cb";

        /// <summary>
        /// fa-list-ul unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/list-ul
        /// </summary>
        public const string ListUl = "\uf0ca";

        /// <summary>
        /// fa-location unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/location
        /// </summary>
        public const string Location = "\uf601";

        /// <summary>
        /// fa-location-arrow unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/location-arrow
        /// </summary>
        public const string LocationArrow = "\uf124";

        /// <summary>
        /// fa-location-circle unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/location-circle
        /// </summary>
        public const string LocationCircle = "\uf602";

        /// <summary>
        /// fa-location-slash unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/location-slash
        /// </summary>
        public const string LocationSlash = "\uf603";

        /// <summary>
        /// fa-lock unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/lock
        /// </summary>
        public const string Lock = "\uf023";

        /// <summary>
        /// fa-lock-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/lock-alt
        /// </summary>
        public const string LockAlt = "\uf30d";

        /// <summary>
        /// fa-lock-open unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/lock-open
        /// </summary>
        public const string LockOpen = "\uf3c1";

        /// <summary>
        /// fa-lock-open-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/lock-open-alt
        /// </summary>
        public const string LockOpenAlt = "\uf3c2";

        /// <summary>
        /// fa-long-arrow-alt-down unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/long-arrow-alt-down
        /// </summary>
        public const string LongArrowAltDown = "\uf309";

        /// <summary>
        /// fa-long-arrow-alt-left unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/long-arrow-alt-left
        /// </summary>
        public const string LongArrowAltLeft = "\uf30a";

        /// <summary>
        /// fa-long-arrow-alt-right unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/long-arrow-alt-right
        /// </summary>
        public const string LongArrowAltRight = "\uf30b";

        /// <summary>
        /// fa-long-arrow-alt-up unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/long-arrow-alt-up
        /// </summary>
        public const string LongArrowAltUp = "\uf30c";

        /// <summary>
        /// fa-long-arrow-down unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/long-arrow-down
        /// </summary>
        public const string LongArrowDown = "\uf175";

        /// <summary>
        /// fa-long-arrow-left unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/long-arrow-left
        /// </summary>
        public const string LongArrowLeft = "\uf177";

        /// <summary>
        /// fa-long-arrow-right unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/long-arrow-right
        /// </summary>
        public const string LongArrowRight = "\uf178";

        /// <summary>
        /// fa-long-arrow-up unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/long-arrow-up
        /// </summary>
        public const string LongArrowUp = "\uf176";

        /// <summary>
        /// fa-loveseat unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/loveseat
        /// </summary>
        public const string Loveseat = "\uf4cc";

        /// <summary>
        /// fa-low-vision unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/low-vision
        /// </summary>
        public const string LowVision = "\uf2a8";

        /// <summary>
        /// fa-luchador unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/luchador
        /// </summary>
        public const string Luchador = "\uf455";

        /// <summary>
        /// fa-luggage-cart unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/luggage-cart
        /// </summary>
        public const string LuggageCart = "\uf59d";

        /// <summary>
        /// fa-lungs unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/lungs
        /// </summary>
        public const string Lungs = "\uf604";

        /// <summary>
        /// fa-lyft unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/lyft
        /// </summary>
        public const string Lyft = "\uf3c3";

        /// <summary>
        /// fa-mace unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/mace
        /// </summary>
        public const string Mace = "\uf6f8";

        /// <summary>
        /// fa-magento unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/magento
        /// </summary>
        public const string Magento = "\uf3c4";

        /// <summary>
        /// fa-magic unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/magic
        /// </summary>
        public const string Magic = "\uf0d0";

        /// <summary>
        /// fa-magnet unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/magnet
        /// </summary>
        public const string Magnet = "\uf076";

        /// <summary>
        /// fa-mail-bulk unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/mail-bulk
        /// </summary>
        public const string MailBulk = "\uf674";

        /// <summary>
        /// fa-mailchimp unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/mailchimp
        /// </summary>
        public const string Mailchimp = "\uf59e";

        /// <summary>
        /// fa-male unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/male
        /// </summary>
        public const string Male = "\uf183";

        /// <summary>
        /// fa-mandalorian unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/mandalorian
        /// </summary>
        public const string Mandalorian = "\uf50f";

        /// <summary>
        /// fa-mandolin unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/mandolin
        /// </summary>
        public const string Mandolin = "\uf6f9";

        /// <summary>
        /// fa-map unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/map
        /// </summary>
        public const string Map = "\uf279";

        /// <summary>
        /// fa-map-marked unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/map-marked
        /// </summary>
        public const string MapMarked = "\uf59f";

        /// <summary>
        /// fa-map-marked-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/map-marked-alt
        /// </summary>
        public const string MapMarkedAlt = "\uf5a0";

        /// <summary>
        /// fa-map-marker unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/map-marker
        /// </summary>
        public const string MapMarker = "\uf041";

        /// <summary>
        /// fa-map-marker-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/map-marker-alt
        /// </summary>
        public const string MapMarkerAlt = "\uf3c5";

        /// <summary>
        /// fa-map-marker-alt-slash unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/map-marker-alt-slash
        /// </summary>
        public const string MapMarkerAltSlash = "\uf605";

        /// <summary>
        /// fa-map-marker-check unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/map-marker-check
        /// </summary>
        public const string MapMarkerCheck = "\uf606";

        /// <summary>
        /// fa-map-marker-edit unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/map-marker-edit
        /// </summary>
        public const string MapMarkerEdit = "\uf607";

        /// <summary>
        /// fa-map-marker-exclamation unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/map-marker-exclamation
        /// </summary>
        public const string MapMarkerExclamation = "\uf608";

        /// <summary>
        /// fa-map-marker-minus unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/map-marker-minus
        /// </summary>
        public const string MapMarkerMinus = "\uf609";

        /// <summary>
        /// fa-map-marker-plus unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/map-marker-plus
        /// </summary>
        public const string MapMarkerPlus = "\uf60a";

        /// <summary>
        /// fa-map-marker-question unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/map-marker-question
        /// </summary>
        public const string MapMarkerQuestion = "\uf60b";

        /// <summary>
        /// fa-map-marker-slash unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/map-marker-slash
        /// </summary>
        public const string MapMarkerSlash = "\uf60c";

        /// <summary>
        /// fa-map-marker-smile unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/map-marker-smile
        /// </summary>
        public const string MapMarkerSmile = "\uf60d";

        /// <summary>
        /// fa-map-marker-times unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/map-marker-times
        /// </summary>
        public const string MapMarkerTimes = "\uf60e";

        /// <summary>
        /// fa-map-pin unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/map-pin
        /// </summary>
        public const string MapPin = "\uf276";

        /// <summary>
        /// fa-map-signs unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/map-signs
        /// </summary>
        public const string MapSigns = "\uf277";

        /// <summary>
        /// fa-markdown unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/markdown
        /// </summary>
        public const string Markdown = "\uf60f";

        /// <summary>
        /// fa-marker unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/marker
        /// </summary>
        public const string Marker = "\uf5a1";

        /// <summary>
        /// fa-mars unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/mars
        /// </summary>
        public const string Mars = "\uf222";

        /// <summary>
        /// fa-mars-double unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/mars-double
        /// </summary>
        public const string MarsDouble = "\uf227";

        /// <summary>
        /// fa-mars-stroke unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/mars-stroke
        /// </summary>
        public const string MarsStroke = "\uf229";

        /// <summary>
        /// fa-mars-stroke-h unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/mars-stroke-h
        /// </summary>
        public const string MarsStrokeH = "\uf22b";

        /// <summary>
        /// fa-mars-stroke-v unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/mars-stroke-v
        /// </summary>
        public const string MarsStrokeV = "\uf22a";

        /// <summary>
        /// fa-mask unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/mask
        /// </summary>
        public const string Mask = "\uf6fa";

        /// <summary>
        /// fa-mastodon unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/mastodon
        /// </summary>
        public const string Mastodon = "\uf4f6";

        /// <summary>
        /// fa-maxcdn unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/maxcdn
        /// </summary>
        public const string Maxcdn = "\uf136";

        /// <summary>
        /// fa-medal unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/medal
        /// </summary>
        public const string Medal = "\uf5a2";

        /// <summary>
        /// fa-medapps unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/medapps
        /// </summary>
        public const string Medapps = "\uf3c6";

        /// <summary>
        /// fa-medium unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/medium
        /// </summary>
        public const string Medium = "\uf23a";

        /// <summary>
        /// fa-medium-m unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/medium-m
        /// </summary>
        public const string MediumM = "\uf3c7";

        /// <summary>
        /// fa-medkit unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/medkit
        /// </summary>
        public const string Medkit = "\uf0fa";

        /// <summary>
        /// fa-medrt unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/medrt
        /// </summary>
        public const string Medrt = "\uf3c8";

        /// <summary>
        /// fa-meetup unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/meetup
        /// </summary>
        public const string Meetup = "\uf2e0";

        /// <summary>
        /// fa-megaphone unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/megaphone
        /// </summary>
        public const string Megaphone = "\uf675";

        /// <summary>
        /// fa-megaport unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/megaport
        /// </summary>
        public const string Megaport = "\uf5a3";

        /// <summary>
        /// fa-meh unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/meh
        /// </summary>
        public const string Meh = "\uf11a";

        /// <summary>
        /// fa-meh-blank unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/meh-blank
        /// </summary>
        public const string MehBlank = "\uf5a4";

        /// <summary>
        /// fa-meh-rolling-eyes unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/meh-rolling-eyes
        /// </summary>
        public const string MehRollingEyes = "\uf5a5";

        /// <summary>
        /// fa-memory unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/memory
        /// </summary>
        public const string Memory = "\uf538";

        /// <summary>
        /// fa-menorah unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/menorah
        /// </summary>
        public const string Menorah = "\uf676";

        /// <summary>
        /// fa-mercury unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/mercury
        /// </summary>
        public const string Mercury = "\uf223";

        /// <summary>
        /// fa-meteor unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/meteor
        /// </summary>
        public const string Meteor = "\uf753";

        /// <summary>
        /// fa-microchip unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/microchip
        /// </summary>
        public const string Microchip = "\uf2db";

        /// <summary>
        /// fa-microphone unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/microphone
        /// </summary>
        public const string Microphone = "\uf130";

        /// <summary>
        /// fa-microphone-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/microphone-alt
        /// </summary>
        public const string MicrophoneAlt = "\uf3c9";

        /// <summary>
        /// fa-microphone-alt-slash unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/microphone-alt-slash
        /// </summary>
        public const string MicrophoneAltSlash = "\uf539";

        /// <summary>
        /// fa-microphone-slash unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/microphone-slash
        /// </summary>
        public const string MicrophoneSlash = "\uf131";

        /// <summary>
        /// fa-microscope unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/microscope
        /// </summary>
        public const string Microscope = "\uf610";

        /// <summary>
        /// fa-microsoft unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/microsoft
        /// </summary>
        public const string Microsoft = "\uf3ca";

        /// <summary>
        /// fa-mind-share unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/mind-share
        /// </summary>
        public const string MindShare = "\uf677";

        /// <summary>
        /// fa-minus unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/minus
        /// </summary>
        public const string Minus = "\uf068";

        /// <summary>
        /// fa-minus-circle unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/minus-circle
        /// </summary>
        public const string MinusCircle = "\uf056";

        /// <summary>
        /// fa-minus-hexagon unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/minus-hexagon
        /// </summary>
        public const string MinusHexagon = "\uf307";

        /// <summary>
        /// fa-minus-octagon unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/minus-octagon
        /// </summary>
        public const string MinusOctagon = "\uf308";

        /// <summary>
        /// fa-minus-square unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/minus-square
        /// </summary>
        public const string MinusSquare = "\uf146";

        /// <summary>
        /// fa-mix unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/mix
        /// </summary>
        public const string Mix = "\uf3cb";

        /// <summary>
        /// fa-mixcloud unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/mixcloud
        /// </summary>
        public const string Mixcloud = "\uf289";

        /// <summary>
        /// fa-mizuni unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/mizuni
        /// </summary>
        public const string Mizuni = "\uf3cc";

        /// <summary>
        /// fa-mobile unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/mobile
        /// </summary>
        public const string Mobile = "\uf10b";

        /// <summary>
        /// fa-mobile-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/mobile-alt
        /// </summary>
        public const string MobileAlt = "\uf3cd";

        /// <summary>
        /// fa-mobile-android unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/mobile-android
        /// </summary>
        public const string MobileAndroid = "\uf3ce";

        /// <summary>
        /// fa-mobile-android-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/mobile-android-alt
        /// </summary>
        public const string MobileAndroidAlt = "\uf3cf";

        /// <summary>
        /// fa-modx unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/modx
        /// </summary>
        public const string Modx = "\uf285";

        /// <summary>
        /// fa-monero unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/monero
        /// </summary>
        public const string Monero = "\uf3d0";

        /// <summary>
        /// fa-money-bill unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/money-bill
        /// </summary>
        public const string MoneyBill = "\uf0d6";

        /// <summary>
        /// fa-money-bill-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/money-bill-alt
        /// </summary>
        public const string MoneyBillAlt = "\uf3d1";

        /// <summary>
        /// fa-money-bill-wave unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/money-bill-wave
        /// </summary>
        public const string MoneyBillWave = "\uf53a";

        /// <summary>
        /// fa-money-bill-wave-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/money-bill-wave-alt
        /// </summary>
        public const string MoneyBillWaveAlt = "\uf53b";

        /// <summary>
        /// fa-money-check unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/money-check
        /// </summary>
        public const string MoneyCheck = "\uf53c";

        /// <summary>
        /// fa-money-check-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/money-check-alt
        /// </summary>
        public const string MoneyCheckAlt = "\uf53d";

        /// <summary>
        /// fa-monitor-heart-rate unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/monitor-heart-rate
        /// </summary>
        public const string MonitorHeartRate = "\uf611";

        /// <summary>
        /// fa-monkey unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/monkey
        /// </summary>
        public const string Monkey = "\uf6fb";

        /// <summary>
        /// fa-monument unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/monument
        /// </summary>
        public const string Monument = "\uf5a6";

        /// <summary>
        /// fa-moon unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/moon
        /// </summary>
        public const string Moon = "\uf186";

        /// <summary>
        /// fa-moon-cloud unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/moon-cloud
        /// </summary>
        public const string MoonCloud = "\uf754";

        /// <summary>
        /// fa-moon-stars unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/moon-stars
        /// </summary>
        public const string MoonStars = "\uf755";

        /// <summary>
        /// fa-mortar-pestle unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/mortar-pestle
        /// </summary>
        public const string MortarPestle = "\uf5a7";

        /// <summary>
        /// fa-mosque unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/mosque
        /// </summary>
        public const string Mosque = "\uf678";

        /// <summary>
        /// fa-motorcycle unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/motorcycle
        /// </summary>
        public const string Motorcycle = "\uf21c";

        /// <summary>
        /// fa-mountain unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/mountain
        /// </summary>
        public const string Mountain = "\uf6fc";

        /// <summary>
        /// fa-mountains unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/mountains
        /// </summary>
        public const string Mountains = "\uf6fd";

        /// <summary>
        /// fa-mouse-pointer unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/mouse-pointer
        /// </summary>
        public const string MousePointer = "\uf245";

        /// <summary>
        /// fa-music unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/music
        /// </summary>
        public const string Music = "\uf001";

        /// <summary>
        /// fa-napster unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/napster
        /// </summary>
        public const string Napster = "\uf3d2";

        /// <summary>
        /// fa-narwhal unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/narwhal
        /// </summary>
        public const string Narwhal = "\uf6fe";

        /// <summary>
        /// fa-neos unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/neos
        /// </summary>
        public const string Neos = "\uf612";

        /// <summary>
        /// fa-network-wired unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/network-wired
        /// </summary>
        public const string NetworkWired = "\uf6ff";

        /// <summary>
        /// fa-neuter unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/neuter
        /// </summary>
        public const string Neuter = "\uf22c";

        /// <summary>
        /// fa-newspaper unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/newspaper
        /// </summary>
        public const string Newspaper = "\uf1ea";

        /// <summary>
        /// fa-nimblr unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/nimblr
        /// </summary>
        public const string Nimblr = "\uf5a8";

        /// <summary>
        /// fa-nintendo-switch unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/nintendo-switch
        /// </summary>
        public const string NintendoSwitch = "\uf418";

        /// <summary>
        /// fa-node unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/node
        /// </summary>
        public const string Node = "\uf419";

        /// <summary>
        /// fa-node-js unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/node-js
        /// </summary>
        public const string NodeJs = "\uf3d3";

        /// <summary>
        /// fa-not-equal unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/not-equal
        /// </summary>
        public const string NotEqual = "\uf53e";

        /// <summary>
        /// fa-notes-medical unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/notes-medical
        /// </summary>
        public const string NotesMedical = "\uf481";

        /// <summary>
        /// fa-npm unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/npm
        /// </summary>
        public const string Npm = "\uf3d4";

        /// <summary>
        /// fa-ns8 unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/ns8
        /// </summary>
        public const string Ns8 = "\uf3d5";

        /// <summary>
        /// fa-nutritionix unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/nutritionix
        /// </summary>
        public const string Nutritionix = "\uf3d6";

        /// <summary>
        /// fa-object-group unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/object-group
        /// </summary>
        public const string ObjectGroup = "\uf247";

        /// <summary>
        /// fa-object-ungroup unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/object-ungroup
        /// </summary>
        public const string ObjectUngroup = "\uf248";

        /// <summary>
        /// fa-octagon unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/octagon
        /// </summary>
        public const string Octagon = "\uf306";

        /// <summary>
        /// fa-odnoklassniki unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/odnoklassniki
        /// </summary>
        public const string Odnoklassniki = "\uf263";

        /// <summary>
        /// fa-odnoklassniki-square unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/odnoklassniki-square
        /// </summary>
        public const string OdnoklassnikiSquare = "\uf264";

        /// <summary>
        /// fa-oil-can unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/oil-can
        /// </summary>
        public const string OilCan = "\uf613";

        /// <summary>
        /// fa-oil-temp unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/oil-temp
        /// </summary>
        public const string OilTemp = "\uf614";

        /// <summary>
        /// fa-old-republic unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/old-republic
        /// </summary>
        public const string OldRepublic = "\uf510";

        /// <summary>
        /// fa-om unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/om
        /// </summary>
        public const string Om = "\uf679";

        /// <summary>
        /// fa-omega unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/omega
        /// </summary>
        public const string Omega = "\uf67a";

        /// <summary>
        /// fa-opencart unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/opencart
        /// </summary>
        public const string Opencart = "\uf23d";

        /// <summary>
        /// fa-openid unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/openid
        /// </summary>
        public const string Openid = "\uf19b";

        /// <summary>
        /// fa-opera unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/opera
        /// </summary>
        public const string Opera = "\uf26a";

        /// <summary>
        /// fa-optin-monster unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/optin-monster
        /// </summary>
        public const string OptinMonster = "\uf23c";

        /// <summary>
        /// fa-osi unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/osi
        /// </summary>
        public const string Osi = "\uf41a";

        /// <summary>
        /// fa-otter unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/otter
        /// </summary>
        public const string Otter = "\uf700";

        /// <summary>
        /// fa-outdent unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/outdent
        /// </summary>
        public const string Outdent = "\uf03b";

        /// <summary>
        /// fa-page4 unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/page4
        /// </summary>
        public const string Page4 = "\uf3d7";

        /// <summary>
        /// fa-pagelines unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/pagelines
        /// </summary>
        public const string Pagelines = "\uf18c";

        /// <summary>
        /// fa-paint-brush unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/paint-brush
        /// </summary>
        public const string PaintBrush = "\uf1fc";

        /// <summary>
        /// fa-paint-brush-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/paint-brush-alt
        /// </summary>
        public const string PaintBrushAlt = "\uf5a9";

        /// <summary>
        /// fa-paint-roller unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/paint-roller
        /// </summary>
        public const string PaintRoller = "\uf5aa";

        /// <summary>
        /// fa-palette unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/palette
        /// </summary>
        public const string Palette = "\uf53f";

        /// <summary>
        /// fa-palfed unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/palfed
        /// </summary>
        public const string Palfed = "\uf3d8";

        /// <summary>
        /// fa-pallet unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/pallet
        /// </summary>
        public const string Pallet = "\uf482";

        /// <summary>
        /// fa-pallet-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/pallet-alt
        /// </summary>
        public const string PalletAlt = "\uf483";

        /// <summary>
        /// fa-paper-plane unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/paper-plane
        /// </summary>
        public const string PaperPlane = "\uf1d8";

        /// <summary>
        /// fa-paperclip unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/paperclip
        /// </summary>
        public const string Paperclip = "\uf0c6";

        /// <summary>
        /// fa-parachute-box unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/parachute-box
        /// </summary>
        public const string ParachuteBox = "\uf4cd";

        /// <summary>
        /// fa-paragraph unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/paragraph
        /// </summary>
        public const string Paragraph = "\uf1dd";

        /// <summary>
        /// fa-parking unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/parking
        /// </summary>
        public const string Parking = "\uf540";

        /// <summary>
        /// fa-parking-circle unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/parking-circle
        /// </summary>
        public const string ParkingCircle = "\uf615";

        /// <summary>
        /// fa-parking-circle-slash unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/parking-circle-slash
        /// </summary>
        public const string ParkingCircleSlash = "\uf616";

        /// <summary>
        /// fa-parking-slash unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/parking-slash
        /// </summary>
        public const string ParkingSlash = "\uf617";

        /// <summary>
        /// fa-passport unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/passport
        /// </summary>
        public const string Passport = "\uf5ab";

        /// <summary>
        /// fa-pastafarianism unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/pastafarianism
        /// </summary>
        public const string Pastafarianism = "\uf67b";

        /// <summary>
        /// fa-paste unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/paste
        /// </summary>
        public const string Paste = "\uf0ea";

        /// <summary>
        /// fa-patreon unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/patreon
        /// </summary>
        public const string Patreon = "\uf3d9";

        /// <summary>
        /// fa-pause unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/pause
        /// </summary>
        public const string Pause = "\uf04c";

        /// <summary>
        /// fa-pause-circle unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/pause-circle
        /// </summary>
        public const string PauseCircle = "\uf28b";

        /// <summary>
        /// fa-paw unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/paw
        /// </summary>
        public const string Paw = "\uf1b0";

        /// <summary>
        /// fa-paw-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/paw-alt
        /// </summary>
        public const string PawAlt = "\uf701";

        /// <summary>
        /// fa-paw-claws unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/paw-claws
        /// </summary>
        public const string PawClaws = "\uf702";

        /// <summary>
        /// fa-paypal unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/paypal
        /// </summary>
        public const string Paypal = "\uf1ed";

        /// <summary>
        /// fa-peace unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/peace
        /// </summary>
        public const string Peace = "\uf67c";

        /// <summary>
        /// fa-pegasus unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/pegasus
        /// </summary>
        public const string Pegasus = "\uf703";

        /// <summary>
        /// fa-pen unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/pen
        /// </summary>
        public const string Pen = "\uf304";

        /// <summary>
        /// fa-pen-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/pen-alt
        /// </summary>
        public const string PenAlt = "\uf305";

        /// <summary>
        /// fa-pen-fancy unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/pen-fancy
        /// </summary>
        public const string PenFancy = "\uf5ac";

        /// <summary>
        /// fa-pen-nib unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/pen-nib
        /// </summary>
        public const string PenNib = "\uf5ad";

        /// <summary>
        /// fa-pen-square unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/pen-square
        /// </summary>
        public const string PenSquare = "\uf14b";

        /// <summary>
        /// fa-pencil unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/pencil
        /// </summary>
        public const string Pencil = "\uf040";

        /// <summary>
        /// fa-pencil-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/pencil-alt
        /// </summary>
        public const string PencilAlt = "\uf303";

        /// <summary>
        /// fa-pencil-paintbrush unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/pencil-paintbrush
        /// </summary>
        public const string PencilPaintbrush = "\uf618";

        /// <summary>
        /// fa-pencil-ruler unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/pencil-ruler
        /// </summary>
        public const string PencilRuler = "\uf5ae";

        /// <summary>
        /// fa-pennant unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/pennant
        /// </summary>
        public const string Pennant = "\uf456";

        /// <summary>
        /// fa-penny-arcade unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/penny-arcade
        /// </summary>
        public const string PennyArcade = "\uf704";

        /// <summary>
        /// fa-people-carry unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/people-carry
        /// </summary>
        public const string PeopleCarry = "\uf4ce";

        /// <summary>
        /// fa-percent unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/percent
        /// </summary>
        public const string Percent = "\uf295";

        /// <summary>
        /// fa-percentage unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/percentage
        /// </summary>
        public const string Percentage = "\uf541";

        /// <summary>
        /// fa-periscope unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/periscope
        /// </summary>
        public const string Periscope = "\uf3da";

        /// <summary>
        /// fa-person-booth unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/person-booth
        /// </summary>
        public const string PersonBooth = "\uf756";

        /// <summary>
        /// fa-person-carry unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/person-carry
        /// </summary>
        public const string PersonCarry = "\uf4cf";

        /// <summary>
        /// fa-person-dolly unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/person-dolly
        /// </summary>
        public const string PersonDolly = "\uf4d0";

        /// <summary>
        /// fa-person-dolly-empty unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/person-dolly-empty
        /// </summary>
        public const string PersonDollyEmpty = "\uf4d1";

        /// <summary>
        /// fa-person-sign unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/person-sign
        /// </summary>
        public const string PersonSign = "\uf757";

        /// <summary>
        /// fa-phabricator unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/phabricator
        /// </summary>
        public const string Phabricator = "\uf3db";

        /// <summary>
        /// fa-phoenix-framework unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/phoenix-framework
        /// </summary>
        public const string PhoenixFramework = "\uf3dc";

        /// <summary>
        /// fa-phoenix-squadron unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/phoenix-squadron
        /// </summary>
        public const string PhoenixSquadron = "\uf511";

        /// <summary>
        /// fa-phone unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/phone
        /// </summary>
        public const string Phone = "\uf095";

        /// <summary>
        /// fa-phone-office unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/phone-office
        /// </summary>
        public const string PhoneOffice = "\uf67d";

        /// <summary>
        /// fa-phone-plus unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/phone-plus
        /// </summary>
        public const string PhonePlus = "\uf4d2";

        /// <summary>
        /// fa-phone-slash unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/phone-slash
        /// </summary>
        public const string PhoneSlash = "\uf3dd";

        /// <summary>
        /// fa-phone-square unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/phone-square
        /// </summary>
        public const string PhoneSquare = "\uf098";

        /// <summary>
        /// fa-phone-volume unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/phone-volume
        /// </summary>
        public const string PhoneVolume = "\uf2a0";

        /// <summary>
        /// fa-php unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/php
        /// </summary>
        public const string Php = "\uf457";

        /// <summary>
        /// fa-pi unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/pi
        /// </summary>
        public const string Pi = "\uf67e";

        /// <summary>
        /// fa-pie unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/pie
        /// </summary>
        public const string Pie = "\uf705";

        /// <summary>
        /// fa-pied-piper unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/pied-piper
        /// </summary>
        public const string PiedPiper = "\uf2ae";

        /// <summary>
        /// fa-pied-piper-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/pied-piper-alt
        /// </summary>
        public const string PiedPiperAlt = "\uf1a8";

        /// <summary>
        /// fa-pied-piper-hat unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/pied-piper-hat
        /// </summary>
        public const string PiedPiperHat = "\uf4e5";

        /// <summary>
        /// fa-pied-piper-pp unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/pied-piper-pp
        /// </summary>
        public const string PiedPiperPp = "\uf1a7";

        /// <summary>
        /// fa-pig unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/pig
        /// </summary>
        public const string Pig = "\uf706";

        /// <summary>
        /// fa-piggy-bank unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/piggy-bank
        /// </summary>
        public const string PiggyBank = "\uf4d3";

        /// <summary>
        /// fa-pills unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/pills
        /// </summary>
        public const string Pills = "\uf484";

        /// <summary>
        /// fa-pinterest unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/pinterest
        /// </summary>
        public const string Pinterest = "\uf0d2";

        /// <summary>
        /// fa-pinterest-p unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/pinterest-p
        /// </summary>
        public const string PinterestP = "\uf231";

        /// <summary>
        /// fa-pinterest-square unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/pinterest-square
        /// </summary>
        public const string PinterestSquare = "\uf0d3";

        /// <summary>
        /// fa-place-of-worship unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/place-of-worship
        /// </summary>
        public const string PlaceOfWorship = "\uf67f";

        /// <summary>
        /// fa-plane unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/plane
        /// </summary>
        public const string Plane = "\uf072";

        /// <summary>
        /// fa-plane-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/plane-alt
        /// </summary>
        public const string PlaneAlt = "\uf3de";

        /// <summary>
        /// fa-plane-arrival unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/plane-arrival
        /// </summary>
        public const string PlaneArrival = "\uf5af";

        /// <summary>
        /// fa-plane-departure unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/plane-departure
        /// </summary>
        public const string PlaneDeparture = "\uf5b0";

        /// <summary>
        /// fa-play unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/play
        /// </summary>
        public const string Play = "\uf04b";

        /// <summary>
        /// fa-play-circle unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/play-circle
        /// </summary>
        public const string PlayCircle = "\uf144";

        /// <summary>
        /// fa-playstation unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/playstation
        /// </summary>
        public const string Playstation = "\uf3df";

        /// <summary>
        /// fa-plug unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/plug
        /// </summary>
        public const string Plug = "\uf1e6";

        /// <summary>
        /// fa-plus unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/plus
        /// </summary>
        public const string Plus = "\uf067";

        /// <summary>
        /// fa-plus-circle unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/plus-circle
        /// </summary>
        public const string PlusCircle = "\uf055";

        /// <summary>
        /// fa-plus-hexagon unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/plus-hexagon
        /// </summary>
        public const string PlusHexagon = "\uf300";

        /// <summary>
        /// fa-plus-octagon unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/plus-octagon
        /// </summary>
        public const string PlusOctagon = "\uf301";

        /// <summary>
        /// fa-plus-square unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/plus-square
        /// </summary>
        public const string PlusSquare = "\uf0fe";

        /// <summary>
        /// fa-podcast unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/podcast
        /// </summary>
        public const string Podcast = "\uf2ce";

        public const string Chromecast = "\uf838";

        /// <summary>
        /// fa-podium unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/podium
        /// </summary>
        public const string Podium = "\uf680";

        /// <summary>
        /// fa-podium-star unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/podium-star
        /// </summary>
        public const string PodiumStar = "\uf758";

        /// <summary>
        /// fa-poll unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/poll
        /// </summary>
        public const string Poll = "\uf681";

        /// <summary>
        /// fa-poll-h unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/poll-h
        /// </summary>
        public const string PollH = "\uf682";

        /// <summary>
        /// fa-poll-people unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/poll-people
        /// </summary>
        public const string PollPeople = "\uf759";

        /// <summary>
        /// fa-poo unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/poo
        /// </summary>
        public const string Poo = "\uf2fe";

        /// <summary>
        /// fa-poo-storm unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/poo-storm
        /// </summary>
        public const string PooStorm = "\uf75a";

        /// <summary>
        /// fa-poop unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/poop
        /// </summary>
        public const string Poop = "\uf619";

        /// <summary>
        /// fa-portrait unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/portrait
        /// </summary>
        public const string Portrait = "\uf3e0";

        /// <summary>
        /// fa-pound-sign unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/pound-sign
        /// </summary>
        public const string PoundSign = "\uf154";

        /// <summary>
        /// fa-power-off unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/power-off
        /// </summary>
        public const string PowerOff = "\uf011";

        /// <summary>
        /// fa-pray unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/pray
        /// </summary>
        public const string Pray = "\uf683";

        /// <summary>
        /// fa-praying-hands unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/praying-hands
        /// </summary>
        public const string PrayingHands = "\uf684";

        /// <summary>
        /// fa-prescription unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/prescription
        /// </summary>
        public const string Prescription = "\uf5b1";

        /// <summary>
        /// fa-prescription-bottle unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/prescription-bottle
        /// </summary>
        public const string PrescriptionBottle = "\uf485";

        /// <summary>
        /// fa-prescription-bottle-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/prescription-bottle-alt
        /// </summary>
        public const string PrescriptionBottleAlt = "\uf486";

        /// <summary>
        /// fa-presentation unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/presentation
        /// </summary>
        public const string Presentation = "\uf685";

        /// <summary>
        /// fa-print unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/print
        /// </summary>
        public const string Print = "\uf02f";

        /// <summary>
        /// fa-print-slash unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/print-slash
        /// </summary>
        public const string PrintSlash = "\uf686";

        /// <summary>
        /// fa-procedures unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/procedures
        /// </summary>
        public const string Procedures = "\uf487";

        /// <summary>
        /// fa-product-hunt unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/product-hunt
        /// </summary>
        public const string ProductHunt = "\uf288";

        /// <summary>
        /// fa-project-diagram unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/project-diagram
        /// </summary>
        public const string ProjectDiagram = "\uf542";

        /// <summary>
        /// fa-pumpkin unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/pumpkin
        /// </summary>
        public const string Pumpkin = "\uf707";

        /// <summary>
        /// fa-pushed unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/pushed
        /// </summary>
        public const string Pushed = "\uf3e1";

        /// <summary>
        /// fa-puzzle-piece unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/puzzle-piece
        /// </summary>
        public const string PuzzlePiece = "\uf12e";

        /// <summary>
        /// fa-python unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/python
        /// </summary>
        public const string Python = "\uf3e2";

        /// <summary>
        /// fa-qq unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/qq
        /// </summary>
        public const string Qq = "\uf1d6";

        /// <summary>
        /// fa-qrcode unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/qrcode
        /// </summary>
        public const string Qrcode = "\uf029";

        /// <summary>
        /// fa-question unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/question
        /// </summary>
        public const string Question = "\uf128";

        /// <summary>
        /// fa-question-circle unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/question-circle
        /// </summary>
        public const string QuestionCircle = "\uf059";

        /// <summary>
        /// fa-question-square unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/question-square
        /// </summary>
        public const string QuestionSquare = "\uf2fd";

        /// <summary>
        /// fa-quidditch unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/quidditch
        /// </summary>
        public const string Quidditch = "\uf458";

        /// <summary>
        /// fa-quinscape unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/quinscape
        /// </summary>
        public const string Quinscape = "\uf459";

        /// <summary>
        /// fa-quora unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/quora
        /// </summary>
        public const string Quora = "\uf2c4";

        /// <summary>
        /// fa-quote-left unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/quote-left
        /// </summary>
        public const string QuoteLeft = "\uf10d";

        /// <summary>
        /// fa-quote-right unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/quote-right
        /// </summary>
        public const string QuoteRight = "\uf10e";

        /// <summary>
        /// fa-quran unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/quran
        /// </summary>
        public const string Quran = "\uf687";

        /// <summary>
        /// fa-r-project unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/r-project
        /// </summary>
        public const string RProject = "\uf4f7";

        /// <summary>
        /// fa-rabbit unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/rabbit
        /// </summary>
        public const string Rabbit = "\uf708";

        /// <summary>
        /// fa-rabbit-fast unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/rabbit-fast
        /// </summary>
        public const string RabbitFast = "\uf709";

        /// <summary>
        /// fa-racquet unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/racquet
        /// </summary>
        public const string Racquet = "\uf45a";

        /// <summary>
        /// fa-rainbow unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/rainbow
        /// </summary>
        public const string Rainbow = "\uf75b";

        /// <summary>
        /// fa-raindrops unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/raindrops
        /// </summary>
        public const string Raindrops = "\uf75c";

        /// <summary>
        /// fa-ram unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/ram
        /// </summary>
        public const string Ram = "\uf70a";

        /// <summary>
        /// fa-ramp-loading unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/ramp-loading
        /// </summary>
        public const string RampLoading = "\uf4d4";

        /// <summary>
        /// fa-random unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/random
        /// </summary>
        public const string Random = "\uf074";

        /// <summary>
        /// fa-ravelry unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/ravelry
        /// </summary>
        public const string Ravelry = "\uf2d9";

        /// <summary>
        /// fa-react unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/react
        /// </summary>
        public const string React = "\uf41b";

        /// <summary>
        /// fa-reacteurope unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/reacteurope
        /// </summary>
        public const string Reacteurope = "\uf75d";

        /// <summary>
        /// fa-readme unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/readme
        /// </summary>
        public const string Readme = "\uf4d5";

        /// <summary>
        /// fa-rebel unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/rebel
        /// </summary>
        public const string Rebel = "\uf1d0";

        /// <summary>
        /// fa-receipt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/receipt
        /// </summary>
        public const string Receipt = "\uf543";

        /// <summary>
        /// fa-rectangle-landscape unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/rectangle-landscape
        /// </summary>
        public const string RectangleLandscape = "\uf2fa";

        /// <summary>
        /// fa-rectangle-portrait unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/rectangle-portrait
        /// </summary>
        public const string RectanglePortrait = "\uf2fb";

        /// <summary>
        /// fa-rectangle-wide unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/rectangle-wide
        /// </summary>
        public const string RectangleWide = "\uf2fc";

        /// <summary>
        /// fa-recycle unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/recycle
        /// </summary>
        public const string Recycle = "\uf1b8";

        /// <summary>
        /// fa-red-river unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/red-river
        /// </summary>
        public const string RedRiver = "\uf3e3";

        /// <summary>
        /// fa-reddit unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/reddit
        /// </summary>
        public const string Reddit = "\uf1a1";

        /// <summary>
        /// fa-reddit-alien unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/reddit-alien
        /// </summary>
        public const string RedditAlien = "\uf281";

        /// <summary>
        /// fa-reddit-square unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/reddit-square
        /// </summary>
        public const string RedditSquare = "\uf1a2";

        /// <summary>
        /// fa-redo unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/redo
        /// </summary>
        public const string Redo = "\uf01e";

        /// <summary>
        /// fa-redo-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/redo-alt
        /// </summary>
        public const string RedoAlt = "\uf2f9";

        /// <summary>
        /// fa-registered unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/registered
        /// </summary>
        public const string Registered = "\uf25d";

        /// <summary>
        /// fa-renren unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/renren
        /// </summary>
        public const string Renren = "\uf18b";

        /// <summary>
        /// fa-repeat unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/repeat
        /// </summary>
        public const string Repeat = "\uf363";

        /// <summary>
        /// fa-repeat-1 unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/repeat-1
        /// </summary>
        public const string Repeat1 = "\uf365";

        /// <summary>
        /// fa-repeat-1-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/repeat-1-alt
        /// </summary>
        public const string Repeat1Alt = "\uf366";

        /// <summary>
        /// fa-repeat-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/repeat-alt
        /// </summary>
        public const string RepeatAlt = "\uf364";

        /// <summary>
        /// fa-reply unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/reply
        /// </summary>
        public const string Reply = "\uf3e5";

        /// <summary>
        /// fa-reply-all unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/reply-all
        /// </summary>
        public const string ReplyAll = "\uf122";

        /// <summary>
        /// fa-replyd unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/replyd
        /// </summary>
        public const string Replyd = "\uf3e6";

        /// <summary>
        /// fa-republican unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/republican
        /// </summary>
        public const string Republican = "\uf75e";

        /// <summary>
        /// fa-researchgate unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/researchgate
        /// </summary>
        public const string Researchgate = "\uf4f8";

        /// <summary>
        /// fa-resolving unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/resolving
        /// </summary>
        public const string Resolving = "\uf3e7";

        /// <summary>
        /// fa-retweet unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/retweet
        /// </summary>
        public const string Retweet = "\uf079";

        /// <summary>
        /// fa-retweet-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/retweet-alt
        /// </summary>
        public const string RetweetAlt = "\uf361";

        /// <summary>
        /// fa-rev unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/rev
        /// </summary>
        public const string Rev = "\uf5b2";

        /// <summary>
        /// fa-ribbon unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/ribbon
        /// </summary>
        public const string Ribbon = "\uf4d6";

        /// <summary>
        /// fa-ring unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/ring
        /// </summary>
        public const string Ring = "\uf70b";

        /// <summary>
        /// fa-road unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/road
        /// </summary>
        public const string Road = "\uf018";

        /// <summary>
        /// fa-robot unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/robot
        /// </summary>
        public const string Robot = "\uf544";

        /// <summary>
        /// fa-rocket unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/rocket
        /// </summary>
        public const string Rocket = "\uf135";

        /// <summary>
        /// fa-rocketchat unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/rocketchat
        /// </summary>
        public const string Rocketchat = "\uf3e8";

        /// <summary>
        /// fa-rockrms unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/rockrms
        /// </summary>
        public const string Rockrms = "\uf3e9";

        /// <summary>
        /// fa-route unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/route
        /// </summary>
        public const string Route = "\uf4d7";

        /// <summary>
        /// fa-route-highway unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/route-highway
        /// </summary>
        public const string RouteHighway = "\uf61a";

        /// <summary>
        /// fa-route-interstate unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/route-interstate
        /// </summary>
        public const string RouteInterstate = "\uf61b";

        /// <summary>
        /// fa-rss unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/rss
        /// </summary>
        public const string Rss = "\uf09e";

        /// <summary>
        /// fa-rss-square unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/rss-square
        /// </summary>
        public const string RssSquare = "\uf143";

        /// <summary>
        /// fa-ruble-sign unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/ruble-sign
        /// </summary>
        public const string RubleSign = "\uf158";

        /// <summary>
        /// fa-ruler unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/ruler
        /// </summary>
        public const string Ruler = "\uf545";

        /// <summary>
        /// fa-ruler-combined unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/ruler-combined
        /// </summary>
        public const string RulerCombined = "\uf546";

        /// <summary>
        /// fa-ruler-horizontal unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/ruler-horizontal
        /// </summary>
        public const string RulerHorizontal = "\uf547";

        /// <summary>
        /// fa-ruler-triangle unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/ruler-triangle
        /// </summary>
        public const string RulerTriangle = "\uf61c";

        /// <summary>
        /// fa-ruler-vertical unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/ruler-vertical
        /// </summary>
        public const string RulerVertical = "\uf548";

        /// <summary>
        /// fa-running unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/running
        /// </summary>
        public const string Running = "\uf70c";

        /// <summary>
        /// fa-rupee-sign unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/rupee-sign
        /// </summary>
        public const string RupeeSign = "\uf156";

        /// <summary>
        /// fa-sad-cry unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/sad-cry
        /// </summary>
        public const string SadCry = "\uf5b3";

        /// <summary>
        /// fa-sad-tear unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/sad-tear
        /// </summary>
        public const string SadTear = "\uf5b4";

        /// <summary>
        /// fa-safari unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/safari
        /// </summary>
        public const string Safari = "\uf267";

        /// <summary>
        /// fa-sass unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/sass
        /// </summary>
        public const string Sass = "\uf41e";

        /// <summary>
        /// fa-save unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/save
        /// </summary>
        public const string Save = "\uf0c7";

        /// <summary>
        /// fa-scalpel unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/scalpel
        /// </summary>
        public const string Scalpel = "\uf61d";

        /// <summary>
        /// fa-scalpel-path unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/scalpel-path
        /// </summary>
        public const string ScalpelPath = "\uf61e";

        /// <summary>
        /// fa-scanner unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/scanner
        /// </summary>
        public const string Scanner = "\uf488";

        /// <summary>
        /// fa-scanner-keyboard unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/scanner-keyboard
        /// </summary>
        public const string ScannerKeyboard = "\uf489";

        /// <summary>
        /// fa-scanner-touchscreen unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/scanner-touchscreen
        /// </summary>
        public const string ScannerTouchscreen = "\uf48a";

        /// <summary>
        /// fa-scarecrow unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/scarecrow
        /// </summary>
        public const string Scarecrow = "\uf70d";

        /// <summary>
        /// fa-schlix unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/schlix
        /// </summary>
        public const string Schlix = "\uf3ea";

        /// <summary>
        /// fa-school unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/school
        /// </summary>
        public const string School = "\uf549";

        /// <summary>
        /// fa-screwdriver unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/screwdriver
        /// </summary>
        public const string Screwdriver = "\uf54a";

        /// <summary>
        /// fa-scribd unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/scribd
        /// </summary>
        public const string Scribd = "\uf28a";

        /// <summary>
        /// fa-scroll unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/scroll
        /// </summary>
        public const string Scroll = "\uf70e";

        /// <summary>
        /// fa-scroll-old unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/scroll-old
        /// </summary>
        public const string ScrollOld = "\uf70f";

        /// <summary>
        /// fa-scrubber unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/scrubber
        /// </summary>
        public const string Scrubber = "\uf2f8";

        /// <summary>
        /// fa-scythe unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/scythe
        /// </summary>
        public const string Scythe = "\uf710";

        /// <summary>
        /// fa-search unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/search
        /// </summary>
        public const string Search = "\uf002";

        /// <summary>
        /// fa-search-dollar unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/search-dollar
        /// </summary>
        public const string SearchDollar = "\uf688";

        /// <summary>
        /// fa-search-location unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/search-location
        /// </summary>
        public const string SearchLocation = "\uf689";

        /// <summary>
        /// fa-search-minus unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/search-minus
        /// </summary>
        public const string SearchMinus = "\uf010";

        /// <summary>
        /// fa-search-plus unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/search-plus
        /// </summary>
        public const string SearchPlus = "\uf00e";

        /// <summary>
        /// fa-searchengin unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/searchengin
        /// </summary>
        public const string Searchengin = "\uf3eb";

        /// <summary>
        /// fa-seedling unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/seedling
        /// </summary>
        public const string Seedling = "\uf4d8";

        /// <summary>
        /// fa-sellcast unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/sellcast
        /// </summary>
        public const string Sellcast = "\uf2da";

        /// <summary>
        /// fa-sellsy unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/sellsy
        /// </summary>
        public const string Sellsy = "\uf213";

        /// <summary>
        /// fa-server unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/server
        /// </summary>
        public const string Server = "\uf233";

        /// <summary>
        /// fa-servicestack unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/servicestack
        /// </summary>
        public const string Servicestack = "\uf3ec";

        /// <summary>
        /// fa-shapes unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/shapes
        /// </summary>
        public const string Shapes = "\uf61f";

        /// <summary>
        /// fa-share unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/share
        /// </summary>
        public const string Share = "\uf064";

        /// <summary>
        /// fa-share-all unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/share-all
        /// </summary>
        public const string ShareAll = "\uf367";

        /// <summary>
        /// fa-share-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/share-alt
        /// </summary>
        public const string ShareAlt = "\uf1e0";

        /// <summary>
        /// fa-share-alt-square unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/share-alt-square
        /// </summary>
        public const string ShareAltSquare = "\uf1e1";

        /// <summary>
        /// fa-share-square unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/share-square
        /// </summary>
        public const string ShareSquare = "\uf14d";

        /// <summary>
        /// fa-sheep unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/sheep
        /// </summary>
        public const string Sheep = "\uf711";

        /// <summary>
        /// fa-shekel-sign unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/shekel-sign
        /// </summary>
        public const string ShekelSign = "\uf20b";

        /// <summary>
        /// fa-shield unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/shield
        /// </summary>
        public const string Shield = "\uf132";

        /// <summary>
        /// fa-shield-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/shield-alt
        /// </summary>
        public const string ShieldAlt = "\uf3ed";

        /// <summary>
        /// fa-shield-check unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/shield-check
        /// </summary>
        public const string ShieldCheck = "\uf2f7";

        /// <summary>
        /// fa-shield-cross unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/shield-cross
        /// </summary>
        public const string ShieldCross = "\uf712";

        /// <summary>
        /// fa-ship unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/ship
        /// </summary>
        public const string Ship = "\uf21a";

        /// <summary>
        /// fa-shipping-fast unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/shipping-fast
        /// </summary>
        public const string ShippingFast = "\uf48b";

        /// <summary>
        /// fa-shipping-timed unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/shipping-timed
        /// </summary>
        public const string ShippingTimed = "\uf48c";

        /// <summary>
        /// fa-shirtsinbulk unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/shirtsinbulk
        /// </summary>
        public const string Shirtsinbulk = "\uf214";

        /// <summary>
        /// fa-shoe-prints unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/shoe-prints
        /// </summary>
        public const string ShoePrints = "\uf54b";

        /// <summary>
        /// fa-shopping-bag unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/shopping-bag
        /// </summary>
        public const string ShoppingBag = "\uf290";

        /// <summary>
        /// fa-shopping-basket unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/shopping-basket
        /// </summary>
        public const string ShoppingBasket = "\uf291";

        /// <summary>
        /// fa-shopping-cart unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/shopping-cart
        /// </summary>
        public const string ShoppingCart = "\uf07a";

        /// <summary>
        /// fa-shopware unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/shopware
        /// </summary>
        public const string Shopware = "\uf5b5";

        /// <summary>
        /// fa-shovel unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/shovel
        /// </summary>
        public const string Shovel = "\uf713";

        /// <summary>
        /// fa-shower unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/shower
        /// </summary>
        public const string Shower = "\uf2cc";

        /// <summary>
        /// fa-shredder unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/shredder
        /// </summary>
        public const string Shredder = "\uf68a";

        /// <summary>
        /// fa-shuttle-van unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/shuttle-van
        /// </summary>
        public const string ShuttleVan = "\uf5b6";

        /// <summary>
        /// fa-shuttlecock unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/shuttlecock
        /// </summary>
        public const string Shuttlecock = "\uf45b";

        /// <summary>
        /// fa-sigma unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/sigma
        /// </summary>
        public const string Sigma = "\uf68b";

        /// <summary>
        /// fa-sign unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/sign
        /// </summary>
        public const string Sign = "\uf4d9";

        /// <summary>
        /// fa-sign-in unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/sign-in
        /// </summary>
        public const string SignIn = "\uf090";

        /// <summary>
        /// fa-sign-in-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/sign-in-alt
        /// </summary>
        public const string SignInAlt = "\uf2f6";

        /// <summary>
        /// fa-sign-language unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/sign-language
        /// </summary>
        public const string SignLanguage = "\uf2a7";

        /// <summary>
        /// fa-sign-out unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/sign-out
        /// </summary>
        public const string SignOut = "\uf08b";

        /// <summary>
        /// fa-sign-out-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/sign-out-alt
        /// </summary>
        public const string SignOutAlt = "\uf2f5";

        /// <summary>
        /// fa-signal unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/signal
        /// </summary>
        public const string Signal = "\uf012";

        /// <summary>
        /// fa-signal-1 unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/signal-1
        /// </summary>
        public const string Signal1 = "\uf68c";

        /// <summary>
        /// fa-signal-2 unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/signal-2
        /// </summary>
        public const string Signal2 = "\uf68d";

        /// <summary>
        /// fa-signal-3 unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/signal-3
        /// </summary>
        public const string Signal3 = "\uf68e";

        /// <summary>
        /// fa-signal-4 unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/signal-4
        /// </summary>
        public const string Signal4 = "\uf68f";

        /// <summary>
        /// fa-signal-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/signal-alt
        /// </summary>
        public const string SignalAlt = "\uf690";

        /// <summary>
        /// fa-signal-alt-1 unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/signal-alt-1
        /// </summary>
        public const string SignalAlt1 = "\uf691";

        /// <summary>
        /// fa-signal-alt-2 unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/signal-alt-2
        /// </summary>
        public const string SignalAlt2 = "\uf692";

        /// <summary>
        /// fa-signal-alt-3 unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/signal-alt-3
        /// </summary>
        public const string SignalAlt3 = "\uf693";

        /// <summary>
        /// fa-signal-alt-slash unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/signal-alt-slash
        /// </summary>
        public const string SignalAltSlash = "\uf694";

        /// <summary>
        /// fa-signal-slash unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/signal-slash
        /// </summary>
        public const string SignalSlash = "\uf695";

        /// <summary>
        /// fa-signature unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/signature
        /// </summary>
        public const string Signature = "\uf5b7";

        /// <summary>
        /// fa-simplybuilt unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/simplybuilt
        /// </summary>
        public const string Simplybuilt = "\uf215";

        /// <summary>
        /// fa-sistrix unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/sistrix
        /// </summary>
        public const string Sistrix = "\uf3ee";

        /// <summary>
        /// fa-sitemap unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/sitemap
        /// </summary>
        public const string Sitemap = "\uf0e8";

        /// <summary>
        /// fa-sith unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/sith
        /// </summary>
        public const string Sith = "\uf512";

        /// <summary>
        /// fa-skeleton unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/skeleton
        /// </summary>
        public const string Skeleton = "\uf620";

        /// <summary>
        /// fa-skull unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/skull
        /// </summary>
        public const string Skull = "\uf54c";

        /// <summary>
        /// fa-skull-crossbones unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/skull-crossbones
        /// </summary>
        public const string SkullCrossbones = "\uf714";

        /// <summary>
        /// fa-skyatlas unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/skyatlas
        /// </summary>
        public const string Skyatlas = "\uf216";

        /// <summary>
        /// fa-skype unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/skype
        /// </summary>
        public const string Skype = "\uf17e";

        /// <summary>
        /// fa-slack unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/slack
        /// </summary>
        public const string Slack = "\uf198";

        /// <summary>
        /// fa-slack-hash unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/slack-hash
        /// </summary>
        public const string SlackHash = "\uf3ef";

        /// <summary>
        /// fa-slash unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/slash
        /// </summary>
        public const string Slash = "\uf715";

        /// <summary>
        /// fa-sliders-h unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/sliders-h
        /// </summary>
        public const string SlidersH = "\uf1de";

        /// <summary>
        /// fa-sliders-h-square unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/sliders-h-square
        /// </summary>
        public const string SlidersHSquare = "\uf3f0";

        /// <summary>
        /// fa-sliders-v unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/sliders-v
        /// </summary>
        public const string SlidersV = "\uf3f1";

        /// <summary>
        /// fa-sliders-v-square unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/sliders-v-square
        /// </summary>
        public const string SlidersVSquare = "\uf3f2";

        /// <summary>
        /// fa-slideshare unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/slideshare
        /// </summary>
        public const string Slideshare = "\uf1e7";

        /// <summary>
        /// fa-smile unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/smile
        /// </summary>
        public const string Smile = "\uf118";

        /// <summary>
        /// fa-smile-beam unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/smile-beam
        /// </summary>
        public const string SmileBeam = "\uf5b8";

        /// <summary>
        /// fa-smile-plus unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/smile-plus
        /// </summary>
        public const string SmilePlus = "\uf5b9";

        /// <summary>
        /// fa-smile-wink unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/smile-wink
        /// </summary>
        public const string SmileWink = "\uf4da";

        /// <summary>
        /// fa-smog unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/smog
        /// </summary>
        public const string Smog = "\uf75f";

        /// <summary>
        /// fa-smoke unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/smoke
        /// </summary>
        public const string Smoke = "\uf760";

        /// <summary>
        /// fa-smoking unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/smoking
        /// </summary>
        public const string Smoking = "\uf48d";

        /// <summary>
        /// fa-smoking-ban unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/smoking-ban
        /// </summary>
        public const string SmokingBan = "\uf54d";

        /// <summary>
        /// fa-snake unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/snake
        /// </summary>
        public const string Snake = "\uf716";

        /// <summary>
        /// fa-snapchat unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/snapchat
        /// </summary>
        public const string Snapchat = "\uf2ab";

        /// <summary>
        /// fa-snapchat-ghost unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/snapchat-ghost
        /// </summary>
        public const string SnapchatGhost = "\uf2ac";

        /// <summary>
        /// fa-snapchat-square unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/snapchat-square
        /// </summary>
        public const string SnapchatSquare = "\uf2ad";

        /// <summary>
        /// fa-snow-blowing unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/snow-blowing
        /// </summary>
        public const string SnowBlowing = "\uf761";

        /// <summary>
        /// fa-snowflake unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/snowflake
        /// </summary>
        public const string Snowflake = "\uf2dc";

        /// <summary>
        /// fa-socks unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/socks
        /// </summary>
        public const string Socks = "\uf696";

        /// <summary>
        /// fa-solar-panel unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/solar-panel
        /// </summary>
        public const string SolarPanel = "\uf5ba";

        /// <summary>
        /// fa-sort unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/sort
        /// </summary>
        public const string Sort = "\uf0dc";

        /// <summary>
        /// fa-sort-alpha-down unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/sort-alpha-down
        /// </summary>
        public const string SortAlphaDown = "\uf15d";

        /// <summary>
        /// fa-sort-alpha-up unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/sort-alpha-up
        /// </summary>
        public const string SortAlphaUp = "\uf15e";

        /// <summary>
        /// fa-sort-amount-down unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/sort-amount-down
        /// </summary>
        public const string SortAmountDown = "\uf160";

        /// <summary>
        /// fa-sort-amount-up unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/sort-amount-up
        /// </summary>
        public const string SortAmountUp = "\uf161";

        /// <summary>
        /// fa-sort-down unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/sort-down
        /// </summary>
        public const string SortDown = "\uf0dd";

        /// <summary>
        /// fa-sort-numeric-down unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/sort-numeric-down
        /// </summary>
        public const string SortNumericDown = "\uf162";

        /// <summary>
        /// fa-sort-numeric-up unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/sort-numeric-up
        /// </summary>
        public const string SortNumericUp = "\uf163";

        /// <summary>
        /// fa-sort-up unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/sort-up
        /// </summary>
        public const string SortUp = "\uf0de";

        /// <summary>
        /// fa-soundcloud unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/soundcloud
        /// </summary>
        public const string Soundcloud = "\uf1be";

        /// <summary>
        /// fa-spa unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/spa
        /// </summary>
        public const string Spa = "\uf5bb";

        /// <summary>
        /// fa-space-shuttle unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/space-shuttle
        /// </summary>
        public const string SpaceShuttle = "\uf197";

        /// <summary>
        /// fa-spade unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/spade
        /// </summary>
        public const string Spade = "\uf2f4";

        /// <summary>
        /// fa-speakap unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/speakap
        /// </summary>
        public const string Speakap = "\uf3f3";

        /// <summary>
        /// fa-spider unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/spider
        /// </summary>
        public const string Spider = "\uf717";

        /// <summary>
        /// fa-spider-black-widow unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/spider-black-widow
        /// </summary>
        public const string SpiderBlackWidow = "\uf718";

        /// <summary>
        /// fa-spider-web unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/spider-web
        /// </summary>
        public const string SpiderWeb = "\uf719";

        /// <summary>
        /// fa-spinner unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/spinner
        /// </summary>
        public const string Spinner = "\uf110";

        /// <summary>
        /// fa-spinner-third unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/spinner-third
        /// </summary>
        public const string SpinnerThird = "\uf3f4";

        /// <summary>
        /// fa-splotch unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/splotch
        /// </summary>
        public const string Splotch = "\uf5bc";

        /// <summary>
        /// fa-spotify unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/spotify
        /// </summary>
        public const string Spotify = "\uf1bc";

        /// <summary>
        /// fa-spray-can unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/spray-can
        /// </summary>
        public const string SprayCan = "\uf5bd";

        /// <summary>
        /// fa-square unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/square
        /// </summary>
        public const string Square = "\uf0c8";

        /// <summary>
        /// fa-square-full unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/square-full
        /// </summary>
        public const string SquareFull = "\uf45c";

        /// <summary>
        /// fa-square-root unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/square-root
        /// </summary>
        public const string SquareRoot = "\uf697";

        /// <summary>
        /// fa-square-root-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/square-root-alt
        /// </summary>
        public const string SquareRootAlt = "\uf698";

        /// <summary>
        /// fa-squarespace unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/squarespace
        /// </summary>
        public const string Squarespace = "\uf5be";

        /// <summary>
        /// fa-squirrel unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/squirrel
        /// </summary>
        public const string Squirrel = "\uf71a";

        /// <summary>
        /// fa-stack-exchange unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/stack-exchange
        /// </summary>
        public const string StackExchange = "\uf18d";

        /// <summary>
        /// fa-stack-overflow unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/stack-overflow
        /// </summary>
        public const string StackOverflow = "\uf16c";

        /// <summary>
        /// fa-staff unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/staff
        /// </summary>
        public const string Staff = "\uf71b";

        /// <summary>
        /// fa-stamp unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/stamp
        /// </summary>
        public const string Stamp = "\uf5bf";

        /// <summary>
        /// fa-star unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/star
        /// </summary>
        public const string Star = "\uf005";

        /// <summary>
        /// fa-star-and-crescent unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/star-and-crescent
        /// </summary>
        public const string StarAndCrescent = "\uf699";

        /// <summary>
        /// fa-star-exclamation unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/star-exclamation
        /// </summary>
        public const string StarExclamation = "\uf2f3";

        /// <summary>
        /// fa-star-half unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/star-half
        /// </summary>
        public const string StarHalf = "\uf089";

        /// <summary>
        /// fa-star-half-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/star-half-alt
        /// </summary>
        public const string StarHalfAlt = "\uf5c0";

        /// <summary>
        /// fa-star-of-david unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/star-of-david
        /// </summary>
        public const string StarOfDavid = "\uf69a";

        /// <summary>
        /// fa-star-of-life unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/star-of-life
        /// </summary>
        public const string StarOfLife = "\uf621";

        /// <summary>
        /// fa-stars unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/stars
        /// </summary>
        public const string Stars = "\uf762";

        /// <summary>
        /// fa-staylinked unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/staylinked
        /// </summary>
        public const string Staylinked = "\uf3f5";

        /// <summary>
        /// fa-steam unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/steam
        /// </summary>
        public const string Steam = "\uf1b6";

        /// <summary>
        /// fa-steam-square unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/steam-square
        /// </summary>
        public const string SteamSquare = "\uf1b7";

        /// <summary>
        /// fa-steam-symbol unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/steam-symbol
        /// </summary>
        public const string SteamSymbol = "\uf3f6";

        /// <summary>
        /// fa-steering-wheel unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/steering-wheel
        /// </summary>
        public const string SteeringWheel = "\uf622";

        /// <summary>
        /// fa-step-backward unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/step-backward
        /// </summary>
        public const string StepBackward = "\uf048";

        /// <summary>
        /// fa-step-forward unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/step-forward
        /// </summary>
        public const string StepForward = "\uf051";

        /// <summary>
        /// fa-stethoscope unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/stethoscope
        /// </summary>
        public const string Stethoscope = "\uf0f1";

        /// <summary>
        /// fa-sticker-mule unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/sticker-mule
        /// </summary>
        public const string StickerMule = "\uf3f7";

        /// <summary>
        /// fa-sticky-note unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/sticky-note
        /// </summary>
        public const string StickyNote = "\uf249";

        /// <summary>
        /// fa-stomach unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/stomach
        /// </summary>
        public const string Stomach = "\uf623";

        /// <summary>
        /// fa-stop unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/stop
        /// </summary>
        public const string Stop = "\uf04d";

        /// <summary>
        /// fa-stop-circle unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/stop-circle
        /// </summary>
        public const string StopCircle = "\uf28d";

        /// <summary>
        /// fa-stopwatch unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/stopwatch
        /// </summary>
        public const string Stopwatch = "\uf2f2";

        /// <summary>
        /// fa-store unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/store
        /// </summary>
        public const string Store = "\uf54e";

        /// <summary>
        /// fa-store-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/store-alt
        /// </summary>
        public const string StoreAlt = "\uf54f";

        /// <summary>
        /// fa-strava unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/strava
        /// </summary>
        public const string Strava = "\uf428";

        /// <summary>
        /// fa-stream unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/stream
        /// </summary>
        public const string Stream = "\uf550";

        /// <summary>
        /// fa-street-view unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/street-view
        /// </summary>
        public const string StreetView = "\uf21d";

        /// <summary>
        /// fa-strikethrough unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/strikethrough
        /// </summary>
        public const string Strikethrough = "\uf0cc";

        /// <summary>
        /// fa-stripe unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/stripe
        /// </summary>
        public const string Stripe = "\uf429";

        /// <summary>
        /// fa-stripe-s unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/stripe-s
        /// </summary>
        public const string StripeS = "\uf42a";

        /// <summary>
        /// fa-stroopwafel unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/stroopwafel
        /// </summary>
        public const string Stroopwafel = "\uf551";

        /// <summary>
        /// fa-studiovinari unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/studiovinari
        /// </summary>
        public const string Studiovinari = "\uf3f8";

        /// <summary>
        /// fa-stumbleupon unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/stumbleupon
        /// </summary>
        public const string Stumbleupon = "\uf1a4";

        /// <summary>
        /// fa-stumbleupon-circle unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/stumbleupon-circle
        /// </summary>
        public const string StumbleuponCircle = "\uf1a3";

        /// <summary>
        /// fa-subscript unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/subscript
        /// </summary>
        public const string Subscript = "\uf12c";

        /// <summary>
        /// fa-subway unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/subway
        /// </summary>
        public const string Subway = "\uf239";

        /// <summary>
        /// fa-suitcase unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/suitcase
        /// </summary>
        public const string Suitcase = "\uf0f2";

        /// <summary>
        /// fa-suitcase-rolling unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/suitcase-rolling
        /// </summary>
        public const string SuitcaseRolling = "\uf5c1";

        /// <summary>
        /// fa-sun unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/sun
        /// </summary>
        public const string Sun = "\uf185";

        /// <summary>
        /// fa-sun-cloud unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/sun-cloud
        /// </summary>
        public const string SunCloud = "\uf763";

        /// <summary>
        /// fa-sun-dust unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/sun-dust
        /// </summary>
        public const string SunDust = "\uf764";

        /// <summary>
        /// fa-sun-haze unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/sun-haze
        /// </summary>
        public const string SunHaze = "\uf765";

        /// <summary>
        /// fa-sunrise unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/sunrise
        /// </summary>
        public const string Sunrise = "\uf766";

        /// <summary>
        /// fa-sunset unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/sunset
        /// </summary>
        public const string Sunset = "\uf767";

        /// <summary>
        /// fa-superpowers unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/superpowers
        /// </summary>
        public const string Superpowers = "\uf2dd";

        /// <summary>
        /// fa-superscript unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/superscript
        /// </summary>
        public const string Superscript = "\uf12b";

        /// <summary>
        /// fa-supple unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/supple
        /// </summary>
        public const string Supple = "\uf3f9";

        /// <summary>
        /// fa-surprise unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/surprise
        /// </summary>
        public const string Surprise = "\uf5c2";

        /// <summary>
        /// fa-swatchbook unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/swatchbook
        /// </summary>
        public const string Swatchbook = "\uf5c3";

        /// <summary>
        /// fa-swimmer unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/swimmer
        /// </summary>
        public const string Swimmer = "\uf5c4";

        /// <summary>
        /// fa-swimming-pool unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/swimming-pool
        /// </summary>
        public const string SwimmingPool = "\uf5c5";

        /// <summary>
        /// fa-sword unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/sword
        /// </summary>
        public const string Sword = "\uf71c";

        /// <summary>
        /// fa-swords unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/swords
        /// </summary>
        public const string Swords = "\uf71d";

        /// <summary>
        /// fa-synagogue unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/synagogue
        /// </summary>
        public const string Synagogue = "\uf69b";

        /// <summary>
        /// fa-sync unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/sync
        /// </summary>
        public const string Sync = "\uf021";

        /// <summary>
        /// fa-sync-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/sync-alt
        /// </summary>
        public const string SyncAlt = "\uf2f1";

        /// <summary>
        /// fa-syringe unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/syringe
        /// </summary>
        public const string Syringe = "\uf48e";

        /// <summary>
        /// fa-table unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/table
        /// </summary>
        public const string Table = "\uf0ce";

        /// <summary>
        /// fa-table-tennis unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/table-tennis
        /// </summary>
        public const string TableTennis = "\uf45d";

        /// <summary>
        /// fa-tablet unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/tablet
        /// </summary>
        public const string Tablet = "\uf10a";

        /// <summary>
        /// fa-tablet-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/tablet-alt
        /// </summary>
        public const string TabletAlt = "\uf3fa";

        /// <summary>
        /// fa-tablet-android unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/tablet-android
        /// </summary>
        public const string TabletAndroid = "\uf3fb";

        /// <summary>
        /// fa-tablet-android-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/tablet-android-alt
        /// </summary>
        public const string TabletAndroidAlt = "\uf3fc";

        /// <summary>
        /// fa-tablet-rugged unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/tablet-rugged
        /// </summary>
        public const string TabletRugged = "\uf48f";

        /// <summary>
        /// fa-tablets unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/tablets
        /// </summary>
        public const string Tablets = "\uf490";

        /// <summary>
        /// fa-tachometer unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/tachometer
        /// </summary>
        public const string Tachometer = "\uf0e4";

        /// <summary>
        /// fa-tachometer-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/tachometer-alt
        /// </summary>
        public const string TachometerAlt = "\uf3fd";

        /// <summary>
        /// fa-tachometer-alt-average unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/tachometer-alt-average
        /// </summary>
        public const string TachometerAltAverage = "\uf624";

        /// <summary>
        /// fa-tachometer-alt-fast unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/tachometer-alt-fast
        /// </summary>
        public const string TachometerAltFast = "\uf625";

        /// <summary>
        /// fa-tachometer-alt-fastest unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/tachometer-alt-fastest
        /// </summary>
        public const string TachometerAltFastest = "\uf626";

        /// <summary>
        /// fa-tachometer-alt-slow unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/tachometer-alt-slow
        /// </summary>
        public const string TachometerAltSlow = "\uf627";

        /// <summary>
        /// fa-tachometer-alt-slowest unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/tachometer-alt-slowest
        /// </summary>
        public const string TachometerAltSlowest = "\uf628";

        /// <summary>
        /// fa-tachometer-average unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/tachometer-average
        /// </summary>
        public const string TachometerAverage = "\uf629";

        /// <summary>
        /// fa-tachometer-fast unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/tachometer-fast
        /// </summary>
        public const string TachometerFast = "\uf62a";

        /// <summary>
        /// fa-tachometer-fastest unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/tachometer-fastest
        /// </summary>
        public const string TachometerFastest = "\uf62b";

        /// <summary>
        /// fa-tachometer-slow unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/tachometer-slow
        /// </summary>
        public const string TachometerSlow = "\uf62c";

        /// <summary>
        /// fa-tachometer-slowest unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/tachometer-slowest
        /// </summary>
        public const string TachometerSlowest = "\uf62d";

        /// <summary>
        /// fa-tag unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/tag
        /// </summary>
        public const string Tag = "\uf02b";

        /// <summary>
        /// fa-tags unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/tags
        /// </summary>
        public const string Tags = "\uf02c";

        /// <summary>
        /// fa-tally unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/tally
        /// </summary>
        public const string Tally = "\uf69c";

        /// <summary>
        /// fa-tape unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/tape
        /// </summary>
        public const string Tape = "\uf4db";

        /// <summary>
        /// fa-tasks unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/tasks
        /// </summary>
        public const string Tasks = "\uf0ae";

        /// <summary>
        /// fa-taxi unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/taxi
        /// </summary>
        public const string Taxi = "\uf1ba";

        /// <summary>
        /// fa-teamspeak unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/teamspeak
        /// </summary>
        public const string Teamspeak = "\uf4f9";

        /// <summary>
        /// fa-teeth unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/teeth
        /// </summary>
        public const string Teeth = "\uf62e";

        /// <summary>
        /// fa-teeth-open unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/teeth-open
        /// </summary>
        public const string TeethOpen = "\uf62f";

        /// <summary>
        /// fa-telegram unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/telegram
        /// </summary>
        public const string Telegram = "\uf2c6";

        /// <summary>
        /// fa-telegram-plane unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/telegram-plane
        /// </summary>
        public const string TelegramPlane = "\uf3fe";

        /// <summary>
        /// fa-temperature-frigid unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/temperature-frigid
        /// </summary>
        public const string TemperatureFrigid = "\uf768";

        /// <summary>
        /// fa-temperature-high unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/temperature-high
        /// </summary>
        public const string TemperatureHigh = "\uf769";

        /// <summary>
        /// fa-temperature-hot unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/temperature-hot
        /// </summary>
        public const string TemperatureHot = "\uf76a";

        /// <summary>
        /// fa-temperature-low unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/temperature-low
        /// </summary>
        public const string TemperatureLow = "\uf76b";

        /// <summary>
        /// fa-tencent-weibo unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/tencent-weibo
        /// </summary>
        public const string TencentWeibo = "\uf1d5";

        /// <summary>
        /// fa-tennis-ball unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/tennis-ball
        /// </summary>
        public const string TennisBall = "\uf45e";

        /// <summary>
        /// fa-terminal unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/terminal
        /// </summary>
        public const string Terminal = "\uf120";

        /// <summary>
        /// fa-text-height unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/text-height
        /// </summary>
        public const string TextHeight = "\uf034";

        /// <summary>
        /// fa-text-width unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/text-width
        /// </summary>
        public const string TextWidth = "\uf035";

        /// <summary>
        /// fa-th unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/th
        /// </summary>
        public const string Th = "\uf00a";

        /// <summary>
        /// fa-th-large unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/th-large
        /// </summary>
        public const string ThLarge = "\uf009";

        /// <summary>
        /// fa-th-list unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/th-list
        /// </summary>
        public const string ThList = "\uf00b";

        /// <summary>
        /// fa-the-red-yeti unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/the-red-yeti
        /// </summary>
        public const string TheRedYeti = "\uf69d";

        /// <summary>
        /// fa-theater-masks unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/theater-masks
        /// </summary>
        public const string TheaterMasks = "\uf630";

        /// <summary>
        /// fa-themeco unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/themeco
        /// </summary>
        public const string Themeco = "\uf5c6";

        /// <summary>
        /// fa-themeisle unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/themeisle
        /// </summary>
        public const string Themeisle = "\uf2b2";

        /// <summary>
        /// fa-thermometer unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/thermometer
        /// </summary>
        public const string Thermometer = "\uf491";

        /// <summary>
        /// fa-thermometer-empty unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/thermometer-empty
        /// </summary>
        public const string ThermometerEmpty = "\uf2cb";

        /// <summary>
        /// fa-thermometer-full unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/thermometer-full
        /// </summary>
        public const string ThermometerFull = "\uf2c7";

        /// <summary>
        /// fa-thermometer-half unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/thermometer-half
        /// </summary>
        public const string ThermometerHalf = "\uf2c9";

        /// <summary>
        /// fa-thermometer-quarter unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/thermometer-quarter
        /// </summary>
        public const string ThermometerQuarter = "\uf2ca";

        /// <summary>
        /// fa-thermometer-three-quarters unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/thermometer-three-quarters
        /// </summary>
        public const string ThermometerThreeQuarters = "\uf2c8";

        /// <summary>
        /// fa-theta unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/theta
        /// </summary>
        public const string Theta = "\uf69e";

        /// <summary>
        /// fa-think-peaks unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/think-peaks
        /// </summary>
        public const string ThinkPeaks = "\uf731";

        /// <summary>
        /// fa-thumbs-down unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/thumbs-down
        /// </summary>
        public const string ThumbsDown = "\uf165";

        /// <summary>
        /// fa-thumbs-up unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/thumbs-up
        /// </summary>
        public const string ThumbsUp = "\uf164";

        /// <summary>
        /// fa-thumbtack unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/thumbtack
        /// </summary>
        public const string Thumbtack = "\uf08d";

        /// <summary>
        /// fa-thunderstorm unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/thunderstorm
        /// </summary>
        public const string Thunderstorm = "\uf76c";

        /// <summary>
        /// fa-thunderstorm-moon unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/thunderstorm-moon
        /// </summary>
        public const string ThunderstormMoon = "\uf76d";

        /// <summary>
        /// fa-thunderstorm-sun unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/thunderstorm-sun
        /// </summary>
        public const string ThunderstormSun = "\uf76e";

        /// <summary>
        /// fa-ticket unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/ticket
        /// </summary>
        public const string Ticket = "\uf145";

        /// <summary>
        /// fa-ticket-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/ticket-alt
        /// </summary>
        public const string TicketAlt = "\uf3ff";

        /// <summary>
        /// fa-tilde unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/tilde
        /// </summary>
        public const string Tilde = "\uf69f";

        /// <summary>
        /// fa-times unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/times
        /// </summary>
        public const string Times = "\uf00d";

        /// <summary>
        /// fa-times-circle unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/times-circle
        /// </summary>
        public const string TimesCircle = "\uf057";

        /// <summary>
        /// fa-times-hexagon unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/times-hexagon
        /// </summary>
        public const string TimesHexagon = "\uf2ee";

        /// <summary>
        /// fa-times-octagon unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/times-octagon
        /// </summary>
        public const string TimesOctagon = "\uf2f0";

        /// <summary>
        /// fa-times-square unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/times-square
        /// </summary>
        public const string TimesSquare = "\uf2d3";

        /// <summary>
        /// fa-tint unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/tint
        /// </summary>
        public const string Tint = "\uf043";

        /// <summary>
        /// fa-tint-slash unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/tint-slash
        /// </summary>
        public const string TintSlash = "\uf5c7";

        /// <summary>
        /// fa-tire unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/tire
        /// </summary>
        public const string Tire = "\uf631";

        /// <summary>
        /// fa-tire-flat unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/tire-flat
        /// </summary>
        public const string TireFlat = "\uf632";

        /// <summary>
        /// fa-tire-pressure-warning unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/tire-pressure-warning
        /// </summary>
        public const string TirePressureWarning = "\uf633";

        /// <summary>
        /// fa-tire-rugged unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/tire-rugged
        /// </summary>
        public const string TireRugged = "\uf634";

        /// <summary>
        /// fa-tired unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/tired
        /// </summary>
        public const string Tired = "\uf5c8";

        /// <summary>
        /// fa-toggle-off unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/toggle-off
        /// </summary>
        public const string ToggleOff = "\uf204";

        /// <summary>
        /// fa-toggle-on unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/toggle-on
        /// </summary>
        public const string ToggleOn = "\uf205";

        /// <summary>
        /// fa-toilet-paper unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/toilet-paper
        /// </summary>
        public const string ToiletPaper = "\uf71e";

        /// <summary>
        /// fa-toilet-paper-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/toilet-paper-alt
        /// </summary>
        public const string ToiletPaperAlt = "\uf71f";

        /// <summary>
        /// fa-tombstone unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/tombstone
        /// </summary>
        public const string Tombstone = "\uf720";

        /// <summary>
        /// fa-tombstone-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/tombstone-alt
        /// </summary>
        public const string TombstoneAlt = "\uf721";

        /// <summary>
        /// fa-toolbox unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/toolbox
        /// </summary>
        public const string Toolbox = "\uf552";

        /// <summary>
        /// fa-tooth unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/tooth
        /// </summary>
        public const string Tooth = "\uf5c9";

        /// <summary>
        /// fa-toothbrush unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/toothbrush
        /// </summary>
        public const string Toothbrush = "\uf635";

        /// <summary>
        /// fa-torah unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/torah
        /// </summary>
        public const string Torah = "\uf6a0";

        /// <summary>
        /// fa-torii-gate unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/torii-gate
        /// </summary>
        public const string ToriiGate = "\uf6a1";

        /// <summary>
        /// fa-tornado unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/tornado
        /// </summary>
        public const string Tornado = "\uf76f";

        /// <summary>
        /// fa-tractor unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/tractor
        /// </summary>
        public const string Tractor = "\uf722";

        /// <summary>
        /// fa-trade-federation unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/trade-federation
        /// </summary>
        public const string TradeFederation = "\uf513";

        /// <summary>
        /// fa-trademark unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/trademark
        /// </summary>
        public const string Trademark = "\uf25c";

        /// <summary>
        /// fa-traffic-cone unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/traffic-cone
        /// </summary>
        public const string TrafficCone = "\uf636";

        /// <summary>
        /// fa-traffic-light unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/traffic-light
        /// </summary>
        public const string TrafficLight = "\uf637";

        /// <summary>
        /// fa-traffic-light-go unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/traffic-light-go
        /// </summary>
        public const string TrafficLightGo = "\uf638";

        /// <summary>
        /// fa-traffic-light-slow unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/traffic-light-slow
        /// </summary>
        public const string TrafficLightSlow = "\uf639";

        /// <summary>
        /// fa-traffic-light-stop unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/traffic-light-stop
        /// </summary>
        public const string TrafficLightStop = "\uf63a";

        /// <summary>
        /// fa-train unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/train
        /// </summary>
        public const string Train = "\uf238";

        /// <summary>
        /// fa-transgender unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/transgender
        /// </summary>
        public const string Transgender = "\uf224";

        /// <summary>
        /// fa-transgender-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/transgender-alt
        /// </summary>
        public const string TransgenderAlt = "\uf225";

        /// <summary>
        /// fa-trash unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/trash
        /// </summary>
        public const string Trash = "\uf1f8";

        /// <summary>
        /// fa-trash-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/trash-alt
        /// </summary>
        public const string TrashAlt = "\uf2ed";

        /// <summary>
        /// fa-treasure-chest unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/treasure-chest
        /// </summary>
        public const string TreasureChest = "\uf723";

        /// <summary>
        /// fa-tree unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/tree
        /// </summary>
        public const string Tree = "\uf1bb";

        /// <summary>
        /// fa-tree-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/tree-alt
        /// </summary>
        public const string TreeAlt = "\uf400";

        /// <summary>
        /// fa-trees unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/trees
        /// </summary>
        public const string Trees = "\uf724";

        /// <summary>
        /// fa-trello unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/trello
        /// </summary>
        public const string Trello = "\uf181";

        /// <summary>
        /// fa-triangle unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/triangle
        /// </summary>
        public const string Triangle = "\uf2ec";

        /// <summary>
        /// fa-tripadvisor unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/tripadvisor
        /// </summary>
        public const string Tripadvisor = "\uf262";

        /// <summary>
        /// fa-trophy unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/trophy
        /// </summary>
        public const string Trophy = "\uf091";

        /// <summary>
        /// fa-trophy-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/trophy-alt
        /// </summary>
        public const string TrophyAlt = "\uf2eb";

        /// <summary>
        /// fa-truck unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/truck
        /// </summary>
        public const string Truck = "\uf0d1";

        /// <summary>
        /// fa-truck-container unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/truck-container
        /// </summary>
        public const string TruckContainer = "\uf4dc";

        /// <summary>
        /// fa-truck-couch unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/truck-couch
        /// </summary>
        public const string TruckCouch = "\uf4dd";

        /// <summary>
        /// fa-truck-loading unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/truck-loading
        /// </summary>
        public const string TruckLoading = "\uf4de";

        /// <summary>
        /// fa-truck-monster unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/truck-monster
        /// </summary>
        public const string TruckMonster = "\uf63b";

        /// <summary>
        /// fa-truck-moving unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/truck-moving
        /// </summary>
        public const string TruckMoving = "\uf4df";

        /// <summary>
        /// fa-truck-pickup unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/truck-pickup
        /// </summary>
        public const string TruckPickup = "\uf63c";

        /// <summary>
        /// fa-truck-ramp unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/truck-ramp
        /// </summary>
        public const string TruckRamp = "\uf4e0";

        /// <summary>
        /// fa-tshirt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/tshirt
        /// </summary>
        public const string Tshirt = "\uf553";

        /// <summary>
        /// fa-tty unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/tty
        /// </summary>
        public const string Tty = "\uf1e4";

        /// <summary>
        /// fa-tumblr unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/tumblr
        /// </summary>
        public const string Tumblr = "\uf173";

        /// <summary>
        /// fa-tumblr-square unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/tumblr-square
        /// </summary>
        public const string TumblrSquare = "\uf174";

        /// <summary>
        /// fa-turkey unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/turkey
        /// </summary>
        public const string Turkey = "\uf725";

        /// <summary>
        /// fa-turtle unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/turtle
        /// </summary>
        public const string Turtle = "\uf726";

        /// <summary>
        /// fa-tv unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/tv
        /// </summary>
        public const string Tv = "\uf26c";

        /// <summary>
        /// fa-tv-retro unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/tv-retro
        /// </summary>
        public const string TvRetro = "\uf401";

        /// <summary>
        /// fa-twitch unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/twitch
        /// </summary>
        public const string Twitch = "\uf1e8";

        /// <summary>
        /// fa-twitter unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/twitter
        /// </summary>
        public const string Twitter = "\uf099";

        /// <summary>
        /// fa-twitter-square unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/twitter-square
        /// </summary>
        public const string TwitterSquare = "\uf081";

        /// <summary>
        /// fa-typo3 unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/typo3
        /// </summary>
        public const string Typo3 = "\uf42b";

        /// <summary>
        /// fa-uber unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/uber
        /// </summary>
        public const string Uber = "\uf402";

        /// <summary>
        /// fa-uikit unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/uikit
        /// </summary>
        public const string Uikit = "\uf403";

        /// <summary>
        /// fa-umbrella unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/umbrella
        /// </summary>
        public const string Umbrella = "\uf0e9";

        /// <summary>
        /// fa-umbrella-beach unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/umbrella-beach
        /// </summary>
        public const string UmbrellaBeach = "\uf5ca";

        /// <summary>
        /// fa-underline unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/underline
        /// </summary>
        public const string Underline = "\uf0cd";

        /// <summary>
        /// fa-undo unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/undo
        /// </summary>
        public const string Undo = "\uf0e2";

        /// <summary>
        /// fa-undo-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/undo-alt
        /// </summary>
        public const string UndoAlt = "\uf2ea";

        /// <summary>
        /// fa-unicorn unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/unicorn
        /// </summary>
        public const string Unicorn = "\uf727";

        /// <summary>
        /// fa-union unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/union
        /// </summary>
        public const string Union = "\uf6a2";

        /// <summary>
        /// fa-uniregistry unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/uniregistry
        /// </summary>
        public const string Uniregistry = "\uf404";

        /// <summary>
        /// fa-universal-access unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/universal-access
        /// </summary>
        public const string UniversalAccess = "\uf29a";

        /// <summary>
        /// fa-university unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/university
        /// </summary>
        public const string University = "\uf19c";

        /// <summary>
        /// fa-unlink unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/unlink
        /// </summary>
        public const string Unlink = "\uf127";

        /// <summary>
        /// fa-unlock unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/unlock
        /// </summary>
        public const string Unlock = "\uf09c";

        /// <summary>
        /// fa-unlock-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/unlock-alt
        /// </summary>
        public const string UnlockAlt = "\uf13e";

        /// <summary>
        /// fa-untappd unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/untappd
        /// </summary>
        public const string Untappd = "\uf405";

        /// <summary>
        /// fa-upload unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/upload
        /// </summary>
        public const string Upload = "\uf093";

        /// <summary>
        /// fa-usb unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/usb
        /// </summary>
        public const string Usb = "\uf287";

        /// <summary>
        /// fa-usd-circle unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/usd-circle
        /// </summary>
        public const string UsdCircle = "\uf2e8";

        /// <summary>
        /// fa-usd-square unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/usd-square
        /// </summary>
        public const string UsdSquare = "\uf2e9";

        /// <summary>
        /// fa-user unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/user
        /// </summary>
        public const string User = "\uf007";

        /// <summary>
        /// fa-user-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/user-alt
        /// </summary>
        public const string UserAlt = "\uf406";

        /// <summary>
        /// fa-user-alt-slash unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/user-alt-slash
        /// </summary>
        public const string UserAltSlash = "\uf4fa";

        /// <summary>
        /// fa-user-astronaut unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/user-astronaut
        /// </summary>
        public const string UserAstronaut = "\uf4fb";

        /// <summary>
        /// fa-user-chart unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/user-chart
        /// </summary>
        public const string UserChart = "\uf6a3";

        /// <summary>
        /// fa-user-check unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/user-check
        /// </summary>
        public const string UserCheck = "\uf4fc";

        /// <summary>
        /// fa-user-circle unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/user-circle
        /// </summary>
        public const string UserCircle = "\uf2bd";

        /// <summary>
        /// fa-user-clock unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/user-clock
        /// </summary>
        public const string UserClock = "\uf4fd";

        /// <summary>
        /// fa-user-cog unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/user-cog
        /// </summary>
        public const string UserCog = "\uf4fe";

        /// <summary>
        /// fa-user-crown unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/user-crown
        /// </summary>
        public const string UserCrown = "\uf6a4";

        /// <summary>
        /// fa-user-edit unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/user-edit
        /// </summary>
        public const string UserEdit = "\uf4ff";

        /// <summary>
        /// fa-user-friends unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/user-friends
        /// </summary>
        public const string UserFriends = "\uf500";

        /// <summary>
        /// fa-user-graduate unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/user-graduate
        /// </summary>
        public const string UserGraduate = "\uf501";

        /// <summary>
        /// fa-user-injured unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/user-injured
        /// </summary>
        public const string UserInjured = "\uf728";

        /// <summary>
        /// fa-user-lock unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/user-lock
        /// </summary>
        public const string UserLock = "\uf502";

        /// <summary>
        /// fa-user-md unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/user-md
        /// </summary>
        public const string UserMd = "\uf0f0";

        /// <summary>
        /// fa-user-minus unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/user-minus
        /// </summary>
        public const string UserMinus = "\uf503";

        /// <summary>
        /// fa-user-ninja unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/user-ninja
        /// </summary>
        public const string UserNinja = "\uf504";

        /// <summary>
        /// fa-user-plus unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/user-plus
        /// </summary>
        public const string UserPlus = "\uf234";

        /// <summary>
        /// fa-user-secret unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/user-secret
        /// </summary>
        public const string UserSecret = "\uf21b";

        /// <summary>
        /// fa-user-shield unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/user-shield
        /// </summary>
        public const string UserShield = "\uf505";

        /// <summary>
        /// fa-user-slash unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/user-slash
        /// </summary>
        public const string UserSlash = "\uf506";

        /// <summary>
        /// fa-user-tag unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/user-tag
        /// </summary>
        public const string UserTag = "\uf507";

        /// <summary>
        /// fa-user-tie unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/user-tie
        /// </summary>
        public const string UserTie = "\uf508";

        /// <summary>
        /// fa-user-times unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/user-times
        /// </summary>
        public const string UserTimes = "\uf235";

        /// <summary>
        /// fa-users unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/users
        /// </summary>
        public const string Users = "\uf0c0";

        /// <summary>
        /// fa-users-class unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/users-class
        /// </summary>
        public const string UsersClass = "\uf63d";

        /// <summary>
        /// fa-users-cog unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/users-cog
        /// </summary>
        public const string UsersCog = "\uf509";

        /// <summary>
        /// fa-users-crown unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/users-crown
        /// </summary>
        public const string UsersCrown = "\uf6a5";

        /// <summary>
        /// fa-ussunnah unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/ussunnah
        /// </summary>
        public const string Ussunnah = "\uf407";

        /// <summary>
        /// fa-utensil-fork unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/utensil-fork
        /// </summary>
        public const string UtensilFork = "\uf2e3";

        /// <summary>
        /// fa-utensil-knife unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/utensil-knife
        /// </summary>
        public const string UtensilKnife = "\uf2e4";

        /// <summary>
        /// fa-utensil-spoon unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/utensil-spoon
        /// </summary>
        public const string UtensilSpoon = "\uf2e5";

        /// <summary>
        /// fa-utensils unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/utensils
        /// </summary>
        public const string Utensils = "\uf2e7";

        /// <summary>
        /// fa-utensils-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/utensils-alt
        /// </summary>
        public const string UtensilsAlt = "\uf2e6";

        /// <summary>
        /// fa-vaadin unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/vaadin
        /// </summary>
        public const string Vaadin = "\uf408";

        /// <summary>
        /// fa-value-absolute unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/value-absolute
        /// </summary>
        public const string ValueAbsolute = "\uf6a6";

        /// <summary>
        /// fa-vector-square unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/vector-square
        /// </summary>
        public const string VectorSquare = "\uf5cb";

        /// <summary>
        /// fa-venus unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/venus
        /// </summary>
        public const string Venus = "\uf221";

        /// <summary>
        /// fa-venus-double unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/venus-double
        /// </summary>
        public const string VenusDouble = "\uf226";

        /// <summary>
        /// fa-venus-mars unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/venus-mars
        /// </summary>
        public const string VenusMars = "\uf228";

        /// <summary>
        /// fa-viacoin unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/viacoin
        /// </summary>
        public const string Viacoin = "\uf237";

        /// <summary>
        /// fa-viadeo unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/viadeo
        /// </summary>
        public const string Viadeo = "\uf2a9";

        /// <summary>
        /// fa-viadeo-square unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/viadeo-square
        /// </summary>
        public const string ViadeoSquare = "\uf2aa";

        /// <summary>
        /// fa-vial unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/vial
        /// </summary>
        public const string Vial = "\uf492";

        /// <summary>
        /// fa-vials unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/vials
        /// </summary>
        public const string Vials = "\uf493";

        /// <summary>
        /// fa-viber unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/viber
        /// </summary>
        public const string Viber = "\uf409";

        /// <summary>
        /// fa-video unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/video
        /// </summary>
        public const string Video = "\uf03d";

        /// <summary>
        /// fa-video-plus unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/video-plus
        /// </summary>
        public const string VideoPlus = "\uf4e1";

        /// <summary>
        /// fa-video-slash unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/video-slash
        /// </summary>
        public const string VideoSlash = "\uf4e2";

        /// <summary>
        /// fa-vihara unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/vihara
        /// </summary>
        public const string Vihara = "\uf6a7";

        /// <summary>
        /// fa-vimeo unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/vimeo
        /// </summary>
        public const string Vimeo = "\uf40a";

        /// <summary>
        /// fa-vimeo-square unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/vimeo-square
        /// </summary>
        public const string VimeoSquare = "\uf194";

        /// <summary>
        /// fa-vimeo-v unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/vimeo-v
        /// </summary>
        public const string VimeoV = "\uf27d";

        /// <summary>
        /// fa-vine unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/vine
        /// </summary>
        public const string Vine = "\uf1ca";

        /// <summary>
        /// fa-vk unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/vk
        /// </summary>
        public const string Vk = "\uf189";

        /// <summary>
        /// fa-vnv unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/vnv
        /// </summary>
        public const string Vnv = "\uf40b";

        /// <summary>
        /// fa-volcano unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/volcano
        /// </summary>
        public const string Volcano = "\uf770";

        /// <summary>
        /// fa-volleyball-ball unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/volleyball-ball
        /// </summary>
        public const string VolleyballBall = "\uf45f";

        /// <summary>
        /// fa-volume unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/volume
        /// </summary>
        public const string Volume = "\uf6a8";

        /// <summary>
        /// fa-volume-down unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/volume-down
        /// </summary>
        public const string VolumeDown = "\uf027";

        /// <summary>
        /// fa-volume-mute unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/volume-mute
        /// </summary>
        public const string VolumeMute = "\uf6a9";

        /// <summary>
        /// fa-volume-off unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/volume-off
        /// </summary>
        public const string VolumeOff = "\uf026";

        /// <summary>
        /// fa-volume-slash unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/volume-slash
        /// </summary>
        public const string VolumeSlash = "\uf2e2";

        /// <summary>
        /// fa-volume-up unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/volume-up
        /// </summary>
        public const string VolumeUp = "\uf028";

        /// <summary>
        /// fa-vote-nay unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/vote-nay
        /// </summary>
        public const string VoteNay = "\uf771";

        /// <summary>
        /// fa-vote-yea unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/vote-yea
        /// </summary>
        public const string VoteYea = "\uf772";

        /// <summary>
        /// fa-vr-cardboard unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/vr-cardboard
        /// </summary>
        public const string VrCardboard = "\uf729";

        /// <summary>
        /// fa-vuejs unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/vuejs
        /// </summary>
        public const string Vuejs = "\uf41f";

        /// <summary>
        /// fa-walking unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/walking
        /// </summary>
        public const string Walking = "\uf554";

        /// <summary>
        /// fa-wallet unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/wallet
        /// </summary>
        public const string Wallet = "\uf555";

        /// <summary>
        /// fa-wand unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/wand
        /// </summary>
        public const string Wand = "\uf72a";

        /// <summary>
        /// fa-wand-magic unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/wand-magic
        /// </summary>
        public const string WandMagic = "\uf72b";

        /// <summary>
        /// fa-warehouse unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/warehouse
        /// </summary>
        public const string Warehouse = "\uf494";

        /// <summary>
        /// fa-warehouse-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/warehouse-alt
        /// </summary>
        public const string WarehouseAlt = "\uf495";

        /// <summary>
        /// fa-watch unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/watch
        /// </summary>
        public const string Watch = "\uf2e1";

        /// <summary>
        /// fa-watch-fitness unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/watch-fitness
        /// </summary>
        public const string WatchFitness = "\uf63e";

        /// <summary>
        /// fa-water unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/water
        /// </summary>
        public const string Water = "\uf773";

        /// <summary>
        /// fa-water-lower unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/water-lower
        /// </summary>
        public const string WaterLower = "\uf774";

        /// <summary>
        /// fa-water-rise unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/water-rise
        /// </summary>
        public const string WaterRise = "\uf775";

        /// <summary>
        /// fa-weebly unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/weebly
        /// </summary>
        public const string Weebly = "\uf5cc";

        /// <summary>
        /// fa-weibo unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/weibo
        /// </summary>
        public const string Weibo = "\uf18a";

        /// <summary>
        /// fa-weight unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/weight
        /// </summary>
        public const string Weight = "\uf496";

        /// <summary>
        /// fa-weight-hanging unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/weight-hanging
        /// </summary>
        public const string WeightHanging = "\uf5cd";

        /// <summary>
        /// fa-weixin unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/weixin
        /// </summary>
        public const string Weixin = "\uf1d7";

        /// <summary>
        /// fa-whale unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/whale
        /// </summary>
        public const string Whale = "\uf72c";

        /// <summary>
        /// fa-whatsapp unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/whatsapp
        /// </summary>
        public const string Whatsapp = "\uf232";

        /// <summary>
        /// fa-whatsapp-square unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/whatsapp-square
        /// </summary>
        public const string WhatsappSquare = "\uf40c";

        /// <summary>
        /// fa-wheat unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/wheat
        /// </summary>
        public const string Wheat = "\uf72d";

        /// <summary>
        /// fa-wheelchair unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/wheelchair
        /// </summary>
        public const string Wheelchair = "\uf193";

        /// <summary>
        /// fa-whistle unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/whistle
        /// </summary>
        public const string Whistle = "\uf460";

        /// <summary>
        /// fa-whmcs unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/whmcs
        /// </summary>
        public const string Whmcs = "\uf40d";

        /// <summary>
        /// fa-wifi unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/wifi
        /// </summary>
        public const string Wifi = "\uf1eb";

        /// <summary>
        /// fa-wifi-1 unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/wifi-1
        /// </summary>
        public const string Wifi1 = "\uf6aa";

        /// <summary>
        /// fa-wifi-2 unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/wifi-2
        /// </summary>
        public const string Wifi2 = "\uf6ab";

        /// <summary>
        /// fa-wifi-slash unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/wifi-slash
        /// </summary>
        public const string WifiSlash = "\uf6ac";

        /// <summary>
        /// fa-wikipedia-w unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/wikipedia-w
        /// </summary>
        public const string WikipediaW = "\uf266";

        /// <summary>
        /// fa-wind unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/wind
        /// </summary>
        public const string Wind = "\uf72e";

        /// <summary>
        /// fa-wind-warning unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/wind-warning
        /// </summary>
        public const string WindWarning = "\uf776";

        /// <summary>
        /// fa-window unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/window
        /// </summary>
        public const string Window = "\uf40e";

        /// <summary>
        /// fa-window-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/window-alt
        /// </summary>
        public const string WindowAlt = "\uf40f";

        /// <summary>
        /// fa-window-close unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/window-close
        /// </summary>
        public const string WindowClose = "\uf410";

        /// <summary>
        /// fa-window-maximize unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/window-maximize
        /// </summary>
        public const string WindowMaximize = "\uf2d0";

        /// <summary>
        /// fa-window-minimize unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/window-minimize
        /// </summary>
        public const string WindowMinimize = "\uf2d1";

        /// <summary>
        /// fa-window-restore unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular, Solid
        /// <para/>
        /// See https://fontawesome.com/icons/window-restore
        /// </summary>
        public const string WindowRestore = "\uf2d2";

        /// <summary>
        /// fa-windows unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/windows
        /// </summary>
        public const string Windows = "\uf17a";

        /// <summary>
        /// fa-windsock unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid (Pro)
        /// <para/>
        /// See https://fontawesome.com/icons/windsock
        /// </summary>
        public const string Windsock = "\uf777";

        /// <summary>
        /// fa-wine-bottle unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/wine-bottle
        /// </summary>
        public const string WineBottle = "\uf72f";

        /// <summary>
        /// fa-wine-glass unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/wine-glass
        /// </summary>
        public const string WineGlass = "\uf4e3";

        /// <summary>
        /// fa-wine-glass-alt unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/wine-glass-alt
        /// </summary>
        public const string WineGlassAlt = "\uf5ce";

        /// <summary>
        /// fa-wix unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/wix
        /// </summary>
        public const string Wix = "\uf5cf";

        /// <summary>
        /// fa-wizards-of-the-coast unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/wizards-of-the-coast
        /// </summary>
        public const string WizardsOfTheCoast = "\uf730";

        /// <summary>
        /// fa-wolf-pack-battalion unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/wolf-pack-battalion
        /// </summary>
        public const string WolfPackBattalion = "\uf514";

        /// <summary>
        /// fa-won-sign unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/won-sign
        /// </summary>
        public const string WonSign = "\uf159";

        /// <summary>
        /// fa-wordpress unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/wordpress
        /// </summary>
        public const string Wordpress = "\uf19a";

        /// <summary>
        /// fa-wordpress-simple unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/wordpress-simple
        /// </summary>
        public const string WordpressSimple = "\uf411";

        /// <summary>
        /// fa-wpbeginner unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/wpbeginner
        /// </summary>
        public const string Wpbeginner = "\uf297";

        /// <summary>
        /// fa-wpexplorer unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/wpexplorer
        /// </summary>
        public const string Wpexplorer = "\uf2de";

        /// <summary>
        /// fa-wpforms unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/wpforms
        /// </summary>
        public const string Wpforms = "\uf298";

        /// <summary>
        /// fa-wpressr unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/wpressr
        /// </summary>
        public const string Wpressr = "\uf3e4";

        /// <summary>
        /// fa-wrench unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/wrench
        /// </summary>
        public const string Wrench = "\uf0ad";

        /// <summary>
        /// fa-x-ray unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/x-ray
        /// </summary>
        public const string XRay = "\uf497";

        /// <summary>
        /// fa-xbox unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/xbox
        /// </summary>
        public const string Xbox = "\uf412";

        /// <summary>
        /// fa-xing unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/xing
        /// </summary>
        public const string Xing = "\uf168";

        /// <summary>
        /// fa-xing-square unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/xing-square
        /// </summary>
        public const string XingSquare = "\uf169";

        /// <summary>
        /// fa-y-combinator unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/y-combinator
        /// </summary>
        public const string YCombinator = "\uf23b";

        /// <summary>
        /// fa-yahoo unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/yahoo
        /// </summary>
        public const string Yahoo = "\uf19e";

        /// <summary>
        /// fa-yandex unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/yandex
        /// </summary>
        public const string Yandex = "\uf413";

        /// <summary>
        /// fa-yandex-international unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/yandex-international
        /// </summary>
        public const string YandexInternational = "\uf414";

        /// <summary>
        /// fa-yelp unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/yelp
        /// </summary>
        public const string Yelp = "\uf1e9";

        /// <summary>
        /// fa-yen-sign unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/yen-sign
        /// </summary>
        public const string YenSign = "\uf157";

        /// <summary>
        /// fa-yin-yang unicode value.
        /// <para/>
        /// This icon supports the following styles: Light (Pro), Regular (Pro), Solid
        /// <para/>
        /// See https://fontawesome.com/icons/yin-yang
        /// </summary>
        public const string YinYang = "\uf6ad";

        /// <summary>
        /// fa-yoast unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/yoast
        /// </summary>
        public const string Yoast = "\uf2b1";

        /// <summary>
        /// fa-youtube unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/youtube
        /// </summary>
        public const string Youtube = "\uf167";

        /// <summary>
        /// fa-youtube-square unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/youtube-square
        /// </summary>
        public const string YoutubeSquare = "\uf431";

        /// <summary>
        /// fa-zhihu unicode value.
        /// <para/>
        /// This icon supports the following styles: Brands
        /// <para/>
        /// See https://fontawesome.com/icons/zhihu
        /// </summary>
        public const string Zhihu = "\uf63f";
    }
}
